var f = Object.defineProperty, u = Object.defineProperties;
var g = Object.getOwnPropertyDescriptors;
var m = Object.getOwnPropertySymbols;
var s = Object.prototype.hasOwnProperty, r = Object.prototype.propertyIsEnumerable;
var $ = (t, e, n) => e in t ? f(t, e, { enumerable: !0, configurable: !0, writable: !0, value: n }) : t[e] = n, c = (t, e) => {
  for (var n in e || (e = {}))
    s.call(e, n) && $(t, n, e[n]);
  if (m)
    for (var n of m(e))
      r.call(e, n) && $(t, n, e[n]);
  return t;
}, i = (t, e) => u(t, g(e));
import { customPropsToStyle as v, $attr as o, $slot as w, $vueSlot as b, $reactChildren as S } from "./_shared/Render.js";
import { html as a } from "./_shared/Code.js";
import { Badge as h } from "./Badge.js";
import { Profile as z } from "./Profile.js";
import { ActionMenu as A } from "./ActionMenu.js";
const y = ["content", "name", "image-src"];
function C(t) {
  const e = z.css(i(c({}, t), { config: t["profile-config"] })), n = t.badge ? h.css(i(c({}, t.badge), { content: e })) : e, d = t["dropdown-elements"] ? A.css({
    elements: t["dropdown-elements"]
  }) : "";
  return a`
    <div 
      .z-avatar=${t.config}
      .style=${v(t, "avatar")}
    >
      ${t.config === "dropdown" ? d : a`        
        ${n}
        <header>
          <p>${t.name}</p>
          <span>${t.content}</span>
        </header>`}      
    </div>
  `;
}
function l(t) {
  return a`
    <z-avatar
      .image-src=${t["image-src"]}
      .profile-config=${t["profile-config"]}
      .initials=${t.initials}
      .status=${t.status}
      .config=${t.config}
      .badge=${t.badge}
      .dropdown-elements=${t["dropdown-elements"]}
      .name=${t.name}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
      .content=${o("content", t)}
    >
      ${w("content", t)}
    </z-avatar>
  `;
}
function P(t) {
  return a`
    <vue-avatar
      .image-src=${t["image-src"]}
      .profile-config=${t["profile-config"]}
      .initials=${t.initials}
      .status=${t.status}
      .config=${t.config}
      .badge=${t.badge}
      .dropdown-elements=${t["dropdown-elements"]}
      .name=${t.name}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
      .content=${o("content", t)}
    >
      ${b("content", t)}
    </vue-avatar>
  `;
}
function x(t) {
  return a`
    <react-avatar
      .image-src=${t["image-src"]}
      .profile-config=${t["profile-config"]}
      .initials=${t.initials}
      .status=${t.status}
      .config=${t.config}
      .badge=${t.badge}
      .dropdown-elements=${t["dropdown-elements"]}
      .name=${t.name}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
      .content=${o("content", t)}
    >
      ${S(t)}
    </react-avatar>
  `;
}
const W = {
  name: "Avatar",
  category: "molecules",
  slots: y,
  css: C,
  vue: P,
  react: x,
  web: l,
  react_native: l
};
export {
  W as Avatar,
  y as zAvatarSlots
};