import { customPropsToStyle as o, $attr as n, $slot as a, $vueSlot as c, $reactSub as d } from "./_shared/Render.js";
import { html as l } from "./_shared/Code.js";
import { zBooleanInputSlots as b } from "./_BooleanInput.js";
const u = b;
function h(e) {
  var i, t;
  return e.label ? l`
    <label 
      .z-boolean-icon=${e.config}
      .style=${o(e, "boolean-icon")}
    >
      <span>${e.label}</span>
      <input 
        type="checkbox" 
        ?checked=${(i = e.checked) != null ? i : e.model}
        ?disabled=${e.disabled}
        ?required=${e.required}
      />
      ${e["help-text"] ? l`<small>${e["help-text"]}</small>` : ""}
    </label>
  ` : l`
    <input 
      type="checkbox" 
      .z-boolean-icon=${e.config}
      ?checked=${(t = e.checked) != null ? t : e.model}
      ?disabled=${e.disabled}
      ?required=${e.required}
    />
  `;
}
function $(e) {
  return l`
    <z-boolean-icon
      .config=${e.config}
      .help-text=${n("help-text", e)}
      .label=${n("label", e)}
      ?model=${e.model}
      ?invalid=${e.invalid}
      ?disabled=${e.disabled}
      ?required=${e.required}
      ?checked=${e.checked}
    >
      ${a("label", e)}
      ${a("help-text", e)}
    </z-boolean-icon>
  `;
}
function m(e) {
  return l`
    <vue-boolean-icon
      .config=${e.config}
      .help-text=${n("help-text", e)}
      .label=${n("label", e)}
      ?model=${e.model}
      ?invalid=${e.invalid}
      ?disabled=${e.disabled}
      ?required=${e.required}
      ?checked=${e.checked}
    >
      ${c("label", e)}
      ${c("help-text", e)}
    </vue-boolean-icon>
  `;
}
function f(e) {
  return l`
    <react-boolean-icon
      .config=${e.config}
      .helpText=${d("help-text", e)}
      .label=${d("label", e)}
      ?model=${e.model}
      ?invalid=${e.invalid}
      ?disabled=${e.disabled}
      ?required=${e.required}
    >
    </react-boolean-icon>
  `;
}
const q = {
  name: "BooleanIcon",
  category: "inputs",
  slots: u,
  css: h,
  vue: m,
  react: f,
  web: $,
  react_native: $
};
export {
  q as BooleanIcon,
  u as zBooleanIconSlots
};