import { customPropsToStyle as i, $attr as l, $slot as a, $vueSlot as n, $reactSub as $ } from "./_shared/Render.js";
import { html as t } from "./_shared/Code.js";
import { zBooleanInputSlots as h } from "./_BooleanInput.js";
const u = h;
function x(e) {
  var d;
  const c = t`
    <input
      type="checkbox"
      ?z-checkbox=${e.label ? void 0 : !0}
      .style=${e.label ? void 0 : i(e, "checkbox")}
      ?disabled=${e.disabled}
      ?checked=${(d = e.checked) != null ? d : e.model}
      ?required=${e.required}
    />
  `;
  return e.label ? t`
    <label 
      z-checkbox
      .style=${i(e, "checkbox")}
    >
      <span>${e.label}</span>
      ${c}
    </label>
  ` : c;
}
function b(e) {
  return t`
    <z-checkbox
      .help-text=${l("help-text", e)}
      .label=${l("label", e)}
      ?model=${e.model}
      ?invalid=${e.invalid}
      ?indeterminate=${e.indeterminate}
      ?disabled=${e.disabled}
      ?required=${e.required}
      ?checked=${e.checked}
    >
      ${a("label", e)}
      ${a("help-text", e)}
    </z-checkbox>
  `;
}
function k(e) {
  return t`
    <vue-checkbox
      .help-text=${l("help-text", e)}
      .label=${l("label", e)}
      ?model=${e.model}
      ?invalid=${e.invalid}
      ?indeterminate=${e.indeterminate}
      ?disabled=${e.disabled}
      ?required=${e.required}
      ?checked=${e.checked}
    >
      ${n("label", e)}
      ${n("help-text", e)}
    </vue-checkbox>
  `;
}
function m(e) {
  return t`
    <react-checkbox
      .helpText=${$("help-text", e)}
      .label=${$("label", e)}
      ?model=${e.model}
      ?invalid=${e.invalid}
      ?indeterminate=${e.indeterminate}
      ?disabled=${e.disabled}
      ?required=${e.required}
      ?checked=${e.checked}
    >
    </react-checkbox>
  `;
}
const f = {
  name: "Checkbox",
  category: "inputs",
  slots: u,
  css: x,
  vue: k,
  react: m,
  web: b,
  react_native: b
};
export {
  f as Checkbox,
  u as zCheckboxSlots
};