import { customPropsToStyle as l, $attr as c, $slot as u, $vueSlot as i, $reactSub as o } from "./_shared/Render.js";
import { html as t } from "./_shared/Code.js";
const s = ["legend"];
function d(e) {
  return t`
    <fieldset 
      .z-fieldset=${e.config || ""}
      .style=${l(e, "fieldset")}
    >
      <legend>${e.legend}</legend>
      ${e.content}
    </fieldset>
  `;
}
function n(e) {
  return t`
    <z-fieldset 
      .config=${e.config}
      .legend=${c("legend", e)}
      .custom=${e.custom}
      .custom-str=${e["custom-str"]}
    >
    ${u("legend", e)}
      ${e.content}
    </z-fieldset>
  `;
}
function $(e) {
  return t`
    <vue-fieldset 
      .config=${e.config}
      .legend=${c("legend", e)}
      .custom=${e.custom}
      .custom-str=${e["custom-str"]}
    >
      ${i("legend", e)}
      ${e.content}
    </vue-fieldset>
  `;
}
function f(e) {
  return t`
    <react-fieldset 
      .config=${e.config}
      .legend=${o("legend", e)}
      .custom=${e.custom}
      .custom-str=${e["custom-str"]}
    >
      ${e.content}
    </react-fieldset>
  `;
}
const a = {
  name: "Fieldset",
  category: "layouts",
  slots: s,
  css: d,
  vue: $,
  react: f,
  web: n,
  react_native: n
};
export {
  a as Fieldset,
  s as zFieldsetSlots
};