import { $attr as t, $slot as l } from "./_shared/Render.js";
import { html as n } from "./_shared/Code.js";
import { zInputSlots as a } from "./_Input.js";
const o = a;
function i(e) {
  return n`
    <z-file-input
      .config=${e.config}
      .label=${t("label", e)}     
      .name=${e.name}
      .placeholder=${e.placeholder}
      .help-text=${t("help-text", e)}
      ?invalid=${e.invalid}
      ?disabled=${e.disabled}
      ?required=${e.required}
      ?readonly=${e.readonly}
      .autocomplete=${e.autocomplete}
    >
      ${l("label", e)}
      ${l("help-text", e)}
    </z-file-input>
  `;
}
const m = {
  name: "FileInput",
  category: "inputs",
  slots: o,
  web: i,
  react_native: i
};
export {
  m as FileInput,
  o as zFileInputSlots
};