import { $attr as t, $slot as a } from "./_shared/Render.js";
import { html as l } from "./_shared/Code.js";
import { zInputSlots as o } from "./_Input.js";
const i = [...o];
function n(e) {
  return l`
    <z-language-selector
      .config=${e.config}
      .label=${t("label", e)}     
      .locale=${e.locale}
      .name=${e.name}
      .help-text=${t("help-text", e)}
      .search-in-options-text=${e["search-in-options-text"]}
      .options-not-found-text=${e["options-not-found-text"]}
      ?with-search=${e["with-search"]}
      ?disabled=${e.disabled}
      ?required=${e.required}
      ?readonly=${e.readonly}
      ?invalid=${e.invalid}
      .custom=${e.custom}
      .custom-str=${e["custom-str"]}
    >
      ${a("label", e)}
      ${a("help-text", e)}
    </z-language-selector>
  `;
}
const m = {
  name: "LanguageSelector",
  category: "organisms",
  slots: i,
  web: n,
  react_native: n
};
export {
  m as LanguageSelector,
  i as zLanguageSelectorSlots
};