import { customPropsToStyle as m } from "./_shared/Render.js";
import { html as n } from "./_shared/Code.js";
import { Icon as r } from "./Icon.js";
import { Link as u } from "./Link.js";
const s = [];
function l(t) {
  var c;
  function i(o, e) {
    return u.css({
      href: o.href,
      "is-current-page": t.model === e + 1,
      content: n`
        ${r.css({ icon: `${o.icon}${t.model === e + 1 ? "" : ":line"}` })}
        <span>${o.text}</span>
      `
    });
  }
  return n`
    <nav 
      .z-mobile-nav-bar=${t.config || ""}
      .style=${m(t, "z-mobile-nav-bar")}
    >
      <ul>
        ${(c = t.routes) == null ? void 0 : c.map((o, e) => n`
          <li>${i(o, e)}</li>
        `)}
      </ul>
    </nav>
  `;
}
function a(t) {
  return n`
    <z-mobile-nav-bar
      .config=${t.config}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${t.content}
    </z-mobile-nav-bar>
  `;
}
function b(t) {
  return n`
    <react-mobile-nav-bar
      .config=${t.config}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${t.content}
    </react-mobile-nav-bar>
  `;
}
function $(t) {
  return n`
    <vue-mobile-nav-bar
      .config=${t.config}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${t.content}
    </vue-mobile-nav-bar>
  `;
}
const S = {
  name: "MobileNavBar",
  category: "organisms",
  slots: s,
  css: l,
  web: a,
  vue: $,
  react: b,
  react_native: a
};
export {
  S as MobileNavBar,
  s as zMobileNavBarSlots
};