import { $attr as l, $complexAttr as c, $slot as n } from "./_shared/Render.js";
import { html as a } from "./_shared/Code.js";
import { zInputSlots as u } from "./_Input.js";
const $ = [...u, "options"];
function s(t) {
  var i, o;
  return a`
    <z-multiselect
      .config=${t.config}
      .label=${l("label", t)} 
      .help-text=${l("help-text", t)}     
      .options=${c("options", t)}
      .search-in-options-text=${t["search-in-options-text"]}
      .options-not-found-text=${t["options-not-found-text"]}
      ?with-search=${t["with-search"]}
      ?search-autofocus=${t["search-autofocus"]}
      ?disabled=${t.disabled}
      ?required=${t.required}
    >
      ${((i = t.slotted) == null ? void 0 : i.options) && ((o = t.options) == null ? void 0 : o.map((e) => a`
        <option 
          .value=${e.value} 
          ?disabled=${e.disabled}
        >${e.text}</option>
      `))}
      ${n("label", t)}
      ${n("help-text", t)}
    </z-multiselect>
  `;
}
const f = {
  name: "Multiselect",
  category: "inputs",
  slots: $,
  web: s,
  react_native: s
};
export {
  f as Multiselect,
  $ as zMultiselectSlots
};