import { customPropsToStyle as v } from "./_shared/Render.js";
import { html as o } from "./_shared/Code.js";
import { Button as y } from "./Button.js";
import { Icon as d } from "./Icon.js";
import { Link as w } from "./Link.js";
import { Logo as S } from "./Logo.js";
import { SmilingZ as x } from "./SmilingZ.js";
import { SocialMediaIcon as b } from "./SocialMediaIcon.js";
import { Accordion as u } from "./Accordion.js";
const k = ["logo", "nav"];
function z(t) {
  var i, c, a, m;
  const $ = !t.menu || !t.menu.length, r = ((i = t.footer) == null ? void 0 : i.length) || Object.keys(t.social || {}).length, f = (n) => o`
    <ul>
      ${n.items.map((e) => g(e))}
    </ul>`, l = (n) => o`
    ${d.css({ icon: n.icon || "link:line" })}
    <span>${n.text}</span>`, g = (n) => "items" in n ? o`
      <li>
        ${u.css({
    summary: n.text,
    content: o`
        <ul>
          ${n.items.map((e) => o`
            <li>
              <a href=${e.href}>${e.text}</a>
            </li>
          `)}
        </ul>
      `
  })}
      </li>` : o`
      <li>
        <a .href=${n.href}>${n.text}</a>
      </li>`, h = $ ? "" : o`
    <aside>
      <main>
        ${(c = t.menu) == null ? void 0 : c.map((n) => o`
          <div>
            ${n.map((e) => u.css({
    summary: l(e),
    content: f(e)
  }))}
          </div>
        `)}
      </main>

      ${r ? o`
      <footer>
        <section>
          ${(a = t.footer) == null ? void 0 : a.map((n) => o`
            <div>
              ${w.css({ href: n.href, content: n.text })}
            </div>
          `)}
        </section>

        <section>
          ${Object.entries(t.social || {}).map(([n, e]) => o`
            <a .href=${e}>
              ${b.css({ brand: n })}
            </a> `)}
        </section>
      </footer>` : ""}
    </aside> `;
  return o`
    <nav 
      z-navigation=${t.config || ""}
      ?with-top=${t["with-top"]}
      .style=${v(t, "navigation")}
    >
      <label>
        <span>Menu</span>
        <input type="checkbox"/>
      </label>
      <ul>
        ${(m = t.routes) == null ? void 0 : m.map(({ text: n, icon: e }) => o`
          <li>
            ${y.css({ config: "link", icon: e, content: n })}
          </li>
        `)}
      </ul>

      <a href="#">
        ${t.isotype ? x.css({}) : S.css({ inline: !0 })}
      </a>

      ${h}
    </nav>
  `;
}
function s(t) {
  return o`
    <z-navigation
      .config=${t.config}
      .menu=${t.menu}
      .footer=${t.footer}
      .social=${t.social}
      ?with-top=${t["with-top"]}
      ?isotype=${t.isotype}
      .routes=${t.routes}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
    </z-navigation>
  `;
}
function M(t) {
  return o`
    <vue-navigation
      .config=${t.config}
      .menu=${t.menu}
      .footer=${t.footer}
      .social=${t.social}
      ?with-top=${t["with-top"]}
      ?isotype=${t.isotype}
      .routes=${t.routes}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
    </vue-navigation>
  `;
}
function N(t) {
  return o`
    <react-navigation
      .config=${t.config}
      .menu=${t.menu}
      .footer=${t.footer}
      .social=${t.social}
      ?with-top=${t["with-top"]}
      ?isotype=${t.isotype}
      .routes=${t.routes}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
    </react-navigation>
  `;
}
const R = {
  name: "Navigation",
  category: "organisms",
  slots: k,
  css: z,
  web: s,
  react_native: s,
  vue: M,
  react: N
};
export {
  R as Navigation,
  k as zNavigationSlots
};