import { customPropsToStyle as s } from "./_shared/Render.js";
import { html as r } from "./_shared/Code.js";
const a = [];
function o(e) {
  return r`
    <progress 
      .z-progress-bar=${e.config || ""}
      .value=${e.progress}
      .max=${e.max}
      .progress-bar-title=${e["progress-bar-title"]}
      .style=${s(e, "progress-bar")}
      ?no-percentage=${e["no-percentage"]}
    >
    </progress>
  `;
}
function t(e) {
  return r`
    <z-progress-bar
      .config=${e.config}
      .progress=${e.progress}
      .custom-str=${e["custom-str"]}
      .custom=${e.custom}
      .max=${e.max}
      .progress-bar-title=${e["progress-bar-title"]}
      ?invalid=${e.invalid}
      ?no-percentage=${e["no-percentage"]}
    >
    </z-progress-bar>
  `;
}
function n(e) {
  return r`
    <vue-progress-bar
      .config=${e.config}
      .progress=${e.progress}
      .custom-str=${e["custom-str"]}
      .custom=${e.custom}
      .max=${e.max}
      .progress-bar-title=${e["progress-bar-title"]}
      ?invalid=${e.invalid}
      ?no-percentage=${e["no-percentage"]}
    >
    </vue-progress-bar>
  `;
}
function g(e) {
  return r`
    <react-progress-bar
      .config=${e.config}
      .progress=${e.progress}
      .custom-str=${e["custom-str"]}
      .custom=${e.custom}
      .max=${e.max}
      .progress-bar-title=${e["progress-bar-title"]}
      ?invalid=${e.invalid}
      ?no-percentage=${e["no-percentage"]}
    >
    </react-progress-bar>
  `;
}
const $ = {
  name: "ProgressBar",
  category: "atoms",
  slots: a,
  css: o,
  vue: n,
  react: g,
  web: t,
  react_native: t
};
export {
  $ as ProgressBar,
  a as zProgressBarSlots
};