import { $attr as n, $complexAttr as m, $slot as a } from "./_shared/Render.js";
import { html as $ } from "./_shared/Code.js";
import { zInputSlots as c } from "./_Input.js";
const u = [...c, "options"];
function d(e) {
  var l, i, o;
  return $`
    <z-select
      .config=${e.config}
      .label=${n("label", e)}     
      .name=${e.name}
      .model=${(l = e.model) != null ? l : void 0}
      .options=${m("options", e)}
      .help-text=${n("help-text", e)}
      .autocomplete=${e.autocomplete}
      ?readonly=${e.readonly}
      ?disabled=${e.disabled}
      ?required=${e.required}
      ?invalid=${e.invalid}
    >
      ${((i = e.slotted) == null ? void 0 : i.options) && ((o = e.options) == null ? void 0 : o.map((t) => $`
        <option .value=${t.value} ?disabled=${t.disabled}>${t.text}</option>`))}
      ${a("label", e)}
      ${a("help-text", e)}
    </z-select>
  `;
}
const v = {
  name: "Select",
  category: "inputs",
  slots: u,
  web: d,
  react_native: d
};
export {
  v as Select,
  u as zSelectSlots
};