import { customPropsToStyle as a } from "./_shared/Render.js";
import { html as e } from "./_shared/Code.js";
const c = [];
function u(t) {
  return e`
    <div 
      .z-shape=${t.shape || ""}
      .style=${a(t, "shape")}
    ></div>
  `;
}
function s(t) {
  return e`
    <z-shape 
      .shape=${t.shape}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
    </z-shape>
  `;
}
function o(t) {
  return e`
    <vue-shape 
      .shape=${t.shape}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
    </vue-shape>
  `;
}
function m(t) {
  return e`
    <react-shape 
      .shape=${t.shape}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
    </react-shape>
  `;
}
const n = {
  name: "Shape",
  category: "atoms",
  slots: c,
  css: u,
  vue: o,
  react: m,
  web: s,
  react_native: s
};
export {
  n as Shape,
  c as zShapeSlots
};