import { customPropsToStyle as a, $attr as n, $slot as i, $vueSlot as s, $reactSub as r } from "./_shared/Render.js";
import { html as o } from "./_shared/Code.js";
const l = ["social"];
function $(t) {
  return o`
    <div 
      .z-share-button=${t.config || ""}
      .style=${a(t, "share-button")}
    >
      <input type="checkbox" />
      <ol>
        ${Object.entries(t.social || {}).map(([c, u]) => o`
          <li>
            <a .href=${u} target="_blank" .title=${c.toString()}>
              <i z-icon .icon=${`${c}:line`}></i>
            </a>
          </li>
        `)}
      </ol>
    </div>
  `;
}
function e(t) {
  return o`
    <z-share-button 
      .config=${t.config}
      .social=${n("social", t)}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${i("social", t)}
    </z-share-button>
  `;
}
function m(t) {
  return o`
    <vue-share-button
      .config=${t.config}
      .social=${n("social", t)}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${s("social", t)}
    </vue-share-button>
  `;
}
function b(t) {
  return o`
    <react-share-button
      .config=${t.config}
      .social=${r("social", t)}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    ></react-share-button>
  `;
}
const g = {
  name: "ShareButton",
  category: "molecules",
  slots: l,
  css: $,
  vue: m,
  react: b,
  web: e,
  react_native: e
};
export {
  g as ShareButton,
  l as zShareButtonSlots
};