import { html as n } from "./_shared/Code.js";
const c = ["content"];
function u(e) {
  return n`
    <aside .z-side-menu=${e.config || ""} ?open=${e.model || e.open}>
      ${e.content}
    </aside>
  `;
}
function t(e) {
  return n`
    <z-side-menu 
      .config=${e.config} 
      .custom=${e.custom}
      .custom-str=${e["custom-str"]}
      ?open=${e.model || e.open}
    >
      ${e.content}
    </z-side-menu>
  `;
}
function o(e) {
  return n`
    <vue-side-menu 
      .config=${e.config} 
      .custom=${e.custom}
      .custom-str=${e["custom-str"]}
      ?open=${e.model || e.open}
    >
      ${e.content}
    </vue-side-menu>
  `;
}
function m(e) {
  return n`
    <react-side-menu 
      .config=${e.config} 
      .custom=${e.custom}
      .custom-str=${e["custom-str"]}
      ?open=${e.model || e.open}
    >
      ${e.content}
    </react-side-menu>
  `;
}
const $ = {
  name: "SideMenu",
  category: "layouts",
  slots: c,
  css: u,
  vue: o,
  react: m,
  web: t,
  react_native: t
};
export {
  $ as SideMenu,
  c as zSideMenuSlots
};