import { customPropsToStyle as c } from "./_shared/Render.js";
import { html as i } from "./_shared/Code.js";
const m = [];
function o(t) {
  return i`
    <div 
      .z-smiling-z=${t.config || ""}
      .style=${c(t, "smiling-z")}
    ></div>
  `;
}
function n(t) {
  return i`
    <z-smiling-z 
      .config=${t.config}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
    </z-smiling-z>
  `;
}
function s(t) {
  return i`
    <vue-smiling-z 
      .config=${t.config}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
    </vue-smiling-z>
  `;
}
function u(t) {
  return i`
    <react-smiling-z 
      .config=${t.config}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
    </react-smiling-z>
  `;
}
const r = {
  name: "SmilingZ",
  category: "atoms",
  slots: m,
  css: o,
  vue: s,
  react: u,
  web: n,
  react_native: n
};
export {
  r as SmilingZ,
  m as zSmilingZSlots
};