import { customPropsToStyle as b } from "./_shared/Render.js";
import { html as e } from "./_shared/Code.js";
const i = [];
function d(t) {
  var o, s, n;
  const u = (o = t.headers) == null ? void 0 : o.every((a) => typeof a == "object"), $ = e`
    <thead>
      <tr>
        ${(s = t.headers) == null ? void 0 : s.map((a) => e`<th>${typeof a == "object" ? a.text : a}</th>`)}
      </tr>
    </thead>`;
  return e`
    <table 
      z-table
      .style=${b(t, "table")}
    >
      ${t.caption ? e`<caption>${t.caption}</caption>` : ""}
      ${$}
      <tbody>
        ${(n = t.rows) == null ? void 0 : n.map((a) => e`
          <tr>
            ${Array.isArray(a) ? a.map((c) => e`<td>${c}</td>`) : u ? t.headers.map(({ prop: c }) => e`<td>${a[c]}</td>`) : Object.entries(a).map(([c, m]) => e`<td>${m}</td>`)}
          </tr>
        `)}
      </tbody>
    </table>
  `;
}
function r(t) {
  return e`
    <z-table
      .headers=${t.headers}
      .rows=${t.rows}
      .caption=${t.caption}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
    </z-table>
  `;
}
function l(t) {
  return e`
    <vue-table
      .headers=${t.headers}
      .rows=${t.rows}
      .caption=${t.caption}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
    </vue-table>
  `;
}
function h(t) {
  return e`
    <react-table
      .headers=${t.headers}
      .rows=${t.rows}
      .caption=${t.caption}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
    </react-table>
  `;
}
const v = {
  name: "Table",
  category: "layouts",
  slots: i,
  css: d,
  vue: l,
  react: h,
  web: r,
  react_native: r
};
export {
  v as Table,
  i as zTableSlots
};