"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const c=require("./_shared/Render.js"),e=require("./_shared/Code.js"),n=["content","summary"];function r(t){return e.html`
    <section 
      .z-accordion=${t.config||""}
      .style=${c.customPropsToStyle(t,"accordion")}
      ?borderless=${t.borderless}
    >
      <details ?open=${t.open}>
        <summary>${t.summary}</summary>
      </details>
      <main>
        ${t.content}
      </main>
    </section>
  `}function o(t){return e.html`
    <z-accordion
      .config=${t.config}
      .summary=${c.$attr("summary",t)}
      .content=${c.$attr("content",t)}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
      ?borderless=${t.borderless}
      ?open=${t.open||void 0}
    >
      ${c.$slot("content",t)}
      ${c.$slot("summary",t)}
    </z-accordion>
  `}function u(t){return e.html`
    <vue-accordion
      .config=${t.config}
      .summary=${c.$attr("summary",t)}
      .content=${c.$attr("content",t)}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
      ?borderless=${t.borderless}
      ?open=${t.open||void 0}
    >
      ${c.$vueSlot("content",t)}
      ${c.$vueSlot("summary",t)}
    </vue-accordion>
  `}function m(t){return e.html`
    <react-accordion
      .config=${t.config}
      .summary=${c.$reactSub("summary",t)}
      .content=${c.$attr("content",t)}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
      ?borderless=${t.borderless}
      ?open=${t.open||void 0}
    >
      ${c.$reactChildren(t)}
    </react-accordion>
  `}const a={name:"Accordion",category:"layouts",slots:n,css:r,vue:u,react:m,web:o,react_native:o};exports.Accordion=a;exports.zAccordionSlots=n;
