"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const e=require("./_shared/Render.js"),a=require("./_shared/Code.js"),m=require("./Tag.js"),u=require("./Card.js"),$=["content","header","pre-line","image-src","actions"];function g(t){var i,l;if(typeof t["image-src"]=="function")throw new Error("Cannot render a function as an image source");const r=((i=t.tags)==null?void 0:i.map(c=>m.Tag.css(typeof c=="string"?{content:c}:c)))||"",n=(r.length===0||r===void 0)&&t["pre-line"],d=a.html`
    ${t["image-src"]?a.html`<img .src=${t["image-src"]} alt="Action card image"/>`:""}
    <main>
      <div>
       ${n||r.length>0?a.html`<div>`:""}
        ${n?a.html`<small>${t["pre-line"]}</small>`:r}
        ${n||r.length>0?a.html`</div>`:""}
        ${((l=t.tags)==null?void 0:l.map(c=>m.Tag.css(typeof c=="string"?{content:c}:c)))||""}
      </div>
      <header>${t.header}</header>
      ${t.content}
    </main>
  `;return u.Card.css({content:d})}function s(t){return a.html`
    <z-article-card
      .header=${e.$attr("header",t)}
      .image-src=${t["image-src"]}
      .image-alt=${t["image-alt"]}
      .content=${e.$attr("content",t)}
      .tags=${t.tags}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${e.$slot("content",t)}
      ${e.$slot("header",t)}
    </z-article-card>
  `}function o(t){return a.html`
    <vue-article-card
      .header=${e.$attr("header",t)}
      .image-src=${t["image-src"]}
      .image-alt=${t["image-alt"]}
      .content=${e.$attr("content",t)}
      .tags=${t.tags}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${e.$vueSlot("content",t)}
      ${e.$vueSlot("header",t)}
    </vue-article-card>
  `}function h(t){return a.html`
    <react-article-card
      .header=${e.$reactSub("header",t)}
      .image-src=${t["image-src"]}
      .image-alt=${t["image-alt"]}
      .content=${e.$attr("content",t)}
      .tags=${t.tags}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${e.$reactChildren(t)}
    </react-article-card>
  `}const _={name:"ArticleCard",category:"molecules",slots:$,css:g,vue:o,react:h,web:s,react_native:s};exports.ArticleCard=_;exports.zArticleCardSlots=$;
