"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const t=require("./_shared/Render.js"),a=require("./_shared/Code.js"),c=require("./_Input.js"),i=c.zInputSlots;function m(e){var n;if(typeof e.label=="function")throw new Error("Cannot render a function as a label");const[$,u]=((n=e.range)==null?void 0:n.map(l=>l===null?void 0:l.toString()))||[];return a.html`
    <label 
      .z-date-input=${e.config||""}
      .style=${t.customPropsToStyle(e,"date-input")}
    >
      <span>${e.label}</span>
      ${e["help-text"]?a.html`<small>${e["help-text"]}</small>`:""}
      <input 
        .type=${e["input-type"]||"date"}
        .placeholder=${e.label}
        .name=${e.name||"z-date-input"}
        .min=${$}
        .max=${u}
        .pattern=${e.pattern}
        .autocomplete=${e.autocomplete}
        ?disabled=${e.disabled}
        ?required=${e.required}
        ?readonly=${e.readonly}
      />
    </label>
  `}function d(e){return a.html`
    <z-date-input
      .config=${e.config}
      .label=${t.$attr("label",e)}     
      .model=${e.model||void 0}
      .name=${e.name}
      .placeholder=${e.placeholder}
      .range=${e.range}
      .min=${e.min||void 0}
      .max=${e.max||void 0}
      .pattern=${e.pattern}
      .input-type=${e["input-type"]}
      .help-text=${t.$attr("help-text",e)}
      .autocomplete=${e.autocomplete}
      .first-weekday=${e["first-weekday"]}
      .calendar-type=${e["calendar-type"]}
      ?invalid=${e.invalid}
      ?disabled=${e.disabled}
      ?required=${e.required}
      ?readonly=${e.readonly}
      ?today-nav=${e["today-nav"]}
      ?selected-nav=${e["selected-nav"]}
      ?custom-ui=${e["custom-ui"]}
    >
      ${t.$slot("label",e)}
      ${t.$slot("help-text",e)}
    </z-date-input>
  `}function y(e){return a.html`
    <vue-date-input
      .config=${e.config}
      .label=${t.$attr("label",e)}
      .model=${e.model||void 0} 
      .name=${e.name}
      .placeholder=${e.placeholder}
      .range=${e.range}
      .min=${e.min||void 0}
      .max=${e.max||void 0}
      .pattern=${e.pattern}
      .input-type=${e["input-type"]}
      .help-text=${t.$attr("help-text",e)}
      .autocomplete=${e.autocomplete}
      .first-weekday=${e["first-weekday"]}
      .calendar-type=${e["calendar-type"]}
      ?invalid=${e.invalid}
      ?disabled=${e.disabled}
      ?required=${e.required}
      ?readonly=${e.readonly}
      ?today-nav=${e["today-nav"]}
      ?selected-nav=${e["selected-nav"]}
      ?custom-ui=${e["custom-ui"]}
    >
      ${t.$vueSlot("label",e)}
      ${t.$vueSlot("help-text",e)}
    </vue-date-input>
  `}function v(e){return a.html`
    <react-date-input
      .config=${e.config}
      .label=${t.$reactSub("label",e)}
      .model=${e.model||void 0}  
      .name=${e.name}
      .placeholder=${e.placeholder}
      .range=${e.range}
      .min=${e.min||void 0}
      .max=${e.max||void 0}
      .pattern=${e.pattern}
      .input-type=${e["input-type"]}
      .help-text=${t.$reactSub("help-text",e)}
      .autocomplete=${e.autocomplete}
      .first-weekday=${e["first-weekday"]}
      .calendar-type=${e["calendar-type"]}
      ?invalid=${e.invalid}
      ?disabled=${e.disabled}
      ?required=${e.required}
      ?readonly=${e.readonly}
      ?today-nav=${e["today-nav"]}
      ?selected-nav=${e["selected-nav"]}
      ?custom-ui=${e["custom-ui"]}
    >
    </react-date-input>
  `}const b={name:"DateInput",category:"inputs",slots:i,css:m,vue:y,react:v,web:d,react_native:d};exports.DateInput=b;exports.zDateInputSlots=i;
