"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const e=require("./_shared/Render.js"),a=require("./_shared/Code.js"),i=require("./Pictogram.js"),m=["content","header","image-src","actions"];function r(t){if(typeof t["image-src"]=="function")throw new Error("Cannot render a function as an image source");const n=t["image-src"]?a.html`
    <img 
      z-image 
      image-size="3" 
      .src=${t["image-src"]} 
      alt="Empty state image"
    />`:"";return a.html`
    <section 
      z-empty-state
      .style=${e.customPropsToStyle(t,"empty-state")}
    >
      ${t.pictogram?i.Pictogram.css({pictogram:t.pictogram}):n}
      <main>
        ${t.header?a.html`<h3>${t.header}</h3>`:""}
        ${t.content?a.html`<p>${t.content}</p>`:""}
        
      </main>
    </section>`}function c(t){return a.html`
    <z-empty-state
      .header=${e.$attr("header",t)}
      .image-src=${t["image-src"]}
      .image-alt=${t["image-alt"]}
      .pictogram=${t.pictogram}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
      .content=${e.$attr("content",t)}
    >
      ${e.$slot("header",t)}
      ${e.$slot("content",t)}
    </z-empty-state>`}function $(t){return a.html`
    <vue-empty-state
      .header=${e.$attr("header",t)}
      .image-src=${t["image-src"]}
      .image-alt=${t["image-alt"]}
      .pictogram=${t.pictogram}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
      .content=${e.$attr("content",t)}
    >
      ${e.$vueSlot("content",t)}
      ${e.$vueSlot("header",t)}
    </vue-empty-state>`}function o(t){return a.html`
    <react-empty-state
      .header=${e.$reactSub("header",t)}
      .image-src=${t["image-src"]}
      .image-alt=${t["image-alt"]}
      .pictogram=${t.pictogram}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
      .content=${e.$attr("content",t)}
    >
      ${e.$reactChildren(t)}
    </react-empty-state>`}const s={name:"EmptyState",category:"molecules",slots:m,css:r,vue:$,react:o,web:c,react_native:c};exports.EmptyState=s;exports.zEmptyStateSlots=m;
