"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const $=require("../helpers/Date.js"),e=require("./_shared/Render.js"),n=require("./_shared/Code.js"),u=require("./Button.js"),l=require("./Pictogram.js"),r=["content","header","image-src","actions"];function d(t){var i;if(typeof t["image-src"]=="function")throw new Error("Cannot render a function as an image source");const{pictogram:c}=t,a=t.date?new Date(t.date):new Date,s=$.getMonthName(a,t.locale||"en","short"),o=t["image-src"]?n.html`<img .src=${t["image-src"]} alt="Event list item image"/>`:"";return n.html`
    <li 
      z-event-list-item
      .style=${e.customPropsToStyle(t,"event-list-item")}
    >
      <time datetime=${(i=t.date)==null?void 0:i.toString()}>
        <span>${s}</span>
        <span>${a.getDate()}</span>
      </time>
      ${c?l.Pictogram.css({pictogram:c}):o}
      <main>
        <header>
          ${t.header}
        </header>
        <p>${t.content}</p>
      </main>

      ${u.Button.css({icon:"calendar-plus"})}
    </li>
  `}function m(t){return n.html`
    <z-event-list-item
      .date=${t.date}
      .header=${e.$attr("header",t)}
      .pictogram=${t.pictogram}
      .image-src=${t["image-src"]}
      .content=${e.$attr("content",t)}
      .custom=${t.custom}      
      .custom-str=${t["custom-str"]}
    >
      ${e.$slot("header",t)}
      ${e.$slot("content",t)}
    </z-event-list-item>
  `}function g(t){return n.html`
    <vue-event-list-item
      .date=${t.date}
      .header=${e.$attr("header",t)}
      .pictogram=${t.pictogram}
      .image-src=${t["image-src"]}
      .content=${e.$attr("content",t)}
      .custom=${t.custom}      
      .custom-str=${t["custom-str"]}
    >
      ${e.$vueSlot("header",t)}
      ${e.$vueSlot("content",t)}
    </vue-event-list-item>
  `}function h(t){return n.html`
    <react-event-list-item
      .date=${t.date}
      .header=${e.$reactSub("header",t)}
      .pictogram=${t.pictogram}
      .image-src=${t["image-src"]}
      .content=${e.$attr("content",t)}
      .custom=${t.custom}      
      .custom-str=${t["custom-str"]}
    >
      ${e.$reactChildren(t)}  
    </react-event-list-item>
  `}const v={name:"EventListItem",category:"molecules",slots:r,css:d,vue:g,react:h,web:m,react_native:m};exports.EventListItem=v;exports.zEventListItemSlots=r;
