"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const n=require("./_shared/Render.js"),e=require("./_shared/Code.js"),c=["content","header","actions"];function o(t){return e.html`
    <section
     .z-floating-banner=${t.config||""}
     .style=${n.customPropsToStyle(t,"floating-banner")}
    >
      ${t.header?e.html`<h6>${t.header}</h6>`:""}

      <main>
        ${t.content}
      </main>

      <footer></footer>
    </section>
  `}function a(t){return e.html`
    <z-floating-banner
      .config=${t.config}
      .header=${n.$attr("header",t)}
      .content=${n.$attr("content",t)}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${n.$slot("header",t)}
      ${n.$slot("content",t)}
    </z-floating-banner>
  `}function r(t){return e.html`
    <vue-floating-banner
      .config=${t.config}
      .header=${n.$attr("header",t)}
      .content=${n.$attr("content",t)}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${n.$vueSlot("content",t)}
      ${n.$vueSlot("header",t)}
    </vue-floating-banner>
  `}function i(t){return e.html`
    <react-floating-banner
      .config=${t.config}
      .header=${n.$attr("header",t)}
      .content=${n.$attr("content",t)}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${n.$reactChildren(t)}
    </react-floating-banner>
  `}const $={name:"FloatingBanner",category:"layouts",slots:c,css:o,vue:r,react:i,web:a,react_native:a};exports.FloatingBanner=$;exports.zFloatingBannerSlots=c;
