"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const e=require("./_shared/Render.js"),i=require("./_shared/Code.js"),c=require("./Icon.js"),m=require("./Profile.js"),a=["content","header","image-src","right-actions","left-actions"];function l(t){if(typeof t["image-src"]=="function")throw new Error("Cannot render a function as an image source");return i.html`
    <li 
      z-list-item
      .style=${e.customPropsToStyle(t,"list-item")}
    > 
      ${t["icon-left"]?c.Icon.css({icon:t["icon-left"]}):""}
      ${t.initials||t["image-src"]?m.Profile.css({"image-src":t["image-src"],"image-alt":t["image-alt"],content:t.initials}):""}
      <main>
        <header>${t.header}</header>
        <p>${t.content}</p>
      </main>
      ${t.timestamp?i.html`<aside>${t.timestamp}</aside>`:""}
      ${t["icon-right"]?c.Icon.css({icon:t["icon-right"]}):""}
    </li>`}function n(t){return i.html`
    <z-list-item
      .header=${e.$attr("header",t)}
      .content=${e.$attr("content",t)}
      .timestamp=${t.timestamp}
      .initials=${t.initials}
      .image-src=${t["image-src"]}
      .image-alt=${t["image-alt"]}
      .icon-right=${t["icon-right"]}
      .icon-left=${t["icon-left"]}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
      
    >
      ${e.$slot("content",t)}
      ${e.$slot("header",t)}
    </z-list-item>
  `}function $(t){return i.html`
    <vue-list-item
      .header=${e.$attr("header",t)}
      .content=${e.$attr("content",t)}
      .timestamp=${t.timestamp}
      .initials=${t.initials}
      .image-src=${t["image-src"]}
      .image-alt=${t["image-alt"]}
      .icon-right=${t["icon-right"]}
      .icon-left=${t["icon-left"]}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${e.$vueSlot("header",t)}
      ${e.$vueSlot("content",t)}
    </vue-list-item>
  `}function s(t){return i.html`
    <react-list-item
      .header=${e.$reactSub("header",t)}
      .content=${e.$attr("content",t)}
      .timestamp=${t.timestamp}
      .initials=${t.initials}
      .image-src=${t["image-src"]}
      .image-alt=${t["image-alt"]}
      .icon-right=${t["icon-right"]}
      .icon-left=${t["icon-left"]}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${e.$reactChildren(t)}
    </react-list-item>
  `}const o={name:"ListItem",category:"molecules",slots:a,css:l,vue:$,react:s,web:n,react_native:n};exports.ListItem=o;exports.zListItemSlots=a;
