"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const v=require("./_shared/Render.js"),n=require("./_shared/Code.js"),_=require("./Button.js"),y=require("./Icon.js"),S=require("./Link.js"),j=require("./Logo.js"),q=require("./SmilingZ.js"),w=require("./SocialMediaIcon.js"),u=require("./Accordion.js"),m=["logo","nav"];function b(t){var i,c,a,s;const r=!t.menu||!t.menu.length,$=((i=t.footer)==null?void 0:i.length)||Object.keys(t.social||{}).length,h=e=>n.html`
    <ul>
      ${e.items.map(o=>f(o))}
    </ul>`,g=e=>n.html`
    ${y.Icon.css({icon:e.icon||"link:line"})}
    <span>${e.text}</span>`,f=e=>"items"in e?n.html`
      <li>
        ${u.Accordion.css({summary:e.text,content:n.html`
        <ul>
          ${e.items.map(o=>n.html`
            <li>
              <a href=${o.href}>${o.text}</a>
            </li>
          `)}
        </ul>
      `})}
      </li>`:n.html`
      <li>
        <a .href=${e.href}>${e.text}</a>
      </li>`,d=r?"":n.html`
    <aside>
      <main>
        ${(c=t.menu)==null?void 0:c.map(e=>n.html`
          <div>
            ${e.map(o=>u.Accordion.css({summary:g(o),content:h(o)}))}
          </div>
        `)}
      </main>

      ${$?n.html`
      <footer>
        <section>
          ${(a=t.footer)==null?void 0:a.map(e=>n.html`
            <div>
              ${S.Link.css({href:e.href,content:e.text})}
            </div>
          `)}
        </section>

        <section>
          ${Object.entries(t.social||{}).map(([e,o])=>n.html`
            <a .href=${o}>
              ${w.SocialMediaIcon.css({brand:e})}
            </a> `)}
        </section>
      </footer>`:""}
    </aside> `;return n.html`
    <nav 
      z-navigation=${t.config||""}
      ?with-top=${t["with-top"]}
      .style=${v.customPropsToStyle(t,"navigation")}
    >
      <label>
        <span>Menu</span>
        <input type="checkbox"/>
      </label>
      <ul>
        ${(s=t.routes)==null?void 0:s.map(({text:e,icon:o})=>n.html`
          <li>
            ${_.Button.css({config:"link",icon:o,content:e})}
          </li>
        `)}
      </ul>

      <a href="#">
        ${t.isotype?q.SmilingZ.css({}):j.Logo.css({inline:!0})}
      </a>

      ${d}
    </nav>
  `}function l(t){return n.html`
    <z-navigation
      .config=${t.config}
      .menu=${t.menu}
      .footer=${t.footer}
      .social=${t.social}
      ?with-top=${t["with-top"]}
      ?isotype=${t.isotype}
      .routes=${t.routes}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
    </z-navigation>
  `}function x(t){return n.html`
    <vue-navigation
      .config=${t.config}
      .menu=${t.menu}
      .footer=${t.footer}
      .social=${t.social}
      ?with-top=${t["with-top"]}
      ?isotype=${t.isotype}
      .routes=${t.routes}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
    </vue-navigation>
  `}function M(t){return n.html`
    <react-navigation
      .config=${t.config}
      .menu=${t.menu}
      .footer=${t.footer}
      .social=${t.social}
      ?with-top=${t["with-top"]}
      ?isotype=${t.isotype}
      .routes=${t.routes}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
    </react-navigation>
  `}const k={name:"Navigation",category:"organisms",slots:m,css:b,web:l,react_native:l,vue:x,react:M};exports.Navigation=k;exports.zNavigationSlots=m;
