"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const t=require("./_shared/Render.js"),n=require("./_shared/Code.js"),m=require("./_Input.js"),c=[...m.zInputSlots,"data-list"];function b(e){var a,$;if(typeof e.label=="function")throw new Error("Cannot render a function as a label");const[l,i]=((a=e.range)==null?void 0:a.map(u=>u===null?void 0:u.toString()))||[];return n.html`
    <label 
      .z-number-input=${e.config||""} 
      .icon=${e.icon}
      .style=${t.customPropsToStyle(e,"number-input")}
    >
      <span>${e.label}</span>
      ${e["help-text"]?n.html`<small>${e["help-text"]}</small>`:""}
      <input
        type="number"
        .placeholder=${e.label}
        .step=${($=e.step)==null?void 0:$.toString()}
        .name=${e.name||"z-number-input"}
        .min=${l}
        .max=${i}
        .autocomplete=${e.autocomplete}
        ?disabled=${e.disabled}
        ?required=${e.required}
        ?readonly=${e.readonly}
      />
    </label>
  `}function d(e){var l,i,a;return n.html`
    <z-number-input
      .config=${e.config}
      .model=${(l=e.model)!=null?l:void 0}
      .label=${t.$attr("label",e)}     
      .name=${e.name}
      .range=${e.range}
      .step=${e.step}
      .data-list=${t.$complexAttr("data-list",e)}
      .help-text=${t.$attr("help-text",e)}
      .icon=${e.icon}
      .decimals=${e.decimals}
      .unit=${e.unit}
      .autocomplete=${e.autocomplete}
      ?invalid=${e.invalid}
      ?align-right=${e["align-right"]}
      ?disabled=${e.disabled}
      ?required=${e.required}
      ?readonly=${e.readonly}
    >
      ${((i=e.slotted)==null?void 0:i["data-list"])&&((a=e["data-list"])==null?void 0:a.map($=>n.html`
        <option .value=${$.toString()}></option>`))}
      ${t.$slot("label",e)}
      ${t.$slot("help-text",e)}
    </z-number-input>
  `}function g(e){var l;return n.html`
    <vue-number-input
      .config=${e.config}
      .model=${(l=e.model)!=null?l:void 0}
      .label=${t.$attr("label",e)}     
      .name=${e.name}
      .range=${e.range}
      .step=${e.step}
      .data-list=${t.$complexAttr("data-list",e)}
      .help-text=${t.$attr("help-text",e)}
      .icon=${e.icon}
      .decimals=${e.decimals}
      .unit=${e.unit}
      .autocomplete=${e.autocomplete}
      ?invalid=${e.invalid}
      ?align-right=${e["align-right"]}
      ?disabled=${e.disabled}
      ?required=${e.required}
      ?readonly=${e.readonly}
    >
      ${t.$vueSlot("label",e)}
      ${t.$vueSlot("help-text",e)}
    </vue-number-input>
  `}function r(e){var l;return n.html`
    <react-number-input
      .config=${e.config}
      .model=${(l=e.model)!=null?l:void 0}
      .label=${t.$reactSub("label",e)}     
      .name=${e.name}
      .range=${e.range}
      .step=${e.step}
      .data-list=${e["data-list"]}
      .help-text=${t.$reactSub("help-text",e)}
      .icon=${e.icon}
      .decimals=${e.decimals}
      .unit=${e.unit}
      .autocomplete=${e.autocomplete}
      ?invalid=${e.invalid}
      ?align-right=${e["align-right"]}
      ?disabled=${e.disabled}
      ?required=${e.required}
      ?readonly=${e.readonly}
    >
    </react-number-input>
  `}const o={name:"NumberInput",category:"inputs",slots:c,css:b,vue:g,react:r,web:d,react_native:d};exports.NumberInput=o;exports.zNumberInputSlots=c;
