"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const t=require("./_shared/Render.js"),l=require("./_shared/Code.js"),i=require("./_Input.js"),n=i.zInputSlots;function $(e){if(typeof e.label=="function")throw new Error("Cannot render a function as a label");const d=e.config||"";return l.html`
    <label 
      .z-password-input=${d}
      .style=${t.customPropsToStyle(e,"password-input")}
    >
      <span>${e.label}</span>
      ${e["help-text"]?l.html`<small>${e["help-text"]}</small>`:""}
      <input
        type="password"
        .placeholder=${e.label}
        .name=${e.name||"z-password-input"}
        ?disabled=${e.disabled}
        ?readonly=${e.readonly}
        ?required=${e.required}
      />
    </label>
  `}function a(e){return l.html`
    <z-password-input
      .config=${e.config}
      .label=${t.$attr("label",e)}     
      .name=${e.name}
      .placeholder=${e.placeholder}
      .help-text=${t.$attr("help-text",e)}
      ?invalid=${e.invalid}
      ?disabled=${e.disabled}
      ?readonly=${e.readonly}
      ?required=${e.required}
    >
      ${t.$slot("label",e)}
      ${t.$slot("help-text",e)}
    </z-password-input>
  `}function u(e){return l.html`
    <vue-password-input
      .config=${e.config}
      .label=${t.$attr("label",e)}     
      .name=${e.name}
      .placeholder=${e.placeholder}
      .help-text=${t.$attr("help-text",e)}
      ?invalid=${e.invalid}
      ?disabled=${e.disabled}
      ?readonly=${e.readonly}
      ?required=${e.required}
    >
      ${t.$vueSlot("label",e)}
      ${t.$vueSlot("help-text",e)}
    </vue-password-input>
  `}function r(e){return l.html`
    <react-password-input
      .config=${e.config}
      .label=${t.$reactSub("label",e)}     
      .name=${e.name}
      .placeholder=${e.placeholder}
      .help-text=${t.$reactSub("help-text",e)}
      ?invalid=${e.invalid}
      ?disabled=${e.disabled}
      ?readonly=${e.readonly}
      ?required=${e.required}
    >
    </react-password-input>
  `}const c={name:"PasswordInput",category:"inputs",slots:n,css:$,vue:u,react:r,web:a,react_native:a};exports.PasswordInput=c;exports.zPasswordInputSlots=n;
