"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const c=require("./_shared/Render.js"),e=require("./_shared/Code.js"),u=["content","description","author-name","image-src"];function n(t){return e.html`
    <blockquote 
      z-quote 
      .cite=${t["quote-src"]||""}
      .style=${c.customPropsToStyle(t,"quote")}
    >
      ${t.content?e.html`<p>${t.content}</p>`:""}
      <footer>
        <header>${t["author-name"]}</header>
        ${t.description?e.html`<small>${t.description}</small>`:""}
      </footer>
      ${t["image-src"]?e.html`<img .src=${t["image-src"]} alt="Quote image" />`:""}
    </blockquote>
  `}function o(t){return e.html`
    <z-quote 
      .content=${c.$attr("content",t)}
      .quote-src=${t["quote-src"]} 
      .author-name=${t["author-name"]}
      .description=${t.description}
      .image-src=${t["image-src"]}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${c.$slot("content",t)}
    </z-quote>
  `}function a(t){return e.html`
    <vue-quote
      .content=${c.$attr("content",t)}
      .quote-src=${t["quote-src"]} 
      .author-name=${t["author-name"]}
      .description=${t.description}
      .image-src=${t["image-src"]}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${c.$vueSlot("content",t)}
    </vue-quote>
  `}function r(t){return e.html`
    <react-quote
      .content=${c.$attr("content",t)}
      .quote-src=${t["quote-src"]} 
      .author-name=${t["author-name"]}
      .description=${t.description}
      .image-src=${t["image-src"]}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${c.$reactChildren(t)}
    </react-quote>
  `}const m={name:"Quote",category:"molecules",slots:u,css:n,vue:a,react:r,web:o,react_native:o};exports.Quote=m;exports.zQuoteSlots=u;
