"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const t=require("./_shared/Render.js"),i=require("./_shared/Code.js"),c=["label","help-text","options"];function m(e){var l;if(typeof e.label=="function")throw new Error("Cannot render a function as a label");return i.html`
    <fieldset 
      .z-radio-select=${e.config||""}
      .style=${t.customPropsToStyle(e,"radio-select")}
    >
      <legend>${e.label}</legend>
      ${(l=e.options)==null?void 0:l.map(({disabled:d,value:n,text:a},u)=>{var $;return i.html`
        <label>
          <span>${a}</span>
          <input
            type="radio"
            .name=${e.name||"radio-select"}
            .value=${n}
            ?disabled=${e.disabled||d}
            ?required=${e.required}
          />
          ${e["help-text"]&&u===((($=e.options)==null?void 0:$.length)||0)-1?i.html`<small>${e["help-text"]}</small>`:""}
        </label>
        `})}
    </fieldset>
  `}function o(e){var l,d,n;return i.html`
    <z-radio-select
      .config=${e.config}
      .model=${(l=e.model)!=null?l:void 0}
      .label=${t.$attr("label",e)}     
      .name=${e.name}
      .options=${t.$complexAttr("options",e)}
      .help-text=${t.$attr("help-text",e)}
      ?invalid=${e.invalid}
      ?disabled=${e.disabled}
      ?required=${e.required}
    >
      ${((d=e.slotted)==null?void 0:d.options)&&((n=e.options)==null?void 0:n.map(a=>i.html`
        <option .value=${a.value} ?disabled=${a.disabled}>${a.text}</option>
      `))}
      ${t.$slot("label",e)}
      ${t.$slot("help-text",e)}
    </z-radio-select>
  `}function b(e){var l;return i.html`
    <vue-radio-select
      .config=${e.config}
      .model=${(l=e.model)!=null?l:void 0}
      .label=${t.$attr("label",e)}     
      .name=${e.name}
      .options=${t.$complexAttr("options",e)}
      .help-text=${t.$attr("help-text",e)}
      ?invalid=${e.invalid}
      ?disabled=${e.disabled}
      ?required=${e.required}
    >
      ${t.$vueSlot("label",e)}
      ${t.$vueSlot("help-text",e)}
    </vue-radio-select>
  `}function r(e){var l;return i.html`
    <react-radio-select
      .config=${e.config}
      .model=${(l=e.model)!=null?l:void 0}
      .label=${t.$reactSub("label",e)}     
      .name=${e.name}
      .options=${t.$complexAttr("options",e)}
      .help-text=${t.$reactSub("help-text",e)}
      ?invalid=${e.invalid}
      ?disabled=${e.disabled}
      ?required=${e.required}
    >
    </react-radio-select>
  `}const h={name:"RadioSelect",category:"inputs",slots:c,css:m,vue:b,react:r,web:o,react_native:o};exports.RadioSelect=h;exports.zRadioSelectSlots=c;
