"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const c=require("./_shared/Render.js"),e=require("./_shared/Code.js"),m=require("./Pictogram.js"),o=require("./Shape.js"),g=["content","category","image-src","actions"];function i(t){const{pictogram:a,shape:r="1"}=t;return e.html`
    <section 
      .z-stage-banner=${t.config||""}
      .style=${c.customPropsToStyle(t,"stage-banner")}
    >
      ${a?m.Pictogram.css({pictogram:a}):""}
      ${t["image-src"]?e.html`<img z-image src=${t["image-src"]} alt="Image" />`:""}

      <main>
        ${t.category?e.html`<h6>${t.category}</h6>`:""}
        ${t.content?e.html`<h3>${t.content}</h3>`:""}
      </main>

      ${!t.pictogram&&!t["image-src"]?o.Shape.css({shape:r}):""}
    </section>
  `}function n(t){return e.html`
    <z-stage-banner
      .config=${t.config}
      .image-src=${t["image-src"]}
      .pictogram=${t.pictogram}
      .shape=${t.shape}
      .category=${t.category}
      .content=${c.$attr("content",t)}  
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${c.$slot("content",t)}
    </z-stage-banner>
  `}function s(t){return e.html`
    <vue-stage-banner
      .config=${t.config}
      .image-src=${t["image-src"]}
      .pictogram=${t.pictogram}
      .shape=${t.shape}
      .category=${t.category}
      .content=${c.$attr("content",t)}  
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${c.$vueSlot("content",t)}
    </vue-stage-banner>
  `}function $(t){return e.html`
    <react-stage-banner
      .config=${t.config}
      .image-src=${t["image-src"]}
      .pictogram=${t.pictogram}
      .shape=${t.shape}
      .category=${t.category}
      .content=${c.$attr("content",t)}  
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${c.$reactChildren(t)}
    </react-stage-banner>
  `}const u={name:"StageBanner",category:"molecules",slots:g,css:i,vue:s,react:$,web:n,react_native:n};exports.StageBanner=u;exports.zStageBannerSlots=g;
