"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const e=require("./_shared/Render.js"),a=require("./_shared/Code.js"),u=require("./_Input.js"),d=[...u.zInputSlots,"data-list"];function c(t){var l;if(typeof t.label=="function")throw new Error("Cannot render a function as a label");const n=t["data-list"]?a.html`
    <datalist id="list-id">
      ${t["data-list"].map(i=>a.html`<option value=${i}></option>`)}
    </datalist>
  `:"";return a.html`
  <label 
    .z-text-input=${t.config||""} 
    .icon=${t.icon}
    .style=${e.customPropsToStyle(t,"text-input")}
  >
    <span>${t.label}</span>
    ${t["help-text"]?a.html`<small>${t["help-text"]}</small>`:""}
    <input 
      .type=${t["input-type"]||"text"}
      .maxlength=${t["max-length"]}
      .minlength=${t["min-length"]}
      .placeholder=${t.placeholder||t.label}
      .name=${t.name||"z-text-input"}
      .pattern=${t.pattern}
      ?disabled=${t.disabled}
      ?required=${t.required}
      ?readonly=${t.readonly}
      .autocomplete=${t.autocomplete}
      .list=${t["data-list"]&&"list-id"}
    />
    ${t["max-length"]?a.html`<output>${((l=t.model)==null?void 0:l.length)||0} / ${t["max-length"]}</output>`:""}
    ${n}
  </label>
  `}function $(t){var n,l;return a.html`
    <z-text-input
      .config=${t.config}
      .model=${t.model||void 0}
      .input-type=${t["input-type"]}
      .label=${e.$attr("label",t)}     
      .name=${t.name}
      .placeholder=${t.placeholder}
      .data-list=${e.$complexAttr("data-list",t)}
      .max-length=${t["max-length"]}
      .min-length=${t["min-length"]}
      .help-text=${e.$attr("help-text",t)}
      .icon=${t.icon}
      .autocomplete=${t.autocomplete}
      .pattern=${t.pattern}
      ?invalid=${t.invalid}
      ?align-right=${t["align-right"]}
      ?disabled=${t.disabled}
      ?required=${t.required}
      ?readonly=${t.readonly}
    >
      ${((n=t.slotted)==null?void 0:n["data-list"])&&((l=t["data-list"])==null?void 0:l.map(i=>a.html`
        <option .value=${i}></option>`))}
      ${e.$slot("label",t)}
      ${e.$slot("help-text",t)}
    </z-text-input>
  `}function m(t){var n,l;return a.html`
    <vue-text-input
      .config=${t.config}
      .model=${t.model||void 0}
      .input-type=${t["input-type"]}
      .label=${e.$attr("label",t)}     
      .name=${t.name}
      .placeholder=${t.placeholder}
      .data-list=${e.$complexAttr("data-list",t)}
      .max-length=${t["max-length"]}
      .min-length=${t["min-length"]}
      .help-text=${e.$attr("help-text",t)}
      .icon=${t.icon}
      .autocomplete=${t.autocomplete}
      .pattern=${t.pattern}
      ?invalid=${t.invalid}
      ?align-right=${t["align-right"]}
      ?disabled=${t.disabled}
      ?required=${t.required}
      ?readonly=${t.readonly}
    >
      ${((n=t.slotted)==null?void 0:n["data-list"])&&((l=t["data-list"])==null?void 0:l.map(i=>a.html`
        <option .value=${i}></option>`))}
      ${e.$vueSlot("label",t)}
      ${e.$vueSlot("help-text",t)}
    </vue-text-input>
  `}function h(t){var n,l;return a.html`
    <react-text-input
      .config=${t.config}
      .model=${t.model||void 0}
      .input-type=${t["input-type"]}
      .label=${e.$reactSub("label",t)}     
      .name=${t.name}
      .placeholder=${t.placeholder}
      .data-list=${e.$complexAttr("data-list",t)}
      .max-length=${t["max-length"]}
      .min-length=${t["min-length"]}
      .help-text=${e.$reactSub("help-text",t)}
      .icon=${t.icon}
      .autocomplete=${t.autocomplete}
      .pattern=${t.pattern}
      ?invalid=${t.invalid}
      ?align-right=${t["align-right"]}
      ?disabled=${t.disabled}
      ?required=${t.required}
      ?readonly=${t.readonly}
    >
      ${((n=t.slotted)==null?void 0:n["data-list"])&&((l=t["data-list"])==null?void 0:l.map(i=>a.html`
        <option .value=${i}></option>`))}
    </react-text-input>
  `}const g={name:"TextInput",category:"inputs",slots:d,css:c,vue:m,react:h,web:$,react_native:$};exports.TextInput=g;exports.zTextInputSlots=d;
