import { CodeProps_Slots, CodeSample } from './_shared';
import { ZAccordion_Props, ZAccordion_Slots } from './Accordion.props';
export * from './Accordion.props';
export type ZAccordion_CodeProps = CodeProps_Slots<ZAccordion_Props, ZAccordion_Slots>;
declare function CSS(props: ZAccordion_CodeProps): CodeSample;
declare function Web(props: ZAccordion_CodeProps): CodeSample;
declare function Vue(props: ZAccordion_CodeProps): CodeSample;
declare function React(props: ZAccordion_CodeProps): CodeSample;
export declare const Accordion: {
    name: string;
    category: "layouts";
    slots: ["content", "summary"];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
