import { BaseComponent, CustomTokens } from './_shared';
export type ZAccordion_Custom = 'border-color' | 'color' | 'radius' | `summary-${'color' | 'padding' | 'margin' | 'font'}` | 'width' | 'outline';
export type ZAccordion_Props = BaseComponent & Partial<{
    /** ... */
    readonly summary: string;
    /** ... */
    readonly config: 'l' | 's';
    /** ... */
    readonly content: string;
    /** ... */
    readonly model: boolean;
    /** ... */
    readonly open: boolean;
    /** ... */
    readonly borderless: boolean;
    /** */
    readonly custom: CustomTokens<ZAccordion_Custom>;
}>;
export declare const zAccordionSlots: ["content", "summary"];
export type ZAccordion_Slots = (typeof zAccordionSlots)[number];
export type ZAccordion_Events = Partial<{
    readonly change: Required<ZAccordion_Props>['model'];
}>;
