import { CodeProps_Slots, CodeSample } from './_shared';
import { ZActionMenu_Props, ZActionMenu_Slots } from './ActionMenu.props';
export * from './ActionMenu.props';
export type ZActionMenu_CodeProps = CodeProps_Slots<ZActionMenu_Props, ZActionMenu_Slots>;
declare function CSS(props: ZActionMenu_CodeProps): CodeSample;
declare function Web(props: ZActionMenu_CodeProps): CodeSample;
declare function Vue(props: ZActionMenu_CodeProps): CodeSample;
declare function React(props: ZActionMenu_CodeProps): CodeSample;
export declare const ActionMenu: {
    name: string;
    category: "layouts";
    slots: ["content"];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
