import { SizelessIconAttr } from '../data';
import { BaseComponent, CustomTokens } from './_shared';
export type DropdownElementBase = {
    readonly text: string;
    readonly icon?: SizelessIconAttr;
};
export type SubDropdown = DropdownElementBase & {
    readonly items: DropdownElement[];
    readonly href?: string;
};
export type DropdownElement = DropdownElementBase & {
    readonly href: string;
};
export type ZActionMenu_Custom = `bg${'' | '--hover'}` | `color${'' | '--hover'}` | 'radius' | 'shadow' | 'heading-color';
export type ZActionMenu_Props = BaseComponent & Partial<{
    readonly config: 'round';
    /** */
    readonly elements: readonly ({
        section: string;
    } | DropdownElement | SubDropdown)[];
    /** */
    readonly href: string;
    /** */
    readonly content: string;
    /** */
    readonly custom: CustomTokens<ZActionMenu_Custom>;
}>;
export declare const zActionMenuSlots: ["content"];
export type ZActionMenu_Slots = (typeof zActionMenuSlots)[number];
export type ZActionMenu_Events = Partial<{}>;
