import { CodeProps_Slots, CodeSample } from './_shared';
import { ZArticleCard_Props, ZArticleCard_Slots } from './ArticleCard.props';
export * from './ArticleCard.props';
export type ZArticleCard_CodeProps = CodeProps_Slots<ZArticleCard_Props, ZArticleCard_Slots>;
declare function CSS(props: ZArticleCard_CodeProps): CodeSample;
declare function Web(props: ZArticleCard_CodeProps): CodeSample;
declare function Vue(props: ZArticleCard_CodeProps): CodeSample;
declare function React(props: ZArticleCard_CodeProps): CodeSample;
export declare const ArticleCard: {
    name: string;
    category: "molecules";
    slots: ["content", "header", "pre-line", "image-src", "actions"];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
