import { CSSStyle, CodeSample } from './_shared';
import { ZAvatar_Props } from './Avatar.props';
export * from './Avatar.props';
export type ZAvatar_CodeProps = ZAvatar_Props & {
    slotted?: {
        content?: boolean;
    };
    style?: CSSStyle;
};
declare function CSS(props: ZAvatar_CodeProps): CodeSample;
declare function Web(props: ZAvatar_CodeProps): CodeSample;
declare function Vue(props: ZAvatar_CodeProps): CodeSample;
declare function React(props: ZAvatar_CodeProps): CodeSample;
export declare const Avatar: {
    name: string;
    category: "molecules";
    slots: ["content", "name", "image-src"];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
