import { CSSStyle, CodeSample } from './_shared';
import { ZAvatarList_Props } from './AvatarList.props';
export * from './AvatarList.props';
export type ZAvatarList_CodeProps = ZAvatarList_Props & {
    style?: CSSStyle;
    slotted?: {
        profiles?: boolean;
    };
};
declare function CSS(props: ZAvatarList_CodeProps): CodeSample;
declare function Web(props: ZAvatarList_CodeProps): CodeSample;
declare function Vue(props: ZAvatarList_CodeProps): CodeSample;
declare function React(props: ZAvatarList_CodeProps): CodeSample;
export declare const AvatarList: {
    name: string;
    category: "molecules";
    slots: never[];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
