import { CSSStyle, CodeProps_Slots, CodeSample } from './_shared';
import { ZBadge_Props, ZBadge_Slots } from './Badge.props';
export * from './Badge.props';
export type ZBadge_CodeProps = CodeProps_Slots<ZBadge_Props, ZBadge_Slots> & {
    style?: CSSStyle;
};
declare function CSS(props: ZBadge_CodeProps): CodeSample;
declare function Web(props: ZBadge_CodeProps): CodeSample;
declare function Vue(props: ZBadge_CodeProps): CodeSample;
declare function React(props: ZBadge_CodeProps): CodeSample;
export declare const Badge: {
    name: string;
    category: "atoms";
    slots: ["content"];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
