import { CSSStyle, CodeSample } from './_shared';
import { ZBarChart_Props } from './BarChart.props';
export * from './BarChart.props';
export type ZBarChart_CodeProps = ZBarChart_Props & {
    style?: CSSStyle;
};
declare function CSS(_props: ZBarChart_CodeProps): CodeSample;
declare function Web(props: ZBarChart_CodeProps): CodeSample;
export declare const BarChart: {
    name: string;
    category: "data";
    slots: never[];
    css: typeof CSS;
    web: typeof Web;
    react_native: typeof Web;
};
