import { CodeProps_Slots, CodeSample } from './_shared';
import { ZBooleanIcon_Props, ZBooleanIcon_Slots } from './BooleanIcon.props';
export * from './BooleanIcon.props';
export type ZBooleanIcon_CodeProps = CodeProps_Slots<ZBooleanIcon_Props, ZBooleanIcon_Slots>;
declare function CSS(props: ZBooleanIcon_CodeProps): CodeSample;
declare function Web(props: ZBooleanIcon_CodeProps): CodeSample;
declare function Vue(props: ZBooleanIcon_CodeProps): CodeSample;
declare function React(props: ZBooleanIcon_CodeProps): CodeSample;
export declare const BooleanIcon: {
    name: string;
    category: "inputs";
    slots: ("label" | "help-text")[];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
