import { ZBooleanInput_Props } from './_BooleanInput.props';
export type ZBooleanIcon_Custom = 'color' | 'color--off' | 'size';
export type ZBooleanIcon_Icon = 'star' | 'heart' | 'like' | 'dislike' | 'bookmark' | 'lock' | 'unlock' | 'sound-on' | 'sound-off' | 'visible' | 'invisible' | 'mute' | 'unmute';
export type ZBooleanIcon_Props = Omit<ZBooleanInput_Props, 'config'> & Partial<{
    /** */
    readonly config: ZBooleanIcon_Icon;
    /** */
    readonly custom: {
        [K in ZBooleanIcon_Custom]?: string;
    };
}>;
export declare const zBooleanIconSlots: ("label" | "help-text")[];
export type ZBooleanIcon_Slots = (typeof zBooleanIconSlots)[number];
export type ZBooleanIcon_Events = Partial<{
    /** ... */
    readonly change: Required<ZBooleanIcon_Props>['model'];
    /** */
    readonly blur: void;
    /** */
    readonly validated: boolean;
    readonly restarted: void;
}>;
