import { CodeProps_Slots, CodeSample } from './_shared';
import { ZButton_Props, ZButton_Slots } from './Button.props';
export * from './Button.props';
export type ZButton_CodeProps = CodeProps_Slots<ZButton_Props, ZButton_Slots>;
declare function CSS(props: ZButton_CodeProps): CodeSample;
declare function Web(props: ZButton_CodeProps): CodeSample;
declare function Vue(props: ZButton_CodeProps): CodeSample;
declare function React(props: ZButton_CodeProps): CodeSample;
export declare const Button: {
    name: string;
    category: "atoms";
    slots: ["content", "popover"];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
