import { $attr as r, $slot as u } from "./_shared/Render.js";
import { html as w } from "./_shared/Code.js";
function g(t) {
  return t.toISOString().split("T")[0];
}
function l(t) {
  const a = g(t);
  return {
    day: a.split("-")[2].replace(/^0/, ""),
    date: a
  };
}
function k(t, a, f = "monday") {
  const n = [], m = new Date(t, a, 1), o = new Date(t, a + 1, 0).getDate(), y = f === "sunday" ? 0 : 1, s = (m.getDay() - y + 7) % 7, d = (7 - (o + s) % 7) % 7, x = s + o + d, i = Math.ceil(x / 7);
  for (let e = 0; e < i; e++)
    n[e] = [];
  for (let e = s - 1; e >= 0; e--) {
    const c = new Date(t, a, -e + 1);
    n[0].push(l(c));
  }
  for (let e = 0; e < o; e++) {
    const c = new Date(t, a, e + 2), D = Math.floor((s + e) / 7);
    n[D].push(l(c));
  }
  for (let e = 0; e < d; e++) {
    const c = new Date(t, a + 1, e + 2);
    n[i - 1].push(l(c));
  }
  return n;
}
const M = ["selected-text", "today-text"];
function $(t) {
  return w`
    <z-calendar
      .first-weekday=${t["first-weekday"]}
      .locale=${t.locale}
      .model=${t.model}
      .style=${t.style}
      .today-text=${r("today-text", t)}
      .selected-text=${r("selected-text", t)}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
      .min=${t.min}
      .max=${t.max}
      .range=${t.range}
      ?wide=${t.wide}
      ?today-nav=${t["today-nav"]}
      ?selected-nav=${t["selected-nav"]}
    >
      ${u("today-text", t)}
      ${u("selected-text", t)}
    </z-calendar>
  `;
}
const C = {
  name: "Calendar",
  category: "inputs",
  slots: M,
  web: $,
  react_native: $
};
export {
  C as Calendar,
  k as generateCalendarMonthMatrix,
  M as zCalendarSlots
};
