import { CustomTokens } from './_shared';
import { ZBaseCalendar_Props } from './_BaseCalendar.props';
export type ZCalendar_Custom = 'radius' | 'shadow' | `${'header-' | ''}${'bg' | 'color'}`;
export type ZCalendar_Props = ZBaseCalendar_Props & Partial<{
    /** */
    readonly model: string;
    /** */
    readonly custom: CustomTokens<ZCalendar_Custom>;
}>;
export declare const zCalendarSlots: ("today-text" | "selected-text")[];
export type ZCalendar_Slots = (typeof zCalendarSlots)[number];
export type ZCalendar_Events = Partial<{
    /** ... */
    readonly change: Required<ZCalendar_Props>['model'];
    readonly restarted: void;
}>;
