import { customPropsToStyle as l, $attr as e, $slot as a, $vueSlot as $, $reactChildren as o } from "./_shared/Render.js";
import { html as c } from "./_shared/Code.js";
const u = ["content"];
function i(t) {
  return c`
    <article
      .z-card=${t.config || ""}
      .level=${t.level}
      .style=${l(t, "card")}
      ?clickable=${t.clickable}
    >
      ${t.content}
    </article>
  `;
}
function n(t) {
  return c`
    <z-card
      .config=${t.config}
      .level=${t.level}
      .content=${e("content", t)}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
      ?clickable=${t.clickable}
    >
      ${a("content", t)}
    </z-card>
  `;
}
function m(t) {
  return c`
    <vue-card
      .config=${t.config}
      .level=${t.level}
      .content=${e("content", t)}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
      ?clickable=${t.clickable}
    >
      ${$("content", t)}
    </vue-card>
  `;
}
function r(t) {
  return c`
    <react-card
      .config=${t.config}
      .level=${t.level}
      .content=${e("content", t)}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
      ?clickable=${t.clickable}
    >
      ${o(t)}
    </react-card>
  `;
}
const d = {
  name: "Card",
  category: "layouts",
  slots: u,
  css: i,
  vue: m,
  react: r,
  web: n,
  react_native: n
};
export {
  d as Card,
  u as zCardSlots
};
