import { BaseComponent, CustomTokens } from './_shared';
export type ZCard_Custom = 'bg' | 'color' | 'padding' | 'gap' | 'radius' | 'shadow' | 'border' | 'font';
export type ZCard_Props = BaseComponent & Partial<{
    /** ... */
    readonly level: 1 | 2 | 4 | 6 | 8;
    /** */
    readonly size: 'desktop' | 'mobile' | 'portrait' | 'landscape';
    /** */
    readonly config: 'slim' | `slim:${'flex' | 'grid'}` | 'flex' | 'grid';
    /** */
    readonly clickable: boolean;
    /** */
    readonly content: string;
    /** */
    /** */
    readonly custom: CustomTokens<ZCard_Custom>;
}>;
export declare const zCardSlots: ["content"];
export type ZCard_Slots = (typeof zCardSlots)[number];
export type ZCard_Events = Partial<{
    readonly click: void;
}>;
