import { CSSStyle, CodeSample } from './_shared';
import { ZCardCarousel_Props } from './CardCarousel.props';
export * from './CardCarousel.props';
export type ZCardCarousel_CodeProps = ZCardCarousel_Props & {
    content?: string | number | CodeSample;
    items: 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10;
    style?: CSSStyle;
};
declare function CSS(props: ZCardCarousel_CodeProps): CodeSample;
declare function Web(props: ZCardCarousel_CodeProps): CodeSample;
declare function Vue(props: ZCardCarousel_CodeProps): CodeSample;
declare function React(props: ZCardCarousel_CodeProps): CodeSample;
export declare const CardCarousel: {
    name: string;
    category: "layouts";
    slots: never[];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
