import { ToAttrChain } from '../typescript';
import { BaseComponent, CustomTokens } from './_shared';
export type ZCarousel_Custom = `bg${'' | '--even'}` | 'width' | 'height' | 'gap' | 'squint' | `button-${'distance' | 'bg' | 'bg--hover' | 'color'}` | `dot-${'size' | 'bg' | 'bg--hover' | 'bg--active' | 'padding'}`;
export type ZCarousel_Buttons = 'circle' | 'semi' | 'chevron';
export type ZCarousel_Dots = 'center' | 'left' | 'right';
export type ZCarousel_Props = BaseComponent & Partial<{
    /** ... */
    readonly config: ToAttrChain<ZCarousel_Buttons, `${ZCarousel_Dots}${'' | ':nav'}`>;
    /** ... */
    readonly delay: number;
    /** ... */
    readonly overflow: boolean;
    /** ... */
    readonly 'no-loop': boolean;
    /** */
    readonly custom: CustomTokens<ZCarousel_Custom>;
}>;
export declare const zCarouselSlots: never[];
export type ZCarousel_Slots = (typeof zCarouselSlots)[number] | `slide-<number>`;
export type ZCarousel_Events = Partial<{
    readonly slide: number;
}>;
