import { CSSStyle, CodeSample } from './_shared';
import { ZCheckbox_Props } from './Checkbox.props';
export * from './Checkbox.props';
export type ZCheckbox_CodeProps = ZCheckbox_Props & {
    style?: CSSStyle;
    slotted?: {
        label?: boolean;
        'help-text'?: boolean;
    };
};
declare function CSS(props: ZCheckbox_CodeProps): CodeSample;
declare function Web(props: ZCheckbox_CodeProps): CodeSample;
declare function Vue(props: ZCheckbox_CodeProps): CodeSample;
declare function React(props: ZCheckbox_CodeProps): CodeSample;
export declare const Checkbox: {
    name: string;
    category: "inputs";
    slots: ("label" | "help-text")[];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
