import { customPropsToStyle as c, $attr as n, $slot as o, $vueSlot as i, $reactChildren as l } from "./_shared/Render.js";
import { html as e } from "./_shared/Code.js";
const $ = ["content"];
function a(t) {
  return t.readonly ? e`
    <output 
      z-chip 
      .style=${c(t, "chip")}
    >
      ${t.content}
    </output>
  ` : e`
    <button 
      z-chip 
      .style=${c(t, "chip")}
      ?disabled=${t.disabled}
    >
      ${t.content}
    </button>
  `;
}
function u(t) {
  return e`
    <z-chip
      .content=${n("content", t)}
      .style=${t.style}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
      ?disabled=${t.disabled}
      ?readonly=${t.readonly}
    >
      ${o("content", t)}
    </z-chip>
  `;
}
function d(t) {
  return e`
    <vue-chip
      .content=${n("content", t)}
      .style=${t.style}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
      ?disabled=${t.disabled}
      ?readonly=${t.readonly}
    >
      ${i("content", t)}
    </vue-chip>
  `;
}
function s(t) {
  return e`
    <react-chip
      .content=${n("content", t)}
      .style=${t.style}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
      ?disabled=${t.disabled}
      ?readonly=${t.readonly}
    >
      ${l(t)}
    </react-chip>
  `;
}
const h = {
  name: "Chip",
  category: "atoms",
  slots: $,
  css: a,
  vue: d,
  react: s,
  web: u,
  react_native: u
};
export {
  h as Chip,
  $ as zChipSlots
};
