import { CustomTokens } from './_shared';
import { ZInput_Props } from './_Input.props';
import { ZSelectInput_Option } from './_OptionsInput.props';
export type ZChipsSet_Custom = 'bg' | 'bg--shaped' | 'padding' | 'gap' | 'radius--shaped';
export type ZChipsSet_Props = Omit<ZInput_Props, 'config'> & Partial<{
    /** */
    readonly model: string[];
    /** */
    readonly options: readonly ZSelectInput_Option[];
    /** */
    readonly custom: CustomTokens<ZChipsSet_Custom>;
}>;
export declare const zChipsSetSlots: ("label" | "help-text" | "options")[];
export type ZChipsSet_Slots = (typeof zChipsSetSlots)[number];
export type ZChipsSet_Events = Partial<{
    /** ... */
    readonly change: Required<ZChipsSet_Props>['model'];
    readonly restarted: void;
}>;
