import { CSSStyle, CodeSample } from './_shared';
import { ZColorInput_Props } from './ColorInput.props';
export * from './ColorInput.props';
export type ZColorInput_CodeProps = ZColorInput_Props & {
    style?: CSSStyle;
};
declare function CSS(props: ZColorInput_CodeProps): CodeSample;
declare function Web(props: ZColorInput_CodeProps): CodeSample;
declare function Vue(props: ZColorInput_CodeProps): CodeSample;
declare function React(props: ZColorInput_CodeProps): CodeSample;
export declare const ColorInput: {
    name: string;
    category: "inputs";
    slots: ("label" | "help-text")[];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
