import { Localized } from '../locales/languages.types';
import { CustomTokens } from './_shared';
export type ZCurrency_Currency = 'AED' | 'ALL' | 'ARS' | 'AUD' | 'BAM' | 'BGN' | 'BOB' | 'BRL' | 'BTD' | 'BYN' | 'CAD' | 'CHE' | 'CHF' | 'CHW' | 'CLP' | 'CNY' | 'COP' | 'CRC' | 'CUP' | 'CZK' | 'DKK' | 'DOP' | 'DZD' | 'EGP' | 'EUR' | 'GBP' | 'GIP' | 'HKD' | 'HNL' | 'HUF' | 'IDR' | 'ILS' | 'INR' | 'ISK' | 'JPY' | 'KHR' | 'KRW' | 'LKR' | 'MAD' | 'MKD' | 'MLD' | 'MXN' | 'MYR' | 'NIO' | 'NOK' | 'NZD' | 'PAB' | 'PEN' | 'PHP' | 'PLN' | 'PYG' | 'RON' | 'RSD' | 'RUB' | 'SAR' | 'SEK' | 'SGD' | 'SVC' | 'THB' | 'TND' | 'TRY' | 'TWD' | 'UAH' | 'USD' | 'UYU' | 'VNĐ' | 'XAF' | 'XCD' | 'XOF' | 'XPF' | 'ZAR';
export type ZCurrency_Custom = 'color';
export type ZCurrency_Props = Localized & Partial<{
    /** ... */
    readonly amount: number;
    /** ... */
    readonly currency: ZCurrency_Currency;
    /** ... */
    readonly decimals: 0 | 1 | 2 | 3 | 4 | 5 | 6;
    /** */
    readonly custom: CustomTokens<ZCurrency_Custom>;
}>;
export declare const zCurrencySlots: never[];
export type ZCurrency_Slots = (typeof zCurrencySlots)[number];
export type ZCurrency_Events = {};
