import { Localized } from '../locales/languages.types';
import { BaseComponent, CustomTokens } from './_shared';
export type ZDate_Custom = 'color';
export type ZDate_Props = BaseComponent & Localized & Partial<{
    /** ... */
    readonly date: string;
    /** ... */
    readonly weekday: 'long' | 'short' | 'narrow';
    /** ... */
    readonly 'with-weekday': boolean;
    /** */
    readonly custom: CustomTokens<ZDate_Custom>;
}>;
export declare const zDateSlots: never[];
export type ZDate_Slots = (typeof zDateSlots)[number];
export type ZDate_Events = {};
