import { CodeProps_Slots, CodeSample } from './_shared';
import { ZEmptyState_Props, ZEmptyState_Slots } from './EmptyState.props';
export * from './EmptyState.props';
export type ZEmptyState_CodeProps = CodeProps_Slots<ZEmptyState_Props, ZEmptyState_Slots>;
declare function CSS(props: ZEmptyState_CodeProps): CodeSample;
declare function Web(props: ZEmptyState_CodeProps): CodeSample;
declare function Vue(props: ZEmptyState_CodeProps): CodeSample;
declare function React(props: ZEmptyState_CodeProps): CodeSample;
export declare const EmptyState: {
    name: string;
    category: "molecules";
    slots: ["content", "header", "image-src", "actions"];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
