import { BaseComponent, CustomTokens, HasImage, HasPictogram } from './_shared';
export type ZEmptyState_Custom = 'bg' | 'color';
export type ZEmptyState_Props = BaseComponent & HasImage & HasPictogram & Partial<{
    /** */
    readonly header: string;
    /** */
    readonly content: string;
    /** */
    readonly custom: CustomTokens<ZEmptyState_Custom>;
}>;
export declare const zEmptyStateSlots: ["content", "header", "image-src", "actions"];
export type ZEmptyState_Slots = (typeof zEmptyStateSlots)[number];
export type ZEmptyState_Events = {};
