import { CodeProps_Slots, CodeSample } from './_shared';
import { ZEventListItem_Props, ZEventListItem_Slots } from './EventListItem.props';
export * from './EventListItem.props';
export type ZEventListItem_CodeProps = CodeProps_Slots<ZEventListItem_Props, ZEventListItem_Slots>;
declare function CSS(props: ZEventListItem_CodeProps): CodeSample;
declare function Web(props: ZEventListItem_CodeProps): CodeSample;
declare function Vue(props: ZEventListItem_CodeProps): CodeSample;
declare function React(props: ZEventListItem_CodeProps): CodeSample;
export declare const EventListItem: {
    name: string;
    category: "molecules";
    slots: ["content", "header", "image-src", "actions"];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
