import { CSSStyle, CodeSample } from './_shared';
import { ZFieldset_Props } from './Fieldset.props';
export * from './Fieldset.props';
export type ZFieldset_CodeProps = ZFieldset_Props & {
    content?: string | CodeSample;
    style?: CSSStyle;
};
declare function CSS(props: ZFieldset_CodeProps): CodeSample;
declare function Web(props: ZFieldset_CodeProps): CodeSample;
declare function Vue(props: ZFieldset_CodeProps): CodeSample;
declare function React(props: ZFieldset_CodeProps): CodeSample;
export declare const Fieldset: {
    name: string;
    category: "layouts";
    slots: "legend"[];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
