import { CSSStyle, CodeSample } from './_shared';
import { ZFlag_Props } from './Flag.props';
export * from './Flag.props';
export type ZFlag_CodeProps = ZFlag_Props & {
    style?: CSSStyle;
};
declare function CSS(props: ZFlag_CodeProps): CodeSample;
declare function Web(props: ZFlag_CodeProps): CodeSample;
declare function Vue(props: ZFlag_CodeProps): CodeSample;
declare function React(props: ZFlag_CodeProps): CodeSample;
export declare const Flag: {
    name: string;
    category: "atoms";
    slots: never[];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
