import { ToAttrChain } from '../typescript';
import { BaseComponent, CustomTokens } from './_shared';
export type ZFloatingBanner_Custom = 'top' | 'bg' | 'color';
export type ZFloatingBanner_Props = BaseComponent & Partial<{
    /** */
    readonly config: ToAttrChain<'left', 'small'>;
    /** ... */
    readonly header: string;
    /** ... */
    readonly content: string;
    /** */
    readonly custom: CustomTokens<ZFloatingBanner_Custom>;
}>;
export declare const zFloatingBannerSlots: ["content", "header", "actions"];
export type ZFloatingBanner_Slots = (typeof zFloatingBannerSlots)[number];
export type ZFloatingBanner_Events = Partial<{
    readonly close: void;
}>;
