import { CSSStyle, CodeSample } from './_shared';
import { ZForm_Props } from './Form.props';
export * from './Form.props';
export type ZForm_CodeProps = ZForm_Props & {
    content?: string | CodeSample;
    style?: CSSStyle;
};
declare function CSS(props: ZForm_CodeProps): CodeSample;
declare function Web(props: ZForm_CodeProps): CodeSample;
declare function Vue(props: ZForm_CodeProps): CodeSample;
declare function React(props: ZForm_CodeProps): CodeSample;
export declare const Form: {
    name: string;
    category: "layouts";
    slots: never[];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
