import { customPropsToStyle as g } from "./_shared/Render.js";
import { html as t } from "./_shared/Code.js";
const s = ["image-src"];
function u(e) {
  var i;
  return t`
    <picture
      .z-image=${e.config || ""}
      .z-theme=${e["z-theme"]}
      .image-size=${e.size}
      .image-copyright=${e.copyright}
    >
      ${(i = e.sources) == null ? void 0 : i.map(({ width: a, src: m }) => t`
        <source .media=${`(max-width:${a}px)`} .srcset=${m} />`)}
      <img
        .src=${e["image-src"]}
        loading="lazy"
        .alt=${e["image-alt"] || "Alternative text"}
        .style=${g(e, "icon")}
      />
    </picture>`;
}
function c(e) {
  return t`
    <z-image
      .image-src=${e["image-src"]}
      .image-alt=${e["image-alt"] || "Alternative text"}
      .config=${e.config}
      .copyright=${e.copyright}
      .size=${e.size}
      .sources=${e.sources}
      .custom=${e.custom}
      .custom-str=${e["custom-str"]}
    >
    </z-image>
  `;
}
function $(e) {
  return t`
    <vue-image
      .image-src=${e["image-src"]}
      .image-alt=${e["image-alt"] || "Alternative text"}
      .config=${e.config}
      .copyright=${e.copyright}
      .size=${e.size}
      .sources=${e.sources}
      .custom=${e.custom}
      .custom-str=${e["custom-str"]}
    >
    </vue-image>
  `;
}
function n(e) {
  return t`
    <react-image
      .image-src=${e["image-src"]}
      .image-alt=${e["image-alt"] || "Alternative text"}
      .config=${e.config}
      .copyright=${e.copyright}
      .size=${e.size}
      .sources=${e.sources}
      .custom=${e.custom}
      .custom-str=${e["custom-str"]}
    >
    </react-image>
  `;
}
const l = {
  name: "Image",
  category: "atoms",
  slots: s,
  css: u,
  vue: $,
  react: n,
  web: c,
  react_native: c
};
export {
  l as Image,
  s as zImageSlots
};
