import { ToAttrChain } from '../typescript';
import { BaseComponent, CustomTokens, HasImage } from './_shared';
import { ZShape_Value } from './Shape.props';
export type ZImageStage_Custom = `bg${'' | '--mobile'}` | `color${'' | '--mobile'}` | 'gap';
export type ZImageStage_Props = BaseComponent & HasImage & Partial<{
    /** */
    readonly header: string;
    /** */
    readonly content: string;
    /** */
    readonly shape: ZShape_Value | 'null';
    /** */
    readonly config: ToAttrChain<'left', 's' | 'l'>;
    /** */
    readonly custom: CustomTokens<ZImageStage_Custom>;
}>;
export declare const zImageStageSlots: ["content", "header", "image-src", "actions"];
export type ZImageStage_Slots = (typeof zImageStageSlots)[number];
export type ZImageStage_Events = {};
