import { CSSStyle, CodeSample } from './_shared';
import { ZInputGroup_Props } from './InputGroup.props';
export * from './InputGroup.props';
export type ZInputGroup_CodeProps = ZInputGroup_Props & {
    withButton?: boolean;
    content?: string | CodeSample;
    inputs?: number;
    style?: CSSStyle;
};
declare function CSS(props: ZInputGroup_CodeProps): CodeSample;
declare function Web(props: ZInputGroup_CodeProps): CodeSample;
declare function Vue(props: ZInputGroup_CodeProps): CodeSample;
declare function React(props: ZInputGroup_CodeProps): CodeSample;
export declare const InputGroup: {
    name: string;
    category: "layouts";
    slots: "legend"[];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
