import { customPropsToStyle as c, $attr as i, $slot as a, $vueSlot as u, $reactSub as o } from "./_shared/Render.js";
import { html as n } from "./_shared/Code.js";
const $ = ["header", "description", "difference"];
function d(e) {
  return n`
    <article 
      .z-kpi-value=${e.config || ""}
      .style=${c(e, "kpi-value")}
    >
      <header>${e.header}</header>
      <main>
        <span>${e.amount}</span>
        <div>
          <span .data-difference=${e["no-icon"] ? "" : e.difference || ""}>
            ${e.difference}
          </span>
          <p>${e.description}</p>
        </div>
      </main>
    </article>
  `;
}
function t(e) {
  return n`
    <z-kpi-value
      .config=${e.config}
      .amount=${e.amount}
      .header=${i("header", e)}
      .description=${e.description}
      .difference=${e.difference}
      .custom-str=${e["custom-str"]}	
      .custom=${e.custom}
      ?no-icon=${e["no-icon"]}	
    >
      ${a("header", e)}
    </z-kpi-value>`;
}
function f(e) {
  return n`
    <react-kpi-value
      .config=${e.config}
      .amount=${e.amount}
      .header=${i("header", e)}
      .description=${e.description}
      .difference=${e.difference}
      .custom-str=${e["custom-str"]}
      .custom=${e.custom}
      ?no-icon=${e["no-icon"]}	
    >
      ${u("header", e)}
    </react-kpi-value>`;
}
function r(e) {
  return n`
    <vue-kpi-value
      .config=${e.config}
      .amount=${e.amount}
      .header=${o("header", e)}
      .description=${e.description}
      .difference=${e.difference}
      .custom-str=${e["custom-str"]}
      .custom=${e.custom}
      ?no-icon=${e["no-icon"]}	
    ></vue-kpi-value>`;
}
const v = {
  name: "KpiValue",
  category: "data",
  slots: $,
  css: d,
  vue: r,
  react: f,
  web: t,
  react_native: t
};
export {
  v as KpiValue,
  $ as zKpiValueSlots
};
