import { CodeProps_Slots, CodeSample } from './_shared';
import { ZListItem_Props, ZListItem_Slots } from './ListItem.props';
export * from './ListItem.props';
export type ZListItem_CodeProps = CodeProps_Slots<ZListItem_Props, ZListItem_Slots>;
declare function CSS(props: ZListItem_CodeProps): CodeSample;
declare function Web(props: ZListItem_CodeProps): CodeSample;
declare function Vue(props: ZListItem_CodeProps): CodeSample;
declare function React(props: ZListItem_CodeProps): CodeSample;
export declare const ListItem: {
    name: string;
    category: "molecules";
    slots: ["content", "header", "image-src", "right-actions", "left-actions"];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
