import { CSSStyle, CodeSample } from './_shared';
import { ZLoader_Props } from './Loader.props';
export * from './Loader.props';
export type ZLoader_CodeProps = ZLoader_Props & {
    slotted?: {
        content?: boolean;
    };
    style?: CSSStyle;
};
declare function CSS(props: ZLoader_CodeProps): CodeSample;
declare function Web(props: ZLoader_CodeProps): CodeSample;
declare function Vue(props: ZLoader_CodeProps): CodeSample;
declare function React(props: ZLoader_CodeProps): CodeSample;
export declare const Loader: {
    name: string;
    category: "atoms";
    slots: ["content"];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
