import { Localized } from '../locales/languages.types';
import { BaseComponent, CustomTokens } from './_shared';
export type ZLoader_Custom = 'size' | 'stroke' | 'fill' | 'color';
export type ZLoader_Props = BaseComponent & Localized & Partial<{
    /** ... */
    readonly content: string;
    /** ... */
    readonly small: boolean;
    /** */
    readonly custom: CustomTokens<ZLoader_Custom>;
}>;
export declare const zLoaderSlots: ["content"];
export type ZLoader_Slots = (typeof zLoaderSlots)[number];
export type ZLoader_Events = {};
