import { Locale, LocalesMap } from '../locales';
declare global {
    interface Window {
        ZDS_LOCALES: Partial<Record<Locale, LocalesMap>>;
    }
}
export declare function getLocale(locale?: Locale): Locale;
export declare function useLocale(locale?: Locale): LocalesMap;
