import { customPropsToStyle as e } from "./_shared/Render.js";
import { html as o } from "./_shared/Code.js";
const c = [];
function i(t) {
  return o`
    <div 
      .z-logo=${t.config || ""} 
      .style=${e(t, "logo")}
      ?inline=${t.inline}
    ></div>
  `;
}
function n(t) {
  return o`
    <z-logo 
      .config=${t.config}
      .style=${t.style}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
      ?inline=${t.inline}
    ></z-logo>
  `;
}
function l(t) {
  return o`
    <vue-logo 
      .config=${t.config}
      .style=${t.style}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
      ?inline=${t.inline}
    ></vue-logo>
  `;
}
function u(t) {
  return o`
    <react-logo 
      .config=${t.config}
      .style=${t.style}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
      ?inline=${t.inline}
    ></react-logo>
  `;
}
const g = {
  name: "Logo",
  category: "atoms",
  slots: c,
  css: i,
  vue: l,
  react: u,
  web: n,
  react_native: n
};
export {
  g as Logo,
  c as zLogoSlots
};
