import { CSSStyle, CodeSample } from './_shared';
import { ZMobileNavBar_Props } from './MobileNavBar.props';
export * from './MobileNavBar.props';
export type ZMobileNavBar_CodeProps = ZMobileNavBar_Props & {
    content?: string | CodeSample;
    style?: CSSStyle;
};
declare function CSS(props: ZMobileNavBar_CodeProps): CodeSample;
declare function Web(props: ZMobileNavBar_CodeProps): CodeSample;
declare function React(props: ZMobileNavBar_CodeProps): CodeSample;
declare function Vue(props: ZMobileNavBar_CodeProps): CodeSample;
export declare const MobileNavBar: {
    name: string;
    category: "organisms";
    slots: never[];
    css: typeof CSS;
    web: typeof Web;
    vue: typeof Vue;
    react: typeof React;
    react_native: typeof Web;
};
