import { SizelessSolidIconAttr } from '../data';
import { BaseComponent, CustomTokens } from './_shared';
export type ZMobileNavBar_Custom = 'bg' | 'color';
export type ZMobileNavBar_Props = BaseComponent & Partial<{
    readonly config: 'rounded';
    /** */
    readonly model: number;
    /** */
    readonly routes: {
        text: string;
        icon: SizelessSolidIconAttr;
        href: string;
        disabled?: boolean;
    }[];
    /** */
    readonly custom: CustomTokens<ZMobileNavBar_Custom>;
}>;
export declare const zMobileNavBarSlots: never[];
export type ZMobileNavBar_Slots = (typeof zMobileNavBarSlots)[number];
export type ZMobileNavBar_Events = {
    /** ... */
    readonly change?: ZMobileNavBar_Props['model'];
};
