import { CSSStyle, CodeSample } from './_shared';
import { ZMultiFileInput_Props } from './MultiFileInput.props';
export * from './MultiFileInput.props';
export type ZMultiFileInput_CodeProps = ZMultiFileInput_Props & {
    style?: CSSStyle;
};
declare function CSS(props: ZMultiFileInput_CodeProps): CodeSample;
declare function Web(props: ZMultiFileInput_CodeProps): CodeSample;
export declare const MultiFileInput: {
    name: string;
    category: "inputs";
    slots: ("label" | "help-text")[];
    css: typeof CSS;
    web: typeof Web;
    react_native: typeof Web;
};
