import { ZInput_Props } from './_Input.props';
export type ZMultiFileInput_Props = ZInput_Props & Partial<{
    /** ... */
    readonly model: File[] | string[];
    /** ... */
    readonly placeholder: string;
    /** */
    readonly accept: string[];
    /** */
    readonly droppable: boolean;
    /** */
    readonly 'delete-file-text': string;
    /** */
    readonly 'browse-file-text': string;
    /** */
    readonly 'no-file-text': string;
}>;
export declare const zMultiFileInputSlots: ("label" | "help-text")[];
export type ZMultiFileInput_Slots = (typeof zMultiFileInputSlots)[number];
export type ZMultiFileInput_Events = Partial<{
    /** ... */
    readonly change: Required<ZMultiFileInput_Props>['model'];
    readonly restarted: void;
}>;
