import { customPropsToStyle as n, $complexAttr as l } from "./_shared/Render.js";
import { html as t } from "./_shared/Code.js";
const s = ["options"];
function d(e) {
  return t`
    <label 
      .z-multi-selectable-cards=${e.config || ""} 
      .style=${n(e, "multi-selectable-cards")}
    >
    </label>
  `;
}
function a(e) {
  var o, c;
  return t`
    <z-multi-selectable-cards
      .config=${e.config}
      .options=${l("options", e)}
      .model=${e.model}
      ?required=${e.required}
      ?disabled=${e.disabled}
      ?horizontal=${e.horizontal}
      ?checkboxes=${e.checkboxes}
    >
      ${((o = e.slotted) == null ? void 0 : o.options) && ((c = e.options) == null ? void 0 : c.map((i) => t`
        <option ?disabled=${i.disabled}>${i.text}</option>
      `))}
    </z-multi-selectable-cards>
  `;
}
function u(e) {
  return t`
    <vue-multi-selectable-cards
      .config=${e.config}
      .options=${l("options", e)}
      .model=${e.model}
      ?horizontal=${e.horizontal}
      ?checkboxes=${e.checkboxes}
    >
    </vue-multi-selectable-cards>
  `;
}
function b(e) {
  return t`
    <react-multi-selectable-cards
      .config=${e.config}
      .options=${l("options", e)}
      .model=${e.model}
      ?horizontal=${e.horizontal}
      ?checkboxes=${e.checkboxes}
    >
    </react-multi-selectable-cards>
  `;
}
const $ = {
  name: "MultiSelectableCards",
  category: "inputs",
  slots: s,
  css: d,
  vue: u,
  react: b,
  web: a,
  react_native: a
};
export {
  $ as MultiSelectableCards,
  s as zMultiSelectableCardsSlots
};
