import { ZSelectInput_Props } from './_OptionsInput.props';
export type ZMultiselect_Props<T extends string = string> = ZSelectInput_Props<T> & Partial<{
    /** ... */
    readonly model: T[];
}>;
export declare const zMultiselectSlots: ("label" | "help-text" | "options")[];
export type ZMultiselect_Slots = (typeof zMultiselectSlots)[number];
export type ZMultiselect_Events<T extends string = string> = Partial<{
    /** ... */
    readonly change: Required<ZMultiselect_Props<T>['model']>;
    /** */
    readonly validated: boolean;
    /** */
    readonly blur: void;
    /** */
    readonly search: string;
    /** */
    readonly restarted: void;
}>;
