import { CodeProps_Slots, CodeSample } from './_shared';
import { ZNumberInput_Props, ZNumberInput_Slots } from './NumberInput.props';
export * from './NumberInput.props';
export type ZNumberInput_CodeProps = CodeProps_Slots<ZNumberInput_Props, ZNumberInput_Slots>;
declare function CSS(props: ZNumberInput_CodeProps): CodeSample;
declare function Web(props: ZNumberInput_CodeProps): CodeSample;
declare function Vue(props: ZNumberInput_CodeProps): CodeSample;
declare function React(props: ZNumberInput_CodeProps): CodeSample;
export declare const NumberInput: {
    name: string;
    category: "inputs";
    slots: ("label" | "help-text" | "data-list")[];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
