import { CodeProps_Slots, CodeSample } from './_shared';
import { ZPasswordInput_Props, ZPasswordInput_Slots } from './PasswordInput.props';
export * from './PasswordInput.props';
export type ZPasswordInput_CodeProps = CodeProps_Slots<ZPasswordInput_Props, ZPasswordInput_Slots>;
declare function CSS(props: ZPasswordInput_CodeProps): CodeSample;
declare function Web(props: ZPasswordInput_CodeProps): CodeSample;
declare function Vue(props: ZPasswordInput_CodeProps): CodeSample;
declare function React(props: ZPasswordInput_CodeProps): CodeSample;
export declare const PasswordInput: {
    name: string;
    category: "inputs";
    slots: ("label" | "help-text")[];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
