import { PictogramName } from '../data';
import { ToAttr } from '../typescript';
import { BaseComponent, CustomTokens } from './_shared';
export type ZPictogram_Custom = 'size' | 'bg';
export type ZPictogram_Props = BaseComponent & Partial<{
    /** ... */
    readonly pictogram: ToAttr<PictogramName, 'dark'>;
    /** */
    readonly custom: CustomTokens<ZPictogram_Custom>;
}>;
export declare const zPictogramSlots: never[];
export type ZPictogram_Slots = (typeof zPictogramSlots)[number];
export type ZPictogram_Events = {};
