import { CSSStyle, CodeSample } from './_shared';
import { ZProfile_Props } from './Profile.props';
export * from './Profile.props';
export type ZProfile_CodeProps = ZProfile_Props & {
    style?: CSSStyle;
    slotted?: {
        content?: boolean;
    };
};
declare function CSS(props: ZProfile_CodeProps): CodeSample;
declare function Web(props: ZProfile_CodeProps): CodeSample;
declare function Vue(props: ZProfile_CodeProps): CodeSample;
declare function React(props: ZProfile_CodeProps): CodeSample;
export declare const Profile: {
    name: string;
    category: "atoms";
    slots: ["content", "image-src"];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
