import { ToAttrChain } from '../typescript';
import { BaseComponent, CustomTokens, HasImage } from './_shared';
type ZProfile_Size = 'l' | 'm' | 's';
export type ZProfile_Color = 1 | 2 | 3 | 4 | 5 | 6;
export type ZProfile_Custom = 'color' | 'bg' | 'size' | 'border-color';
export type ZProfile_Props = BaseComponent & HasImage & Partial<{
    /** ... */
    readonly config: ToAttrChain<ZProfile_Size, ZProfile_Color, 'outline'>;
    /** ... */
    readonly content: string;
    /** Status */
    readonly status: 'online' | 'absent' | 'occupied' | 'offline';
    /** */
    readonly custom: CustomTokens<ZProfile_Custom>;
}>;
export declare const zProfileSlots: ["content", "image-src"];
export type ZProfile_Slots = (typeof zProfileSlots)[number];
export type ZProfile_Events = {};
export {};
