import { CodeProps_Slots, CodeSample } from './_shared';
import { ZPromo_Props, ZPromo_Slots } from './Promo.props';
export * from './Promo.props';
export type ZPromo_CodeProps = CodeProps_Slots<ZPromo_Props, ZPromo_Slots>;
declare function CSS(props: ZPromo_CodeProps): CodeSample;
declare function Web(props: ZPromo_CodeProps): CodeSample;
declare function Vue(props: ZPromo_CodeProps): CodeSample;
declare function React(props: ZPromo_CodeProps): CodeSample;
export declare const Promo: {
    name: string;
    category: "molecules";
    slots: ["content", "header", "category", "image-src", "actions"];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
