import { BaseComponent, CustomTokens, HasImage } from './_shared';
import { ZShape_Value } from './Shape.props';
export type ZPromo_Custom = 'bg' | 'color';
export type ZPromo_Props = BaseComponent & HasImage & Partial<{
    /** ... */
    readonly config: 'left:narrow' | 'left' | 'narrow';
    /** ... */
    readonly header: string;
    /** ... */
    readonly content: string;
    /** ... */
    readonly category: string;
    /** */
    readonly shape: ZShape_Value | 'null';
    /** */
    readonly custom: CustomTokens<ZPromo_Custom>;
}>;
export declare const zPromoSlots: ["content", "header", "category", "image-src", "actions"];
export type ZPromo_Slots = (typeof zPromoSlots)[number];
export type ZPromo_Events = {};
