import { BaseInput_Props } from './_BooleanInput.props';
import { ZSelectInput_Option } from './_OptionsInput.props';
export type ZRadioSelect_Props<T extends string = string> = BaseInput_Props & Partial<{
    /** ... */
    readonly model: T | null;
    /** ... */
    readonly label: string;
    /** ... */
    readonly config: 'inline';
    /** */
    readonly options: readonly ZSelectInput_Option<T>[];
    /** */
    readonly invalid: boolean;
    /** */
    readonly 'help-text': string;
}>;
export declare const zRadioSelectSlots: ("label" | "help-text" | "options")[];
export type ZRadioSelect_Slots = (typeof zRadioSelectSlots)[number];
export type ZRadioSelect_Events<T extends string = string> = Partial<{
    /** ... */
    readonly change: Required<ZRadioSelect_Props<T>['model']>;
    /** */
    readonly blur: void;
    /** */
    readonly validated: boolean;
    readonly restarted: void;
}>;
