import { $attr as t, $slot as a } from "./_shared/Render.js";
import { html as d } from "./_shared/Code.js";
const l = ["selected-text", "today-text"];
function n(e) {
  return d`
    <z-range-calendar
      .first-weekday=${e["first-weekday"]}
      .locale=${e.locale}
      .model=${e.model}
      .style=${e.style}
      .today-text=${t("today-text", e)}
      .selected-text=${t("selected-text", e)}
      .custom=${e.custom}
      .custom-str=${e["custom-str"]}
      .min=${e.min}
      .max=${e.max}
      .range=${e.range}
      ?wide=${e.wide}
      ?today-nav=${e["today-nav"]}
      ?selected-nav=${e["selected-nav"]}
    >
      ${a("today-text", e)}
      ${a("selected-text", e)}
    </z-range-calendar>
  `;
}
const m = {
  name: "RangeCalendar",
  category: "inputs",
  slots: l,
  web: n,
  react_native: n
};
export {
  m as RangeCalendar,
  l as zRangeCalendarSlots
};
