import { ZInput_Props } from './_Input.props';
export type ZRangeDateInput_Model = readonly [string | null, string | null];
export type ZRangeDateInput_Props = ZInput_Props & Partial<{
    /** ... */
    readonly model: ZRangeDateInput_Model;
    /** ... */
    readonly range: ZRangeDateInput_Model;
    /** */
    readonly min: string;
    /** */
    readonly max: string;
    /** ... */
    readonly placeholder: string;
}>;
export declare const zRangeDateInputSlots: ("label" | "help-text")[];
export type ZRangeDateInput_Slots = (typeof zRangeDateInputSlots)[number];
export type ZRangeDateInput_Events = Partial<{
    /** ... */
    readonly change: Required<ZRangeDateInput_Props>['model'];
    readonly restarted: void;
}>;
