import { $attr as t, $slot as n } from "./_shared/Render.js";
import { html as l } from "./_shared/Code.js";
import { zInputSlots as i } from "./_Input.js";
const m = i;
function a(e) {
  return l`
    <z-range-input
      .config=${e.config}
      .model=${e.model}
      .label=${t("label", e)}     
      .name=${e.name}
      .range=${e.range}
      .min=${e.min}
      .max=${e.max}
      .step=${e.step}
      .help-text=${t("help-text", e)}
      ?invalid=${e.invalid}
      ?disabled=${e.disabled}
      ?required=${e.required}
      ?readonly=${e.readonly}
      .autocomplete=${e.autocomplete}
    >
      ${n("label", e)}
      ${n("help-text", e)}
    </z-range-input>
  `;
}
const g = {
  name: "RangeInput",
  category: "inputs",
  slots: m,
  web: a,
  react_native: a
};
export {
  g as RangeInput,
  m as zRangeInputSlots
};
