import { ZInput_Props } from './_Input.props';
export type ZRangeSlider_Props<T extends [number, number] = [number, number]> = ZInput_Props & Partial<{
    /** ... */
    readonly model: T;
    /** ... */
    readonly range: readonly [number, number];
    /** */
    readonly min: number;
    /** */
    readonly max: number;
}>;
export declare const zRangeSliderSlots: ("label" | "help-text")[];
export type ZRangeSlider_Slots = (typeof zRangeSliderSlots)[number];
export type ZRangeSlider_Events<T extends [number, number] = [number, number]> = Partial<{
    /** ... */
    readonly change: Required<ZRangeSlider_Props<T>['model']>;
    readonly restarted: void;
}>;
