import { BaseComponent } from './_shared';
export type ZRating_Value = 0 | 0.5 | 1 | 1.5 | 2 | 2.5 | 3 | 3.5 | 4 | 4.5 | 5;
export type ZRating_Props = BaseComponent & Partial<{
    /** ... */
    readonly model: ZRating_Value;
    /** ... */
    readonly name: string;
    /** ... */
    readonly disabled: boolean;
    /** ... */
    readonly readonly: boolean;
    /** ... */
    readonly 'show-score': boolean;
}>;
export declare const zRatingSlots: never[];
export type ZRating_Slots = (typeof zRatingSlots)[number];
export type ZRating_Events = Partial<{
    /** ... */
    readonly change: Required<ZRating_Props>['model'];
    /** */
    readonly blur: void;
    /** */
    readonly restarted: void;
    /** */
    readonly validated: boolean;
}>;
