import { CodeProps_Slots, CodeSample } from './_shared';
import { ZSafeSpace_Props, ZSafeSpace_Slots } from './SafeSpace.props';
export * from './SafeSpace.props';
export type ZSafeSpace_CodeProps = CodeProps_Slots<ZSafeSpace_Props, ZSafeSpace_Slots>;
declare function CSS(props: ZSafeSpace_CodeProps): CodeSample;
declare function Web(props: ZSafeSpace_CodeProps): CodeSample;
declare function Vue(props: ZSafeSpace_CodeProps): CodeSample;
declare function React(props: ZSafeSpace_CodeProps): CodeSample;
export declare const SafeSpace: {
    name: string;
    category: "atoms";
    slots: "image-src"[];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
