import { CodeProps_Slots, CodeSample } from './_shared';
import { ZSegmentedControl_Props, ZSegmentedControl_Slots } from './SegmentedControl.props';
export * from './SegmentedControl.props';
export type ZSegmentedControl_CodeProps = CodeProps_Slots<ZSegmentedControl_Props, ZSegmentedControl_Slots>;
declare function CSS(props: ZSegmentedControl_CodeProps): CodeSample;
declare function Web(props: ZSegmentedControl_CodeProps): CodeSample;
declare function Vue(props: ZSegmentedControl_CodeProps): CodeSample;
declare function React(props: ZSegmentedControl_CodeProps): CodeSample;
export declare const SegmentedControl: {
    name: string;
    category: "inputs";
    slots: "options"[];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
