import { SizelessIconAttr } from '../data';
import { BaseComponent } from './_shared';
import { ZSelectInput_Option } from './_OptionsInput.props';
export type ZSegmentedControl_Props<T extends string = string> = BaseComponent & Partial<{
    /** ... */
    readonly model: T | null;
    /** */
    readonly options: readonly (Partial<ZSelectInput_Option> & {
        readonly icon?: SizelessIconAttr;
    })[];
    /** ... */
    readonly name: string;
    /** ... */
    readonly disabled: boolean;
}>;
export declare const zSegmentedControlSlots: "options"[];
export type ZSegmentedControl_Slots = (typeof zSegmentedControlSlots)[number];
export type ZSegmentedControl_Events<T extends string = string> = Partial<{
    /** ... */
    readonly change: Required<ZSegmentedControl_Props<T>['model']>;
    /** */
    readonly blur: void;
    /** */
    readonly validated: boolean;
    readonly restarted: void;
}>;
