import { CodeProps_Slots, CodeSample } from './_shared';
import { ZSelectableCards_Props, ZSelectableCards_Slots } from './SelectableCards.props';
export * from './SelectableCards.props';
export type ZSelectableCards_CodeProps = CodeProps_Slots<ZSelectableCards_Props, ZSelectableCards_Slots>;
declare function CSS(props: ZSelectableCards_CodeProps): CodeSample;
declare function Web(props: ZSelectableCards_CodeProps): CodeSample;
declare function Vue(props: ZSelectableCards_CodeProps): CodeSample;
declare function React(props: ZSelectableCards_CodeProps): CodeSample;
export declare const SelectableCards: {
    name: string;
    category: "inputs";
    slots: "options"[];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
