import { ToAttrChain } from '../typescript';
import { BaseInput_Props } from './_BooleanInput.props';
export type ZSelectableCards_Option<T extends string = string> = {
    /** ... */
    value: T;
    /** ... */
    text?: string;
    /** ... */
    disabled?: boolean;
};
export type ZSelectableCards_Props<T extends string = string> = BaseInput_Props & Partial<{
    /** ... */
    readonly config: ToAttrChain<'left', 'top' | 'bottom'>;
    /** ... */
    readonly options: readonly ZSelectableCards_Option<T>[];
    /** ... */
    readonly model: T;
    /** ... */
    readonly horizontal: boolean;
    /** ... */
    readonly compact: boolean;
}>;
export declare const zSelectableCardsSlots: "options"[];
export type ZSelectableCards_Slots = (typeof zSelectableCardsSlots)[number];
export type ZSelectableCards_Events<T extends string = string> = Partial<{
    /** ... */
    readonly change: Required<ZSelectableCards_Props<T>['model']>;
    /** */
    readonly blur: void;
    /** */
    readonly restarted: void;
}>;
