import { CSSStyle, CodeSample } from './_shared';
import { ZSelectionTag_Props } from './SelectionTag.props';
export * from './SelectionTag.props';
export type ZSelectionTag_CodeProps = ZSelectionTag_Props & {
    slotted?: {
        content?: boolean;
    };
    style?: CSSStyle;
};
declare function CSS(props: ZSelectionTag_CodeProps): CodeSample;
declare function Web(props: ZSelectionTag_CodeProps): CodeSample;
declare function Vue(props: ZSelectionTag_CodeProps): CodeSample;
declare function React(props: ZSelectionTag_CodeProps): CodeSample;
export declare const SelectionTag: {
    name: string;
    category: "inputs";
    slots: ["content"];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
