import { customPropsToStyle as a, $attr as n, $slot as l, $vueSlot as i, $reactChildren as d } from "./_shared/Render.js";
import { html as t } from "./_shared/Code.js";
const $ = ["content"];
function o(e) {
  return t`
    <label 
      z-selection-tag
      .style=${a(e, "selection-tag")}
    >
      <span>${e.content}</span>
      <input type="checkbox" ?disabled=${e.disabled} />
    </label>
  `;
}
function c(e) {
  return t`
    <z-selection-tag
      .content=${n("content", e)}
      .name=${e.name}
      ?model=${e.model}
      ?invalid=${e.invalid}
      ?disabled=${e.disabled}
      ?checked=${e.checked}
    >
      ${l("content", e)}
    </z-selection-tag>
  `;
}
function m(e) {
  return t`
    <vue-selection-tag
      .content=${n("content", e)}
      .name=${e.name}
      ?model=${e.model}
      ?invalid=${e.invalid}
      ?disabled=${e.disabled}
      ?checked=${e.checked}
    >
      ${i("content", e)}
    </vue-selection-tag>
  `;
}
function u(e) {
  return t`
    <react-selection-tag
      .content=${n("content", e)}
      .name=${e.name}
      ?model=${e.model}
      ?invalid=${e.invalid}
      ?disabled=${e.disabled}
      ?checked=${e.checked}
    >
      ${d(e)}
    </react-selection-tag>
  `;
}
const v = {
  name: "SelectionTag",
  category: "inputs",
  slots: $,
  css: o,
  vue: m,
  react: u,
  web: c,
  react_native: c
};
export {
  v as SelectionTag,
  $ as zSelectionTagSlots
};
