import { customPropsToStyle as s, $attr as a, $slot as n, $vueSlot as l } from "./_shared/Render.js";
import { html as e } from "./_shared/Code.js";
const d = {
  line: "https://social-plugins.line.me/lineit/share?url=",
  wechat: "https://wa.me/?text=",
  bluesky: "https://bluesky.com/share?url=",
  telegram: "https://t.me/share/url?url=",
  facebook: "https://www.facebook.com/sharer/sharer.php?u=",
  linkedin: "https://www.linkedin.com/shareArticle?mini=true&url=",
  reddit: "https://www.reddit.com/submit?url=",
  threads: "https://www.threads.com/share?url=",
  twitter: "https://twitter.com/intent/tweet?url=",
  whatsapp: "https://api.whatsapp.com/send?text=",
  workplace: "https://www.workplace.com/sharer.php?u="
}, m = ["content", "social"];
function u(t) {
  const o = typeof t.social == "function" ? t.social : Object.entries(t.social || {}).map(([i, r]) => e`
    <li>
      <a .href=${r}><i z-social-media-icon .brand=${i}></i> </a>
    </li>        
  `);
  return e`
    <nav 
      z-share-bar
      .style=${s(t, "share-bar")}
    >
      <div>${t.content}</div>
      <ol>
        ${o}
        ${t.mailto && e`
          <li>
            <a .href=${t.mailto}><i z-icon icon='email'></i> </a>
          </li>`}
      </ol>
    </nav>
  `;
}
function c(t) {
  return e`
    <z-share-bar
      .content=${a("content", t)}
      .social=${t.social}
      .mailto=${t.mailto}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${n("content", t)}
    </z-share-bar>
  `;
}
function h(t) {
  return e`
    <vue-share-bar
      .content=${a("content", t)}
      .social=${t.social}
      .mailto=${t.mailto}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${l("content", t)}
    </vue-share-bar>
  `;
}
function $(t) {
  return e`
    <react-share-bar
      .content=${a("content", t)}
      .social=${t.social}
      .mailto=${t.mailto}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    ></react-share-bar>
  `;
}
const f = {
  name: "ShareBar",
  category: "molecules",
  slots: m,
  css: u,
  vue: h,
  react: $,
  web: c,
  react_native: c
};
export {
  f as ShareBar,
  d as Share_ShareDict,
  m as zShareBarSlots
};
