import { BaseComponent, CustomTokens } from './_shared';
import { SocialMediaIcon_Shareable } from './SocialMediaIcon.props';
export type ZShareButton_Custom = 'color' | 'bg';
export type ZShareButton_Props = BaseComponent & Partial<{
    /** */
    readonly social: {
        [K in SocialMediaIcon_Shareable]?: string;
    };
    /** */
    readonly config: 'top' | 'bottom' | 'left' | 'right';
    /** */
    readonly mailto: string;
    /** */
    readonly custom: CustomTokens<ZShareButton_Custom>;
}>;
export declare const zShareButtonSlots: "social"[];
export type ZShareButton_Slots = (typeof zShareButtonSlots)[number];
export type ZShareButton_Events = {};
