import { CSSStyle, CodeSample } from './_shared';
import { ZSideMenu_Props } from './SideMenu.props';
export * from './SideMenu.props';
export type ZSideMenu_CodeProps = ZSideMenu_Props & {
    content?: string | CodeSample;
    style?: CSSStyle;
};
declare function CSS(props: ZSideMenu_CodeProps): CodeSample;
declare function Web(props: ZSideMenu_CodeProps): CodeSample;
declare function Vue(props: ZSideMenu_CodeProps): CodeSample;
declare function React(props: ZSideMenu_CodeProps): CodeSample;
export declare const SideMenu: {
    name: string;
    category: "layouts";
    slots: ["content"];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
