import { BaseComponent, CustomTokens } from './_shared';
export type ZSideMenu_Custom = 'color' | 'bg' | 'padding' | 'top' | 'radius' | 'width';
export type ZSideMenu_Props = BaseComponent & Partial<{
    /** */
    readonly config: 'left' | 'right';
    /** */
    readonly content: string;
    /** */
    readonly model: boolean;
    /** */
    readonly open: boolean;
    /** */
    readonly custom: CustomTokens<ZSideMenu_Custom>;
}>;
export declare const zSideMenuSlots: ["content"];
export type ZSideMenu_Slots = (typeof zSideMenuSlots)[number];
export type ZSideMenu_Events = Partial<{
    /** ... */
    readonly change: Required<ZSideMenu_Props>['model'];
}>;
