import { SizelessIconAttr } from '../data';
import { ZInput_Props } from './_Input.props';
export type ZSlider_Props<T extends number = number> = ZInput_Props & Partial<{
    /** ... */
    readonly model: T;
    /** ... */
    readonly range: readonly [number, number];
    /** */
    readonly min: number;
    /** */
    readonly max: number;
    /** ... */
    readonly 'show-max': boolean;
    /** ... */
    readonly 'show-min': boolean;
    /** ... */
    readonly 'icon-right': SizelessIconAttr;
    /** ... */
    readonly 'icon-left': SizelessIconAttr;
}>;
export declare const zSliderSlots: never[];
export type ZSlider_Slots = (typeof zSliderSlots)[number];
export type ZSlider_Events<T extends number = number> = Partial<{
    /** ... */
    readonly change: Required<ZSlider_Props<T>['model']>;
    /** */
    readonly blur: void;
    readonly restarted: void;
}>;
