import { CSSStyle, CodeSample } from './_shared';
import { ZSmilingZ_Props } from './SmilingZ.props';
export * from './SmilingZ.props';
export type ZSmilingZ_CodeProps = ZSmilingZ_Props & {
    style?: CSSStyle;
};
declare function CSS(props: ZSmilingZ_CodeProps): CodeSample;
declare function Web(props: ZSmilingZ_CodeProps): CodeSample;
declare function Vue(props: ZSmilingZ_CodeProps): CodeSample;
declare function React(props: ZSmilingZ_CodeProps): CodeSample;
export declare const SmilingZ: {
    name: string;
    category: "atoms";
    slots: never[];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
