import { SocialMediaIconName } from '../data';
import { ToAttrChain } from '../typescript';
import { BaseComponent, CustomTokens } from './_shared';
export type ZSocialMediaIcon_Size = 'xs' | 's' | 'm' | 'l';
export type ZSocialMediaIcon_Style = 'mono' | 'color';
export type ZSocialMediaIcon_Custom = 'size';
export type SocialMediaIcon_Shareable = Extract<SocialMediaIconName, 'reddit' | 'whatsapp' | 'telegram' | 'line' | 'wechat' | 'threads' | 'bluesky' | 'facebook' | 'twitter' | 'linkedin' | 'workplace'>;
export type ZSocialMediaIcon_Props = BaseComponent & Partial<{
    /** Name of the icon */
    readonly brand: SocialMediaIconName;
    /** ... */
    readonly config: ToAttrChain<ZSocialMediaIcon_Style, ZSocialMediaIcon_Size>;
    /** */
    readonly custom: CustomTokens<ZSocialMediaIcon_Custom>;
}>;
export declare const zSocialMediaIconSlots: never[];
export type ZSocialMediaIcon_Slots = (typeof zSocialMediaIconSlots)[number];
export type ZSocialMediaIcon_Events = {};
