import { ToAttrChain } from '../typescript';
import { BaseComponent, CustomTokens, HasImage } from './_shared';
import { ZShape_Value } from './Shape.props';
export type ZStage_Custom = `bg${'' | '--mobile'}` | `color${'' | '--mobile'}` | 'gap';
export type ZStage_Props = BaseComponent & HasImage & Partial<{
    /** */
    readonly header: string;
    /** */
    readonly content: string;
    /** */
    readonly shape: ZShape_Value | 'null';
    /** */
    readonly 'no-safe-space': boolean;
    /** */
    readonly config: ToAttrChain<'left', 'slim'>;
    /** */
    readonly custom: CustomTokens<ZStage_Custom>;
}>;
export declare const zStageSlots: ["content", "header", "image-src"];
export type ZStage_Slots = (typeof zStageSlots)[number] | 'actions';
export type ZStage_Events = {};
