import { ToAttrChain } from '../typescript';
import { BaseComponent, CustomTokens, HasImage } from './_shared';
import { ZPictogram_Props } from './Pictogram.props';
import { ZShape_Value } from './Shape.props';
export type ZStageBanner_Custom = 'color' | 'bg';
export type ZStageBanner_Props = BaseComponent & HasImage & Partial<{
    /** */
    readonly config: ToAttrChain<'left', 'center'>;
    /** */
    readonly pictogram: ZPictogram_Props['pictogram'];
    /** */
    readonly shape: ZShape_Value;
    /** */
    readonly category: string;
    /** */
    readonly content: string;
    /** */
    readonly custom: CustomTokens<ZStageBanner_Custom>;
}>;
export declare const zStageBannerSlots: ["content", "category", "image-src", "actions"];
export type ZStageBanner_Slots = (typeof zStageBannerSlots)[number];
export type ZStageBanner_Events = {};
