import { BaseInput_Props } from './_BooleanInput.props';
export type ZStepper_Props<T extends number = number> = BaseInput_Props & Partial<{
    /** */
    readonly model: T;
    /** */
    readonly steps: number;
    /** */
    readonly label: string;
    /** */
    readonly config: 'center';
    /** */
    readonly custom: {};
}>;
export declare const zStepperSlots: "label"[];
export type ZStepper_Slots = (typeof zStepperSlots)[number];
export type ZStepper_Events<T extends number = number> = Partial<{
    /** ... */
    readonly change: Required<ZStepper_Props<T>['model']>;
    readonly restarted: void;
}>;
