import { CodeProps_Slots, CodeSample } from './_shared';
import { ZSwitch_Props, ZSwitch_Slots } from './Switch.props';
export * from './Switch.props';
export type ZSwitch_CodeProps = CodeProps_Slots<ZSwitch_Props, ZSwitch_Slots>;
declare function CSS(props: ZSwitch_CodeProps): CodeSample;
declare function Web(props: ZSwitch_CodeProps): CodeSample;
declare function Vue(props: ZSwitch_CodeProps): CodeSample;
declare function React(props: ZSwitch_CodeProps): CodeSample;
export declare const Switch: {
    name: string;
    category: "inputs";
    slots: ("label" | "help-text")[];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
