import { customPropsToStyle as d, $attr as l, $slot as a, $vueSlot as $, $reactSub as h } from "./_shared/Render.js";
import { html as t } from "./_shared/Code.js";
import { zBooleanInputSlots as u } from "./_BooleanInput.js";
const b = u;
function m(e) {
  var c;
  const i = t`
    <input
      type="checkbox"
      .z-switch=${e.label ? void 0 : ""}
      .style=${e.label ? void 0 : d(e, "switch")}
      ?checked=${(c = e.checked) != null ? c : e.model}
      ?disabled=${e.disabled}
      ?required=${e.required}
    />
  `;
  return e.label ? t`
    <label 
      z-switch
      .style=${d(e, "switch")}
    >
      <span>${e.label}</span>
      ${i}
    </label>
  ` : i;
}
function n(e) {
  return t`
    <z-switch
      .help-text=${l("help-text", e)}
      .label=${l("label", e)}
      ?model=${e.model}
      ?invalid=${e.invalid}
      ?disabled=${e.disabled}
      ?required=${e.required}
      ?checked=${e.checked}
    >
      ${a("label", e)}
      ${a("help-text", e)}
    </z-switch>
  `;
}
function w(e) {
  return t`
    <vue-switch
      .help-text=${l("help-text", e)}
      .label=${l("label", e)}
      ?model=${e.model}
      ?invalid=${e.invalid}
      ?disabled=${e.disabled}
      ?required=${e.required}
      ?checked=${e.checked}
    >
      ${$("label", e)}
      ${$("help-text", e)}
    </vue-switch>
  `;
}
function v(e) {
  return t`
    <react-switch
      .helpText=${h("help-text", e)}
      .label=${h("label", e)}
      ?model=${e.model}
      ?invalid=${e.invalid}
      ?disabled=${e.disabled}
      ?required=${e.required}
      ?checked=${e.checked}
    >
    </react-switch>
  `;
}
const k = {
  name: "Switch",
  category: "inputs",
  slots: b,
  css: m,
  vue: w,
  react: v,
  web: n,
  react_native: n
};
export {
  k as Switch,
  b as zSwitchSlots
};
