import { CustomTokens } from './_shared';
import { ZBooleanInput_Props } from './_BooleanInput.props';
export type ZSwitch_Custom = `thumb--${'on' | 'off'}`;
export type ZSwitch_Props = ZBooleanInput_Props & Partial<{
    /** */
    readonly custom: CustomTokens<ZSwitch_Custom>;
}>;
export declare const zSwitchSlots: ("label" | "help-text")[];
export type ZSwitch_Slots = (typeof zSwitchSlots)[number];
export type ZSwitch_Events = Partial<{
    /** ... */
    readonly change: Required<ZSwitch_Props>['model'];
    /** */
    readonly blur: void;
    /** */
    readonly validated: boolean;
    readonly restarted: void;
}>;
