import { CSSStyle, CodeSample } from './_shared';
import { ZTable_Props } from './Table.props';
export * from './Table.props';
export type ZTable_CodeProps = ZTable_Props & {
    style?: CSSStyle;
};
declare function CSS(props: ZTable_CodeProps): CodeSample;
declare function Web(props: ZTable_CodeProps): CodeSample;
declare function Vue(props: ZTable_CodeProps): CodeSample;
declare function React(props: ZTable_CodeProps): CodeSample;
export declare const Table: {
    name: string;
    category: "layouts";
    slots: never[];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
