import { customPropsToStyle as o, $attr as n, $slot as e, $vueSlot as $, $reactChildren as u } from "./_shared/Render.js";
import { html as c } from "./_shared/Code.js";
const a = ["content"];
function l(t) {
  return c`
    <div
      .z-tag=${t.fill || ""}
      .icon=${t.icon}
      ?icon-right=${t["icon-right"]}
      .style=${o(t, "tag")}
    >
      ${t.content}
    </div>
  `;
}
function i(t) {
  return c`
    <z-tag
      .fill=${t.fill}
      .icon=${t.icon}
      .content=${n("content", t)}
      ?icon-right=${t["icon-right"]}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${e("content", t)}
    </z-tag>
  `;
}
function g(t) {
  return c`
    <vue-tag
      .fill=${t.fill}
      .icon=${t.icon}
      .content=${n("content", t)}
      ?icon-right=${t["icon-right"]}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${$("content", t)}
    </vue-tag>
  `;
}
function m(t) {
  return c`
    <react-tag
      .fill=${t.fill}
      .icon=${t.icon}
      .content=${n("content", t)}
      ?icon-right=${t["icon-right"]}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${u(t)}
    </react-tag>
  `;
}
const h = {
  name: "Tag",
  category: "atoms",
  slots: a,
  css: l,
  vue: g,
  react: m,
  web: i,
  react_native: i
};
export {
  h as Tag,
  a as zTagSlots
};
