import { SizelessIconAttr } from '../data';
import { BaseComponent, CustomTokens } from './_shared';
export type ZTag_Custom = 'color' | 'bg' | 'gap' | 'padding';
export type ZTag_Props = BaseComponent & Partial<{
    /** ... */
    readonly content: string;
    /** ... */
    readonly icon: SizelessIconAttr;
    /** ... */
    readonly 'icon-right': boolean;
    /** ... */
    readonly fill: 'moss' | 'azure' | 'teal' | 'lilac' | 'candy' | 'peach' | 'mint' | 'lime' | 'lemon' | 'powder-pink';
    /** */
    readonly custom: CustomTokens<ZTag_Custom>;
}>;
export declare const zTagSlots: ["content"];
export type ZTag_Slots = (typeof zTagSlots)[number];
export type ZTag_Events = {
    /** */
    readonly click: void;
};
