import { CodeProps_Slots, CodeSample } from './_shared';
import { ZTextInput_Props, ZTextInput_Slots } from './TextInput.props';
export * from './TextInput.props';
export type ZTextInput_CodeProps = CodeProps_Slots<ZTextInput_Props, ZTextInput_Slots>;
declare function CSS(props: ZTextInput_CodeProps): CodeSample;
declare function Web(props: ZTextInput_CodeProps): CodeSample;
declare function Vue(props: ZTextInput_CodeProps): CodeSample;
declare function React(props: ZTextInput_CodeProps): CodeSample;
export declare const TextInput: {
    name: string;
    category: "inputs";
    slots: ("label" | "help-text" | "data-list")[];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
