import { CSSStyle, CodeSample } from './_shared';
import { ZTextarea_Props } from './Textarea.props';
export * from './Textarea.props';
export type ZTextarea_CodeProps = ZTextarea_Props & {
    style?: CSSStyle;
};
declare function CSS(props: ZTextarea_CodeProps): CodeSample;
declare function Web(props: ZTextarea_CodeProps): CodeSample;
declare function Vue(props: ZTextarea_CodeProps): CodeSample;
declare function React(props: ZTextarea_CodeProps): CodeSample;
export declare const Textarea: {
    name: string;
    category: "inputs";
    slots: ("label" | "help-text")[];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
