import { CodeProps_Slots, CodeSample } from './_shared';
import { ZTile_Props, ZTile_Slots } from './Tile.props';
export * from './Tile.props';
export type ZTile_CodeProps = CodeProps_Slots<ZTile_Props, ZTile_Slots>;
declare function CSS(props: ZTile_CodeProps): CodeSample;
declare function Web(props: ZTile_CodeProps): CodeSample;
declare function Vue(props: ZTile_CodeProps): CodeSample;
declare function React(props: ZTile_CodeProps): CodeSample;
export declare const Tile: {
    name: string;
    category: "molecules";
    slots: ["content", "header", "image-src", "actions"];
    css: typeof CSS;
    web: typeof Web;
    vue: typeof Vue;
    react: typeof React;
    react_native: typeof Web;
};
