import { html as c } from "./_shared/Code.js";
import { today as s } from "../helpers/Date.js";
function w(t, r) {
  const { locale: e, format: n, asRelative: a, format24: o, withSeconds: i } = r || {};
  return a ? new Intl.RelativeTimeFormat(e, {
    numeric: "auto",
    style: n || void 0
  }).format(u(t, a), a) : new Intl.DateTimeFormat(e, {
    hour: "numeric",
    minute: "numeric",
    second: i ? "numeric" : void 0,
    hour12: !o,
    weekday: n || void 0
  }).format(t);
}
function v(t, r) {
  let e = t || (/* @__PURE__ */ new Date()).toISOString();
  if (!e.includes("T") && !r) {
    const a = s(), o = e.split(":").map((i) => i.padStart(2, "0")).join(":");
    e = `${a}T${o}`;
  }
  const n = new Date(e);
  return isNaN(n.valueOf()) ? (console.error(`"${t}" is not a valid time or date.`), /* @__PURE__ */ new Date()) : n;
}
function u(t, r) {
  const e = (t.getTime() - Date.now()) / 1e3;
  switch (r) {
    case "second":
      return ~~e;
    case "minute":
      return ~~(e / 60);
    case "hour":
      return ~~(e / 3600);
    case "day":
      return ~~(e / (3600 * 24));
    case "week":
      return ~~(e / (3600 * 24 * 7));
    case "month":
      return ~~(e / (3600 * 24 * 30));
    case "quarter":
      return ~~(e / (3600 * 24 * 90));
    case "year":
      return ~~(e / (3600 * 24 * 365));
    default:
      throw new Error('Unknown "as-relative" option');
  }
}
const l = [];
function m(t) {
  return c`
    <z-time
      .time=${t.time}
      .format=${t.format}
      .locale=${t.locale}
      .as-relative=${t["as-relative"]}
      ?format-24=${t["format-24"]}
      ?with-seconds=${t["with-seconds"]}
    >
    </z-time>
  `;
}
const T = {
  name: "Time",
  category: "atoms",
  slots: l,
  web: m,
  react_native: m
};
export {
  T as Time,
  v as getDateFromTime,
  w as parseTime,
  l as zTimeSlots
};
