import { CodeProps_Slots, CodeSample } from './_shared';
import { ZTimeInput_Props, ZTimeInput_Slots } from './TimeInput.props';
export * from './TimeInput.props';
export type ZTimeInput_CodeProps = CodeProps_Slots<ZTimeInput_Props, ZTimeInput_Slots>;
declare function CSS(props: ZTimeInput_CodeProps): CodeSample;
declare function Web(props: ZTimeInput_CodeProps): CodeSample;
declare function Vue(props: ZTimeInput_CodeProps): CodeSample;
declare function React(props: ZTimeInput_CodeProps): CodeSample;
export declare const TimeInput: {
    name: string;
    category: "inputs";
    slots: ("label" | "help-text")[];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
