import { OrElse } from '../typescript';
import { ClockTime } from '../typescript/Number.types';
import { ZInput_Props } from './_Input.props';
export type ZTimeInput_Model = ClockTime | OrElse | null;
export type ZTimeInput_Props = ZInput_Props & Partial<{
    /** ... */
    readonly model: ZTimeInput_Model;
    /** ... */
    readonly range: [ClockTime | null, ClockTime | null];
    /** */
    readonly min: ClockTime;
    /** */
    readonly max: ClockTime;
    /** ... */
    readonly 'with-seconds': boolean;
    /** */
    readonly 'custom-ui': boolean;
    /** ... */
    readonly step: number;
    /** */
    readonly placeholder: string;
    /** */
    readonly pattern: string;
}>;
export declare const zTimeInputSlots: ("label" | "help-text")[];
export type ZTimeInput_Slots = (typeof zTimeInputSlots)[number];
export type ZTimeInput_Events = Partial<{
    /** ... */
    readonly change: string | null;
    /** ... */
    readonly enter: void;
    /** */
    readonly blur: void;
    /** */
    readonly validated: boolean;
    /** */
    readonly restarted: void;
}>;
