import { CodeProps_Slots, CodeSample } from './_shared';
import { ZToast_Props, ZToast_Slots } from './Toast.props';
export * from './Toast.props';
export type ZToast_CodeProps = CodeProps_Slots<ZToast_Props, ZToast_Slots>;
declare function CSS(props: ZToast_CodeProps): CodeSample;
declare function Web(props: ZToast_CodeProps): CodeSample;
declare function Vue(props: ZToast_CodeProps): CodeSample;
declare function React(props: ZToast_CodeProps): CodeSample;
export declare const Toast: {
    name: string;
    category: "atoms";
    slots: ["content", "timestamp"];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
