import { CodeProps_Slots, CodeSample } from './_shared';
import { ZTooltip_Props, ZTooltip_Slots } from './Tooltip.props';
export * from './Tooltip.props';
export type ZTooltip_CodeProps = CodeProps_Slots<ZTooltip_Props, ZTooltip_Slots>;
declare function CSS(props: ZTooltip_CodeProps): CodeSample;
declare function Web(props: ZTooltip_CodeProps): CodeSample;
declare function Vue(props: ZTooltip_CodeProps): CodeSample;
declare function React(props: ZTooltip_CodeProps): CodeSample;
export declare const Tooltip: {
    name: string;
    category: "atoms";
    slots: ["content"];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
