import { BaseInput_Props } from './_BooleanInput.props';
export type ZVerticalStepper_Props<T extends number = number> = BaseInput_Props & Partial<{
    /** */
    readonly steps: string[];
    /** */
    readonly model: T;
    /** */
    readonly header: string;
    /** */
    readonly 'step-text': string;
    /** */
    readonly config: 'collapsed';
    /** */
    readonly custom: {};
}>;
export declare const zVerticalStepperSlots: ("header" | "steps")[];
export type ZVerticalStepper_Slots = (typeof zVerticalStepperSlots)[number];
export type ZVerticalStepper_Events<T extends number = number> = Partial<{
    /** ... */
    readonly change: Required<ZVerticalStepper_Props<T>['model']>;
    /** */
    readonly restarted: void;
}>;
