import { ZurichImageName } from '../data';
import { BaseComponent, HasImage } from './_shared';
import { ZImage_Props } from './Image.props';
export type ZZurichImage_Props = BaseComponent & Omit<HasImage, 'image-src'> & Partial<{
    /** */
    readonly config: ZImage_Props['config'];
    /** */
    readonly eager: ZImage_Props['eager'];
    /** */
    readonly 'blank-fallback': ZImage_Props['blank-fallback'];
    /** */
    readonly image: ZurichImageName;
    /** */
    readonly width: number;
    /** */
    readonly height: number;
    /** */
    readonly frame: [number, number];
    /** */
    readonly position: [number, number];
    /** */
    readonly background: string;
    /** */
    readonly quality: number;
    /** */
    readonly rotate: 0 | 90 | 180 | 270;
    /** */
    readonly custom: {};
}>;
export declare const zZurichImageSlots: never[];
export type ZZurichImage_Slots = (typeof zZurichImageSlots)[number];
export type ZZurichImage_Events = {};
