import { Localized } from '../locales/languages.types';
import { BaseComponent } from './_shared';
export type ZBaseCalendar_Props = BaseComponent & Localized & Partial<{
    /** */
    readonly range: readonly [string | null, string | null];
    /** */
    readonly min: string;
    /** */
    readonly max: string;
    /** */
    readonly 'first-weekday': 'sunday' | 'monday';
    /** */
    readonly 'calendar-type': 'gregorian';
    /** */
    readonly 'today-nav': boolean;
    /** */
    readonly 'selected-nav': boolean;
    /** */
    readonly 'today-text': string;
    /** */
    readonly 'selected-text': string;
    /** */
    readonly wide: boolean;
    /** */
    readonly disabled: boolean;
}>;
