import { CodeSample } from './Code.types';
import { CSSProperties } from './Props.types';
export type Dict = Record<string, unknown>;
export type Primitives = string | number | boolean;
export type SubHTML = CodeSample | CodeSample[];
export type Func = ((...args: any[]) => void);
export type ArgType = Primitives | undefined | readonly any[] | Dict | Func | CSSProperties | SubHTML;
