import { arrayfy as s } from "../../helpers/Array.js";
import { pascalCase as e, kebabCase as i } from "../../helpers/Str.js";
const u = 4, c = "import '@zurich/web-components/styles.css';", m = [
  // Atoms
  "Image",
  "SafeSpace",
  "Profile",
  // Inputs
  "BooleanIcon",
  "Checkbox",
  "DateInput",
  "NumberInput",
  "PasswordInput",
  "Select",
  "Slider",
  "Switch",
  "TextInput",
  "Textarea",
  "TimeInput"
], h = {
  css: (t) => {
    const o = s(t), n = o.map((r) => `import '@zurich/css-components/${r}.css';`);
    return n.unshift("import '@zurich/css-components/base.css';"), m.some((r) => o.includes(r)) && n.unshift("import '@zurich/css-components/javascript.js';"), o.includes("Pictogram") && n.unshift("import '@zurich/design-tokens/Pictograms.css';"), o.includes("Icon") && n.unshift("import '@zurich/design-tokens/Icons.css';"), n.join(`
`);
  },
  react_css: (t) => {
    const o = s(t).map((n) => `React${e(n)}`).join(", ");
    return [
      c,
      `import { ${o} } from '@zurich/css-components/react';`
    ].join(`
`);
  },
  vue_css: (t) => {
    const o = s(t).map((n) => `Vue${e(n)}`).join(", ");
    return [
      c,
      `import { ${o} } from '@zurich/css-components/vue';`
    ].join(`
`);
  },
  web: (t) => {
    const o = s(t).map((n) => `import '@zurich/web-components/${i(n)}.js';`);
    return o.unshift(c), o.join(`
`);
  },
  angular: (t) => {
    const o = s(t).map((n) => `Za${e(n)}`).join(", ");
    return [
      c,
      `import { ${o} } from '@zurich/angular-components';`
    ].join(`
`);
  },
  react: (t) => {
    const o = s(t).map((n) => `Zr${e(n)}`).join(", ");
    return [
      c,
      `import { ${o} } from '@zurich/web-components/react';`
    ].join(`
`);
  },
  vue: (t) => {
    const o = s(t).map((n) => `Zv${e(n)}`).join(", ");
    return [
      c,
      `import { ${o} } from '@zurich/web-components/vue';`
    ].join(`
`);
  },
  react_native: (t) => `import { ${s(t).map((n) => `Zr${e(n)}`).join(", ")} } from '@zurich/react-native';`
};
export {
  h as IMPORTER,
  u as INDENT
};
