import type * as Type from './index.auto';
export type BadgeTypes<_T = any> = {
    props: Type.ZBadge_Props;
    events: Type.ZBadge_Events;
    slots: Type.ZBadge_Slots;
};
export type ButtonTypes<_T = any> = {
    props: Type.ZButton_Props;
    events: Type.ZButton_Events;
    slots: Type.ZButton_Slots;
};
export type ChipTypes<_T = any> = {
    props: Type.ZChip_Props;
    events: Type.ZChip_Events;
    slots: Type.ZChip_Slots;
};
export type CurrencyTypes<_T = any> = {
    props: Type.ZCurrency_Props;
    events: Type.ZCurrency_Events;
    slots: Type.ZCurrency_Slots;
};
export type DateTypes<_T = any> = {
    props: Type.ZDate_Props;
    events: Type.ZDate_Events;
    slots: Type.ZDate_Slots;
};
export type FlagTypes<_T = any> = {
    props: Type.ZFlag_Props;
    events: Type.ZFlag_Events;
    slots: Type.ZFlag_Slots;
};
export type IconTypes<_T = any> = {
    props: Type.ZIcon_Props;
    events: Type.ZIcon_Events;
    slots: Type.ZIcon_Slots;
};
export type ImageTypes<_T = any> = {
    props: Type.ZImage_Props;
    events: Type.ZImage_Events;
    slots: Type.ZImage_Slots;
};
export type LinkTypes<_T = any> = {
    props: Type.ZLink_Props;
    events: Type.ZLink_Events;
    slots: Type.ZLink_Slots;
};
export type LoaderTypes<_T = any> = {
    props: Type.ZLoader_Props;
    events: Type.ZLoader_Events;
    slots: Type.ZLoader_Slots;
};
export type LocaleTypes<_T = any> = {
    props: Type.ZLocale_Props;
    events: Type.ZLocale_Events;
    slots: Type.ZLocale_Slots;
};
export type LogoTypes<_T = any> = {
    props: Type.ZLogo_Props;
    events: Type.ZLogo_Events;
    slots: Type.ZLogo_Slots;
};
export type NumberTypes<_T = any> = {
    props: Type.ZNumber_Props;
    events: Type.ZNumber_Events;
    slots: Type.ZNumber_Slots;
};
export type PictogramTypes<_T = any> = {
    props: Type.ZPictogram_Props;
    events: Type.ZPictogram_Events;
    slots: Type.ZPictogram_Slots;
};
export type ProfileTypes<_T = any> = {
    props: Type.ZProfile_Props;
    events: Type.ZProfile_Events;
    slots: Type.ZProfile_Slots;
};
export type ProgressBarTypes<_T = any> = {
    props: Type.ZProgressBar_Props;
    events: Type.ZProgressBar_Events;
    slots: Type.ZProgressBar_Slots;
};
export type SafeSpaceTypes<_T = any> = {
    props: Type.ZSafeSpace_Props;
    events: Type.ZSafeSpace_Events;
    slots: Type.ZSafeSpace_Slots;
};
export type ScrollIndicatorTypes<_T = any> = {
    props: Type.ZScrollIndicator_Props;
    events: Type.ZScrollIndicator_Events;
    slots: Type.ZScrollIndicator_Slots;
};
export type ShapeTypes<_T = any> = {
    props: Type.ZShape_Props;
    events: Type.ZShape_Events;
    slots: Type.ZShape_Slots;
};
export type SkeletonTypes<_T = any> = {
    props: Type.ZSkeleton_Props;
    events: Type.ZSkeleton_Events;
    slots: Type.ZSkeleton_Slots;
};
export type SmilingZTypes<_T = any> = {
    props: Type.ZSmilingZ_Props;
    events: Type.ZSmilingZ_Events;
    slots: Type.ZSmilingZ_Slots;
};
export type SocialMediaIconTypes<_T = any> = {
    props: Type.ZSocialMediaIcon_Props;
    events: Type.ZSocialMediaIcon_Events;
    slots: Type.ZSocialMediaIcon_Slots;
};
export type TagTypes<_T = any> = {
    props: Type.ZTag_Props;
    events: Type.ZTag_Events;
    slots: Type.ZTag_Slots;
};
export type TimeTypes<_T = any> = {
    props: Type.ZTime_Props;
    events: Type.ZTime_Events;
    slots: Type.ZTime_Slots;
};
export type ToastTypes<_T = any> = {
    props: Type.ZToast_Props;
    events: Type.ZToast_Events;
    slots: Type.ZToast_Slots;
};
export type TooltipTypes<_T = any> = {
    props: Type.ZTooltip_Props;
    events: Type.ZTooltip_Events;
    slots: Type.ZTooltip_Slots;
};
export type ZurichAudioTypes<_T = any> = {
    props: Type.ZZurichAudio_Props;
    events: Type.ZZurichAudio_Events;
    slots: Type.ZZurichAudio_Slots;
};
export type ZurichImageTypes<_T = any> = {
    props: Type.ZZurichImage_Props;
    events: Type.ZZurichImage_Events;
    slots: Type.ZZurichImage_Slots;
};
export type ZurichVideoTypes<_T = any> = {
    props: Type.ZZurichVideo_Props;
    events: Type.ZZurichVideo_Events;
    slots: Type.ZZurichVideo_Slots;
};
export type BarChartTypes<_T = any> = {
    props: Type.ZBarChart_Props;
    events: Type.ZBarChart_Events;
    slots: Type.ZBarChart_Slots;
};
export type BoxPlotChartTypes<_T = any> = {
    props: Type.ZBoxPlotChart_Props;
    events: Type.ZBoxPlotChart_Events;
    slots: Type.ZBoxPlotChart_Slots;
};
export type DonutChartTypes<_T = any> = {
    props: Type.ZDonutChart_Props;
    events: Type.ZDonutChart_Events;
    slots: Type.ZDonutChart_Slots;
};
export type GanntChartTypes<_T = any> = {
    props: Type.ZGanntChart_Props;
    events: Type.ZGanntChart_Events;
    slots: Type.ZGanntChart_Slots;
};
export type GroupBarChartTypes<_T = any> = {
    props: Type.ZGroupBarChart_Props;
    events: Type.ZGroupBarChart_Events;
    slots: Type.ZGroupBarChart_Slots;
};
export type HeatmapTypes<_T = any> = {
    props: Type.ZHeatmap_Props;
    events: Type.ZHeatmap_Events;
    slots: Type.ZHeatmap_Slots;
};
export type HistogramTypes<_T = any> = {
    props: Type.ZHistogram_Props;
    events: Type.ZHistogram_Events;
    slots: Type.ZHistogram_Slots;
};
export type KpiValueTypes<_T = any> = {
    props: Type.ZKpiValue_Props;
    events: Type.ZKpiValue_Events;
    slots: Type.ZKpiValue_Slots;
};
export type LineChartTypes<_T = any> = {
    props: Type.ZLineChart_Props;
    events: Type.ZLineChart_Events;
    slots: Type.ZLineChart_Slots;
};
export type MetricProgressTypes<_T = any> = {
    props: Type.ZMetricProgress_Props;
    events: Type.ZMetricProgress_Events;
    slots: Type.ZMetricProgress_Slots;
};
export type PieChartTypes<_T = any> = {
    props: Type.ZPieChart_Props;
    events: Type.ZPieChart_Events;
    slots: Type.ZPieChart_Slots;
};
export type ScatterPlotChartTypes<_T = any> = {
    props: Type.ZScatterPlotChart_Props;
    events: Type.ZScatterPlotChart_Events;
    slots: Type.ZScatterPlotChart_Slots;
};
export type StackedBarChartTypes<_T = any> = {
    props: Type.ZStackedBarChart_Props;
    events: Type.ZStackedBarChart_Events;
    slots: Type.ZStackedBarChart_Slots;
};
export type WaterfallChartTypes<_T = any> = {
    props: Type.ZWaterfallChart_Props;
    events: Type.ZWaterfallChart_Events;
    slots: Type.ZWaterfallChart_Slots;
};
export type RequestTypes<T = Record<string, unknown>> = {
    props: Type.ZRequest_Props;
    events: Type.ZRequest_Events<T>;
    slots: Type.ZRequest_Slots;
};
export type ResizerTypes<_T = any> = {
    props: Type.ZResizer_Props;
    events: Type.ZResizer_Events;
    slots: Type.ZResizer_Slots;
};
export type BooleanIconTypes<_T = any> = {
    props: Type.ZBooleanIcon_Props;
    events: Type.ZBooleanIcon_Events;
    slots: Type.ZBooleanIcon_Slots;
};
export type CalendarTypes<_T = any> = {
    props: Type.ZCalendar_Props;
    events: Type.ZCalendar_Events;
    slots: Type.ZCalendar_Slots;
};
export type CheckboxTypes<_T = any> = {
    props: Type.ZCheckbox_Props;
    events: Type.ZCheckbox_Events;
    slots: Type.ZCheckbox_Slots;
};
export type CheckboxGroupTypes<_T = any> = {
    props: Type.ZCheckboxGroup_Props;
    events: Type.ZCheckboxGroup_Events;
    slots: Type.ZCheckboxGroup_Slots;
};
export type CheckboxSelectTypes<T extends string = string> = {
    props: Type.ZCheckboxSelect_Props<T>;
    events: Type.ZCheckboxSelect_Events<T>;
    slots: Type.ZCheckboxSelect_Slots;
};
export type ChipsSetTypes<_T = any> = {
    props: Type.ZChipsSet_Props;
    events: Type.ZChipsSet_Events;
    slots: Type.ZChipsSet_Slots;
};
export type ColorInputTypes<_T = any> = {
    props: Type.ZColorInput_Props;
    events: Type.ZColorInput_Events;
    slots: Type.ZColorInput_Slots;
};
export type DateInputTypes<_T = any> = {
    props: Type.ZDateInput_Props;
    events: Type.ZDateInput_Events;
    slots: Type.ZDateInput_Slots;
};
export type FileInputTypes<_T = any> = {
    props: Type.ZFileInput_Props;
    events: Type.ZFileInput_Events;
    slots: Type.ZFileInput_Slots;
};
export type MultiFileInputTypes<_T = any> = {
    props: Type.ZMultiFileInput_Props;
    events: Type.ZMultiFileInput_Events;
    slots: Type.ZMultiFileInput_Slots;
};
export type MultiInputTypes<_T = any> = {
    props: Type.ZMultiInput_Props;
    events: Type.ZMultiInput_Events;
    slots: Type.ZMultiInput_Slots;
};
export type MultiSelectableCardsTypes<T extends string = string> = {
    props: Type.ZMultiSelectableCards_Props<T>;
    events: Type.ZMultiSelectableCards_Events<T>;
    slots: Type.ZMultiSelectableCards_Slots;
};
export type MultiselectTypes<T extends string = string> = {
    props: Type.ZMultiselect_Props<T>;
    events: Type.ZMultiselect_Events<T>;
    slots: Type.ZMultiselect_Slots;
};
export type NumberInputTypes<T extends number = number> = {
    props: Type.ZNumberInput_Props<T>;
    events: Type.ZNumberInput_Events<T>;
    slots: Type.ZNumberInput_Slots;
};
export type PaginationTypes<_T = any> = {
    props: Type.ZPagination_Props;
    events: Type.ZPagination_Events;
    slots: Type.ZPagination_Slots;
};
export type PasswordInputTypes<_T = any> = {
    props: Type.ZPasswordInput_Props;
    events: Type.ZPasswordInput_Events;
    slots: Type.ZPasswordInput_Slots;
};
export type ProgressTrackerTypes<_T = any> = {
    props: Type.ZProgressTracker_Props;
    events: Type.ZProgressTracker_Events;
    slots: Type.ZProgressTracker_Slots;
};
export type RadioSelectTypes<T extends string = string> = {
    props: Type.ZRadioSelect_Props<T>;
    events: Type.ZRadioSelect_Events<T>;
    slots: Type.ZRadioSelect_Slots;
};
export type RangeCalendarTypes<_T = any> = {
    props: Type.ZRangeCalendar_Props;
    events: Type.ZRangeCalendar_Events;
    slots: Type.ZRangeCalendar_Slots;
};
export type RangeDateInputTypes<_T = any> = {
    props: Type.ZRangeDateInput_Props;
    events: Type.ZRangeDateInput_Events;
    slots: Type.ZRangeDateInput_Slots;
};
export type RangeInputTypes<_T = any> = {
    props: Type.ZRangeInput_Props;
    events: Type.ZRangeInput_Events;
    slots: Type.ZRangeInput_Slots;
};
export type RangeSliderTypes<T extends [number, number] = [number, number]> = {
    props: Type.ZRangeSlider_Props<T>;
    events: Type.ZRangeSlider_Events<T>;
    slots: Type.ZRangeSlider_Slots;
};
export type RatingTypes<_T = any> = {
    props: Type.ZRating_Props;
    events: Type.ZRating_Events;
    slots: Type.ZRating_Slots;
};
export type SearchTypes<_T = any> = {
    props: Type.ZSearch_Props;
    events: Type.ZSearch_Events;
    slots: Type.ZSearch_Slots;
};
export type SegmentedControlTypes<T extends string = string> = {
    props: Type.ZSegmentedControl_Props<T>;
    events: Type.ZSegmentedControl_Events<T>;
    slots: Type.ZSegmentedControl_Slots;
};
export type SelectTypes<T extends string = string> = {
    props: Type.ZSelect_Props<T>;
    events: Type.ZSelect_Events<T>;
    slots: Type.ZSelect_Slots;
};
export type SelectableCardsTypes<T extends string = string> = {
    props: Type.ZSelectableCards_Props<T>;
    events: Type.ZSelectableCards_Events<T>;
    slots: Type.ZSelectableCards_Slots;
};
export type SelectionTagTypes<_T = any> = {
    props: Type.ZSelectionTag_Props;
    events: Type.ZSelectionTag_Events;
    slots: Type.ZSelectionTag_Slots;
};
export type SliderTypes<T extends number = number> = {
    props: Type.ZSlider_Props<T>;
    events: Type.ZSlider_Events<T>;
    slots: Type.ZSlider_Slots;
};
export type StepperTypes<T extends number = number> = {
    props: Type.ZStepper_Props<T>;
    events: Type.ZStepper_Events<T>;
    slots: Type.ZStepper_Slots;
};
export type SwitchTypes<_T = any> = {
    props: Type.ZSwitch_Props;
    events: Type.ZSwitch_Events;
    slots: Type.ZSwitch_Slots;
};
export type TagsSelectTypes<T extends string = string> = {
    props: Type.ZTagsSelect_Props<T>;
    events: Type.ZTagsSelect_Events<T>;
    slots: Type.ZTagsSelect_Slots;
};
export type TextInputTypes<T extends string = string> = {
    props: Type.ZTextInput_Props<T>;
    events: Type.ZTextInput_Events<T>;
    slots: Type.ZTextInput_Slots;
};
export type TextareaTypes<_T = any> = {
    props: Type.ZTextarea_Props;
    events: Type.ZTextarea_Events;
    slots: Type.ZTextarea_Slots;
};
export type TimeInputTypes<_T = any> = {
    props: Type.ZTimeInput_Props;
    events: Type.ZTimeInput_Events;
    slots: Type.ZTimeInput_Slots;
};
export type VerticalStepperTypes<T extends number = number> = {
    props: Type.ZVerticalStepper_Props<T>;
    events: Type.ZVerticalStepper_Events<T>;
    slots: Type.ZVerticalStepper_Slots;
};
export type AccordionTypes<_T = any> = {
    props: Type.ZAccordion_Props;
    events: Type.ZAccordion_Events;
    slots: Type.ZAccordion_Slots;
};
export type AccordionGroupTypes<_T = any> = {
    props: Type.ZAccordionGroup_Props;
    events: Type.ZAccordionGroup_Events;
    slots: Type.ZAccordionGroup_Slots;
};
export type ActionMenuTypes<_T = any> = {
    props: Type.ZActionMenu_Props;
    events: Type.ZActionMenu_Events;
    slots: Type.ZActionMenu_Slots;
};
export type ButtonGroupTypes<_T = any> = {
    props: Type.ZButtonGroup_Props;
    events: Type.ZButtonGroup_Events;
    slots: Type.ZButtonGroup_Slots;
};
export type CardTypes<_T = any> = {
    props: Type.ZCard_Props;
    events: Type.ZCard_Events;
    slots: Type.ZCard_Slots;
};
export type CardCarouselTypes<_T = any> = {
    props: Type.ZCardCarousel_Props;
    events: Type.ZCardCarousel_Events;
    slots: Type.ZCardCarousel_Slots;
};
export type CarouselTypes<_T = any> = {
    props: Type.ZCarousel_Props;
    events: Type.ZCarousel_Events;
    slots: Type.ZCarousel_Slots;
};
export type FieldsetTypes<_T = any> = {
    props: Type.ZFieldset_Props;
    events: Type.ZFieldset_Events;
    slots: Type.ZFieldset_Slots;
};
export type FigureTypes<_T = any> = {
    props: Type.ZFigure_Props;
    events: Type.ZFigure_Events;
    slots: Type.ZFigure_Slots;
};
export type FloatingBannerTypes<_T = any> = {
    props: Type.ZFloatingBanner_Props;
    events: Type.ZFloatingBanner_Events;
    slots: Type.ZFloatingBanner_Slots;
};
export type FormTypes<_T = any> = {
    props: Type.ZForm_Props;
    events: Type.ZForm_Events;
    slots: Type.ZForm_Slots;
};
export type InputGroupTypes<_T = any> = {
    props: Type.ZInputGroup_Props;
    events: Type.ZInputGroup_Events;
    slots: Type.ZInputGroup_Slots;
};
export type ModalTypes<_T = any> = {
    props: Type.ZModal_Props;
    events: Type.ZModal_Events;
    slots: Type.ZModal_Slots;
};
export type SideMenuTypes<_T = any> = {
    props: Type.ZSideMenu_Props;
    events: Type.ZSideMenu_Events;
    slots: Type.ZSideMenu_Slots;
};
export type SidebarTypes<_T = any> = {
    props: Type.ZSidebar_Props;
    events: Type.ZSidebar_Events;
    slots: Type.ZSidebar_Slots;
};
export type SnapScrollTypes<_T = any> = {
    props: Type.ZSnapScroll_Props;
    events: Type.ZSnapScroll_Events;
    slots: Type.ZSnapScroll_Slots;
};
export type TableTypes<_T = any> = {
    props: Type.ZTable_Props;
    events: Type.ZTable_Events;
    slots: Type.ZTable_Slots;
};
export type TabsTypes<_T = any> = {
    props: Type.ZTabs_Props;
    events: Type.ZTabs_Events;
    slots: Type.ZTabs_Slots;
};
export type ActionCardTypes<_T = any> = {
    props: Type.ZActionCard_Props;
    events: Type.ZActionCard_Events;
    slots: Type.ZActionCard_Slots;
};
export type AlertTypes<_T = any> = {
    props: Type.ZAlert_Props;
    events: Type.ZAlert_Events;
    slots: Type.ZAlert_Slots;
};
export type ArticleCardTypes<_T = any> = {
    props: Type.ZArticleCard_Props;
    events: Type.ZArticleCard_Events;
    slots: Type.ZArticleCard_Slots;
};
export type AvatarTypes<_T = any> = {
    props: Type.ZAvatar_Props;
    events: Type.ZAvatar_Events;
    slots: Type.ZAvatar_Slots;
};
export type AvatarListTypes<_T = any> = {
    props: Type.ZAvatarList_Props;
    events: Type.ZAvatarList_Events;
    slots: Type.ZAvatarList_Slots;
};
export type BreadcrumbsTypes<_T = any> = {
    props: Type.ZBreadcrumbs_Props;
    events: Type.ZBreadcrumbs_Events;
    slots: Type.ZBreadcrumbs_Slots;
};
export type EmptyStateTypes<_T = any> = {
    props: Type.ZEmptyState_Props;
    events: Type.ZEmptyState_Events;
    slots: Type.ZEmptyState_Slots;
};
export type EventListItemTypes<_T = any> = {
    props: Type.ZEventListItem_Props;
    events: Type.ZEventListItem_Events;
    slots: Type.ZEventListItem_Slots;
};
export type ImageStageTypes<_T = any> = {
    props: Type.ZImageStage_Props;
    events: Type.ZImageStage_Events;
    slots: Type.ZImageStage_Slots;
};
export type ListItemTypes<_T = any> = {
    props: Type.ZListItem_Props;
    events: Type.ZListItem_Events;
    slots: Type.ZListItem_Slots;
};
export type PromoTypes<_T = any> = {
    props: Type.ZPromo_Props;
    events: Type.ZPromo_Events;
    slots: Type.ZPromo_Slots;
};
export type QuoteTypes<_T = any> = {
    props: Type.ZQuote_Props;
    events: Type.ZQuote_Events;
    slots: Type.ZQuote_Slots;
};
export type ShareBarTypes<_T = any> = {
    props: Type.ZShareBar_Props;
    events: Type.ZShareBar_Events;
    slots: Type.ZShareBar_Slots;
};
export type ShareButtonTypes<_T = any> = {
    props: Type.ZShareButton_Props;
    events: Type.ZShareButton_Events;
    slots: Type.ZShareButton_Slots;
};
export type StageTypes<_T = any> = {
    props: Type.ZStage_Props;
    events: Type.ZStage_Events;
    slots: Type.ZStage_Slots;
};
export type StageBannerTypes<_T = any> = {
    props: Type.ZStageBanner_Props;
    events: Type.ZStageBanner_Events;
    slots: Type.ZStageBanner_Slots;
};
export type TileTypes<_T = any> = {
    props: Type.ZTile_Props;
    events: Type.ZTile_Events;
    slots: Type.ZTile_Slots;
};
export type AsyncContentTypes<_T = any> = {
    props: Type.ZAsyncContent_Props;
    events: Type.ZAsyncContent_Events;
    slots: Type.ZAsyncContent_Slots;
};
export type CookiesConsentTypes<_T = any> = {
    props: Type.ZCookiesConsent_Props;
    events: Type.ZCookiesConsent_Events;
    slots: Type.ZCookiesConsent_Slots;
};
export type FooterTypes<_T = any> = {
    props: Type.ZFooter_Props;
    events: Type.ZFooter_Events;
    slots: Type.ZFooter_Slots;
};
export type LanguageSelectorTypes<_T = any> = {
    props: Type.ZLanguageSelector_Props;
    events: Type.ZLanguageSelector_Events;
    slots: Type.ZLanguageSelector_Slots;
};
export type MobileNavBarTypes<_T = any> = {
    props: Type.ZMobileNavBar_Props;
    events: Type.ZMobileNavBar_Events;
    slots: Type.ZMobileNavBar_Slots;
};
export type NavigationTypes<_T = any> = {
    props: Type.ZNavigation_Props;
    events: Type.ZNavigation_Events;
    slots: Type.ZNavigation_Slots;
};
