# @zurich/dev-utils

<p align="center">
  <a href="https://zds.zurich.com/" target="_blank" rel="noopener noreferrer">
    <img src="https://zds.zurich.com/banner.png" alt="Banner">
  </a>
</p>
<p align="center">
  <a href="https://npmjs.com/package/@zurich/dev-utils">
    <img
      src="https://img.shields.io/npm/v/@zurich/dev-utils?style=for-the-badge&color=yellow&label=npm%20downloads&logo=npm"
      alt="npm package"
    >
  </a>
  &nbsp;
  &nbsp;
  <a href="https://npmjs.com/package/@zurich/dev-utils">
    <img
      src="https://img.shields.io/npm/dm/@zurich/dev-utils?style=for-the-badge&color=white&label=npm%20downloads&logo=npm"
      alt="npm downloads"
    >
  </a>
<p>

<p align="center">
  <b>Made for:</b>
</p>

<p align="center">
  <img src="https://img.shields.io/badge/HTML-%23E34F26.svg?style=for-the-badge&logo=html5&logoColor=white" alt="HTML"/>
  <img src="https://img.shields.io/badge/CSS-1572B6?style=for-the-badge&logo=css3&logoColor=fff" alt="CSS"/>
  <img src="https://img.shields.io/badge/JavaScript-F7DF1E?style=for-the-badge&logo=javascript&logoColor=000" alt="JS"/>
  <a href="https://www.typescriptlang.org/" target="_blank">
    <img src="https://img.shields.io/badge/TypeScript-3178C6?style=for-the-badge&logo=typescript&logoColor=fff" alt="TS"/>
  </a>
  <a href="https://sass-lang.com/" target="_blank">
    <img src="https://img.shields.io/badge/Sass-C69?style=for-the-badge&logo=sass&logoColor=fff" alt="SCSS"/>
  </a>
</p>

## Documentation

Check all the information about this package [in the official documentation](https://zds.zurich.com/dev-utils).

## ZDS ecosystem

This package is part of the [NPM packages collection](https://www.npmjs.com/search?q=%40zurich%20ZDS) of the
[Zurich's Design System (ZDS)](https://zds.zurich.com/).

The packages of this collection are:

  - [`@zurich/design-tokens`](https://www.npmjs.com/package/@zurich/design-tokens)
  - [`@zurich/css-components`](https://www.npmjs.com/package/@zurich/css-components)
  - [`@zurich/web-components`](https://www.npmjs.com/package/@zurich/web-components)
  - [`@zurich/angular-components`](https://www.npmjs.com/package/@zurich/angular-components)
  - [`@zurich/react-native`](https://www.npmjs.com/package/@zurich/react-native)
  - [`@zurich/dev-utils`](https://www.npmjs.com/package/@zurich/dev-utils)

## License

[![NPM License](https://img.shields.io/npm/l/@zurich/dev-utils?style=for-the-badge&logo=cachet&logoColor=fff)](http://opensource.org/licenses/ISC)

___

Made with 💙 by Pablo Pérez Chueca and Traian Constantin Dida
for <a href="https://www.zurich.com/" target="_blank">Zurich Insurance Company</a>.
