import { customPropsToStyle as h, $attr as a, $slot as r, $vueSlot as $, $reactSub as f, $reactChildren as v } from "./_shared/Render.js";
import { html as e } from "./_shared/Code.js";
import { Button as S } from "./Button.js";
import { Pictogram as b } from "./Pictogram.js";
import { Tag as C } from "./Tag.js";
const y = [
  "content",
  "header",
  "pre-line",
  "image-src",
  "actions",
  "action-button"
];
function z(t) {
  var o;
  const {
    actionIcon: l,
    actionButton: u,
    pictogram: m
  } = t, d = t["image-src"] ? e`<img .src=${t["image-src"]} alt="Action card image"/>` : "", c = ((o = t.tags) == null ? void 0 : o.map((i) => C.css(typeof i == "string" ? { content: i } : i))) || "", n = (c.length === 0 || c === void 0) && t["pre-line"], s = u ? S.css({ config: "link", icon: l || "edit:line" }) : "";
  return e`
    <article 
      z-action-card
      .style=${h(t, "action-card")}
    >
      ${s}
      ${m ? b.css({ pictogram: m }) : d}
      <main>
        ${n || c.length > 0 ? e`<div>` : ""}
        ${n ? e`<small>${t["pre-line"]}</small>` : c}
        ${n || c.length > 0 ? e`</div>` : ""}
        <h3>${t.header}</h3>
        ${t.content ? e`<p>${t.content}</p>` : ""}
      </main>
    </article>
  `;
}
function g(t) {
  return e`
    <z-action-card
      .header=${a("header", t)}
      .content=${a("content", t)}
      .image-src=${t["image-src"]}
      .image-alt=${t["image-alt"]}
      .pictogram=${t.pictogram}
      .tags=${t.tags}
      .pre-line=${t["pre-line"]}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${r("header", t)}
      ${r("content", t)}
    </z-action-card>
  `;
}
function A(t) {
  return e`
    <vue-action-card
      .header=${a("header", t)}
      .content=${a("content", t)}
      .image-src=${t["image-src"]}
      .image-alt=${t["image-alt"]}
      .pictogram=${t.pictogram}
      .tags=${t.tags}
      .pre-line=${t["pre-line"]}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${$("header", t)}
      ${$("content", t)}
    </vue-action-card>
  `;
}
function P(t) {
  return e`
    <react-action-card
      .header=${f("header", t)}
      .content=${a("content", t)}
      .image-src=${t["image-src"]}
      .image-alt=${t["image-alt"]}
      .pictogram=${t.pictogram}
      .tags=${t.tags}
      .pre-line=${t["pre-line"]}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${v(t)}
    </react-action-card>
  `;
}
const I = {
  name: "ActionCard",
  category: "molecules",
  slots: y,
  css: z,
  vue: A,
  react: P,
  web: g,
  react_native: g
};
export {
  I as ActionCard,
  y as zActionCardSlots
};