import { customPropsToStyle as $, $attr as c, $slot as n, $vueSlot as o, $reactSub as u, $reactChildren as m } from "./_shared/Render.js";
import { html as e } from "./_shared/Code.js";
const l = ["content", "confirm-text"];
function f(t) {
  return e`
    <div 
      .z-alert=${t.config || ""}
      .icon=${t.icon || void 0} 
      .style=${$(t, "alert")}
    >
      <p>${t.content}</p>
      ${t["confirm-text"] ? e`<button>${t["confirm-text"]}</button>` : ""}
      ${t["hide-close"] ? "" : e`<button></button>`}
    </div>
  `;
}
function i(t) {
  return e`
    <z-alert
      .config=${t.config || void 0}
      .content=${c("content", t)}      
      .confirm-text=${c("confirm-text", t)}
      .icon=${t.icon}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
      ?hide-close=${t["hide-close"]}
    >
      ${n("content", t)}
      ${n("confirm-text", t)}
    </z-alert>
  `;
}
function r(t) {
  return e`
    <vue-alert
      .config=${t.config || void 0}
      .content=${c("content", t)}
      .confirm-text=${c("confirm-text", t)}
      .icon=${t.icon}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
      ?hide-close=${t["hide-close"]}
    >
      ${o("content", t)}
      ${o("confirm-text", t)}
    </vue-alert>
  `;
}
function a(t) {
  return e`
    <react-alert
      .config=${t.config || void 0}
      .content=${c("content", t)}
      .confirm-text=${u("confirm-text", t)}
      .icon=${t.icon}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
      ?hide-close=${t["hide-close"]}
    >
      ${m(t)}
    </react-alert>
  `;
}
const v = {
  name: "Alert",
  category: "molecules",
  slots: l,
  css: f,
  vue: r,
  react: a,
  web: i,
  react_native: i
};
export {
  v as Alert,
  l as zAlertSlots
};