import { customPropsToStyle as l, $complexAttr as a } from "./_shared/Render.js";
import { html as c } from "./_shared/Code.js";
import { Profile as f } from "./Profile.js";
const m = [];
function n(t) {
  var e;
  return c`
    <div 
      .z-avatar-list=${t.config || ""}
      .style=${l(t, "avatar-list")}
    >
      ${(e = t.profiles) == null ? void 0 : e.map((i) => f.css(i))}
    </div>
  `;
}
function s(t) {
  var e, i;
  return c`
    <z-avatar-list 
      .config=${t.config}
      .profiles=${a("profiles", t)}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${((e = t.slotted) == null ? void 0 : e.profiles) && ((i = t.profiles) == null ? void 0 : i.map((o, r) => c`
        <z-profile 
          .image-src=${o["image-src"]}
          .config=${r + 1 !== o.color ? o.color : void 0}
        >
          ${o.content}
        </z-profile>`))}
    </z-avatar-list>
  `;
}
function u(t) {
  var e, i;
  return c`
    <vue-avatar-list
      .config=${t.config}
      .profiles=${a("profiles", t)}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${((e = t.slotted) == null ? void 0 : e.profiles) && ((i = t.profiles) == null ? void 0 : i.map((o, r) => c`
        <vue-profile
          .image-src=${o["image-src"]}
          .config=${r + 1 !== o.color ? o.color : void 0}
        >
          ${o.content}
        </vue-profile>`))}
    </vue-avatar-list>
  `;
}
function $(t) {
  var e, i;
  return c`
    <react-avatar-list
      .config=${t.config}
      .profiles=${a("profiles", t)}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${((e = t.slotted) == null ? void 0 : e.profiles) && ((i = t.profiles) == null ? void 0 : i.map((o, r) => c`
        <react-profile
          .image-src=${o["image-src"]}
          .config=${r + 1 !== o.color ? o.color : void 0}
        >
          ${o.content}
        </react-profile>`))}
    </react-avatar-list>
  `;
}
const z = {
  name: "AvatarList",
  category: "molecules",
  slots: m,
  css: n,
  vue: u,
  react: $,
  web: s,
  react_native: s
};
export {
  z as AvatarList,
  m as zAvatarListSlots
};