import { customPropsToStyle as l, $complexAttr as s } from "./_shared/Render.js";
import { html as t } from "./_shared/Code.js";
import { Icon as $ } from "./Icon.js";
import { Link as i } from "./Link.js";
const d = [];
function h(c) {
  var r;
  const m = $.css({ icon: "home:line" }), e = (r = c.crumbs) == null ? void 0 : r.map(({ text: u, to: a }, b) => {
    var n;
    return t`
      <li>
        ${c.crumbs && ((n = c.crumbs) == null ? void 0 : n.length) - 1 === b ? t`<span is-current-page>${u}</span>` : i.css({ href: a, content: !b && c.home ? m : u })}
      </li>`;
  });
  return t`
    <nav 
      z-breadcrumbs 
      aria-label="breadcrumb"
      .style=${l(c, "breadcrumbs")}
    >
      <ol>
        ${e}
      </ol>
   </nav>
  `;
}
function o(c) {
  var m, e;
  return t`
    <z-breadcrumbs 
      .crumbs=${s("crumbs", c)}
      .custom=${c.custom}
      .custom-str=${c["custom-str"]}
      ?home=${c.home} 
    >
      ${((m = c.slotted) == null ? void 0 : m.crumbs) && ((e = c.crumbs) == null ? void 0 : e.map(({ text: r, to: u }) => t`
        <z-link href=${u}>${r} </z-link>`))}
    </z-breadcrumbs>
  `;
}
function f(c) {
  var m, e;
  return t`
    <vue-breadcrumbs
      .crumbs=${s("crumbs", c)}
      .custom=${c.custom}
      .custom-str=${c["custom-str"]}
      ?home=${c.home} 
    >
      ${((m = c.slotted) == null ? void 0 : m.crumbs) && ((e = c.crumbs) == null ? void 0 : e.map(({ text: r, to: u }) => t`
        <vue-link href=${u}>${r} </vue-link>`))}
    </vue-breadcrumbs>
  `;
}
function k(c) {
  var m, e;
  return t`
    <react-breadcrumbs
      .crumbs=${s("crumbs", c)}
      .custom=${c.custom}
      .custom-str=${c["custom-str"]}
      ?home=${c.home} 
    >
      ${((m = c.slotted) == null ? void 0 : m.crumbs) && ((e = c.crumbs) == null ? void 0 : e.map(({ text: r, to: u }) => t`
        <react-link href=${u}>${r}</react-link>`))}
    </react-breadcrumbs>
  `;
}
const y = {
  name: "Breadcrumbs",
  category: "molecules",
  slots: d,
  css: h,
  vue: f,
  react: k,
  web: o,
  react_native: o
};
export {
  y as Breadcrumbs,
  d as zBreadcrumbsSlots
};