import { customPropsToStyle as c, $attr as t, $slot as a, $reactSub as n } from "./_shared/Render.js";
import { html as l } from "./_shared/Code.js";
import { zInputSlots as $ } from "./_Input.js";
const d = $;
function u(e) {
  return l`
    <label 
      .z-color-input=${e.config || ""}
      .style=${c(e, "color-input")}
    >
      <span>${e.label}</span>
      ${e["help-text"] ? l`<small>${e["help-text"]}</small>` : ""}
      <input 
        type="color"
        .placeholder=${e.placeholder || e.label}
        .name=${e.name || "z-color-input"}
        ?disabled=${e.disabled}
        ?required=${e.required}
        ?readonly=${e.readonly}
        .autocomplete=${e.autocomplete}
      />
    </label>
  `;
}
function i(e) {
  return l`
    <z-color-input
      .config=${e.config}
      .label=${t("label", e)}     
      .name=${e.name}
      .placeholder=${e.placeholder}
      .help-text=${t("help-text", e)}
      ?invalid=${e.invalid}
      ?disabled=${e.disabled}
      ?required=${e.required}
      ?readonly=${e.readonly}
      .autocomplete=${e.autocomplete}
    >
      ${a("label", e)}
      ${a("help-text", e)}
    </z-color-input>
  `;
}
function o(e) {
  return l`
    <vue-color-input
      .config=${e.config}
      .label=${t("label", e)}     
      .name=${e.name}
      .placeholder=${e.placeholder}
      .help-text=${t("help-text", e)}
      ?invalid=${e.invalid}
      ?disabled=${e.disabled}
      ?required=${e.required}
      ?readonly=${e.readonly}
      .autocomplete=${e.autocomplete}
    >
      ${a("label", e)}
      ${a("help-text", e)}
    </vue-color-input>
  `;
}
function m(e) {
  return l`
    <react-color-input
      .config=${e.config}
      .label=${n("label", e)}     
      .name=${e.name}
      .placeholder=${e.placeholder}
      .help-text=${n("help-text", e)}
      ?invalid=${e.invalid}
      ?disabled=${e.disabled}
      ?required=${e.required}
      ?readonly=${e.readonly}
      .autocomplete=${e.autocomplete}
    >
    </react-color-input>
  `;
}
const f = {
  name: "ColorInput",
  category: "inputs",
  slots: d,
  css: u,
  vue: o,
  react: m,
  web: i,
  react_native: i
};
export {
  f as ColorInput,
  d as zColorInputSlots
};