import { customPropsToStyle as c, $attr as o, $slot as n, $vueSlot as r, $reactSub as u } from "./_shared/Render.js";
import { html as e } from "./_shared/Code.js";
const a = ["caption"];
function f(t) {
  return e`
    <figure 
      .z-figure=${""}
      .style=${c(t, "accordion")}
    >
      ${t.caption ? e`<figcaption>${t.caption}</figcaption>` : ""}
    </figure>
  `;
}
function i(t) {
  return e`
    <z-figure
      .caption=${o("caption", t)}
    >
      ${n("caption", t)}
    </z-figure>
  `;
}
function g(t) {
  return e`
    <vue-figure
      .caption=${o("caption", t)}
    >
      ${r("caption", t)}
    </vue-figure>
  `;
}
function $(t) {
  return e`
    <react-figure
      .caption=${u("caption", t)}
    ></react-figure>
  `;
}
const s = {
  name: "Figure",
  category: "layouts",
  slots: a,
  css: f,
  vue: g,
  react: $,
  web: i,
  react_native: i
};
export {
  s as Figure,
  a as zFigureSlots
};