import { customPropsToStyle as o } from "./_shared/Render.js";
import { html as t } from "./_shared/Code.js";
const i = [];
function e(c) {
  return t`
    <i 
      .z-icon=${c.config || ""}
      .icon=${c.icon} 
      .style=${o(c, "icon")}
    ></i>
  `;
}
function n(c) {
  return t`
    <z-icon 
      .icon=${c.icon} 
      .config=${c.config}
      .style=${c.style}
      .custom=${c.custom}
      .custom-str=${c["custom-str"]}
    ></z-icon>
  `;
}
function u(c) {
  return t`
    <vue-icon 
      .icon=${c.icon} 
      .config=${c.config}
      .style=${c.style}
      .custom=${c.custom}
      .custom-str=${c["custom-str"]}
    ></vue-icon>
  `;
}
function s(c) {
  return t`
    <react-icon 
      .icon=${c.icon} 
      .config=${c.config}
      .style=${c.style}
      .custom=${c.custom}
      .custom-str=${c["custom-str"]}
    ></react-icon>
  `;
}
const f = {
  name: "Icon",
  category: "atoms",
  slots: i,
  css: e,
  vue: u,
  react: s,
  web: n,
  react_native: n
};
export {
  f as Icon,
  i as zIconSlots
};