import { customPropsToStyle as $, $attr as r, $slot as m, $vueSlot as g, $reactSub as s } from "./_shared/Render.js";
import { html as u } from "./_shared/Code.js";
import { Button as i } from "./Button.js";
import { TextInput as c } from "./TextInput.js";
const a = ["legend"];
function f(t) {
  const n = t.inputs && new Array(t.inputs).fill("").map((o, e) => c.css({ label: `Text input ${e + 1}` }));
  return u`
    <fieldset
      .z-input-group=${t.config || ""}
      .style=${$(t, "input-group")}
    >
      ${t.legend ? u`<legend>${t.legend}</legend>` : ""}
      ${n}
      ${t.withButton && i.css({ content: "Submit" }) || ""}
    </fieldset>`;
}
function l(t) {
  const n = t.inputs && new Array(t.inputs).fill("").map((o, e) => c.web({ label: `Text input ${e + 1}` }));
  return u`
  <z-input-group
    .config=${t.config}
    .legend=${r("legend", t)}
    .custom=${t.custom}
    .custom-str=${t["custom-str"]}
  >
    ${m("legend", t)}
    ${n}
    ${t.withButton && i.web({ content: "Submit" }) || ""}
  </z-input-group>`;
}
function d(t) {
  const n = t.inputs && new Array(t.inputs).fill("").map((o, e) => c.vue({ label: `Text input ${e + 1}` }));
  return u`
  <vue-input-group
    .config=${t.config}
    .custom=${t.custom}
    .legend=${r("legend", t)}
    .custom-str=${t["custom-str"]}
  >
    ${g("legend", t)}
    ${n}
    ${t.withButton && i.vue({ content: "Submit" }) || ""}
  </vue-input-group>`;
}
function b(t) {
  const n = t.inputs && new Array(t.inputs).fill("").map((o, e) => c.react({ label: `Text input ${e + 1}` }));
  return u`
  <react-input-group
    .config=${t.config}
    .custom=${t.custom}
    .legend=${s("legend", t)}
    .custom-str=${t["custom-str"]}
  >
    ${n}
    ${t.withButton && i.react({ content: "Submit" }) || ""}
  </react-input-group>`;
}
const v = {
  name: "InputGroup",
  category: "layouts",
  slots: a,
  css: f,
  vue: d,
  react: b,
  web: l,
  react_native: l
};
export {
  v as InputGroup,
  a as zInputGroupSlots
};