import { customPropsToStyle as n, $attr as t, $slot as i } from "./_shared/Render.js";
import { html as l } from "./_shared/Code.js";
import { zInputSlots as u } from "./_Input.js";
const $ = u;
function d(e) {
  return l`
  <label 
    .z-file-input=${e.config || ""}
    .style=${n(e, "file-input")}
  >
    <span>${e.label}</span>
    ${e["help-text"] ? l`<small>${e["help-text"]}</small>` : ""}
    <input 
      type="file"
      .placeholder=${e.placeholder || e.label}
      .name=${e.name || "z-file-input"}
      ?disabled=${e.disabled}
      ?required=${e.required}
      ?readonly=${e.readonly}
      .autocomplete=${e.autocomplete}
    />
  </label>
  `;
}
function a(e) {
  return l`
    <z-multi-file-input
      .config=${e.config}
      .label=${t("label", e)}     
      .name=${e.name}
      .placeholder=${e.placeholder}
      .help-text=${t("help-text", e)}
      ?invalid=${e.invalid}
      ?disabled=${e.disabled}
      ?required=${e.required}
      ?readonly=${e.readonly}
      .autocomplete=${e.autocomplete}
    >
      ${i("label", e)}
      ${i("help-text", e)}
    </z-multi-file-input>
  `;
}
const f = {
  name: "MultiFileInput",
  category: "inputs",
  slots: $,
  css: d,
  web: a,
  react_native: a
};
export {
  f as MultiFileInput,
  $ as zMultiFileInputSlots
};