import { customPropsToStyle as o, $attr as c, $slot as i, $vueSlot as u, $reactChildren as s } from "./_shared/Render.js";
import { html as e } from "./_shared/Code.js";
const a = ["content", "image-src"];
function $(t) {
  return e`
    <div 
      .z-profile=${t.config || ""} 
      .status=${t.status}
      .style=${o(t, "profile")}
    >
    ${t["image-src"] ? e`
      <img .src=${t["image-src"]} .alt=${t.content || "John Doe"} loading="lazy"/>` : t.content || ""}
    </div>
  `;
}
function n(t) {
  return e`
    <z-profile
      .config=${t.config}
      .image-src=${t["image-src"]}
      .status=${t.status}
      .content=${c("content", t)}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${i("content", t)}
    </z-profile>`;
}
function m(t) {
  return e`
    <vue-profile
      .config=${t.config}
      .image-src=${t["image-src"]}
      .status=${t.status}
      .content=${c("content", t)}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${u("content", t)}
    </vue-profile>`;
}
function r(t) {
  return e`
    <react-profile
      .config=${t.config}
      .image-src=${t["image-src"]}
      .status=${t.status}
      .content=${c("content", t)}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${s(t)}
    </react-profile>`;
}
const g = {
  name: "Profile",
  category: "atoms",
  slots: a,
  css: $,
  vue: m,
  react: r,
  web: n,
  react_native: n
};
export {
  g as Profile,
  a as zProfileSlots
};