import { customPropsToStyle as l } from "./_shared/Render.js";
import { html as a } from "./_shared/Code.js";
const r = [];
function c(e) {
  var n, i, d;
  const t = (n = e.model) == null ? void 0 : n.toFixed(1);
  return e.readonly ? a`
    <label .rating-score=${e.readonly ? t : void 0}>
      <div 
        z-rating
        .style=${l(e, "rating")}
      >
        <input
          type="range"
          min="0"
          max="5"
          step="0.5"
          readonly
          .value=${(i = e.model) == null ? void 0 : i.toString()}
          ?disabled=${e.disabled}
        />
      </div>
    </label>
  ` : a`
    <label .rating-score=${e["show-score"] ? t : void 0}>
      <div 
        z-rating
        .style=${l(e, "rating")}
      >
        <input
          type="range"
          min="0"
          max="5"
          step="0.5"
          .value=${(d = e.model) == null ? void 0 : d.toString()}
          ?disabled=${e.disabled}
        />
      </div>
    </label>
  `;
}
function o(e) {
  var t;
  return a`
    <z-rating
      .model=${(t = e.model) == null ? void 0 : t.toFixed(1)}
      ?readonly=${e.readonly}
      ?disabled=${e.disabled}
      ?show-score=${e["show-score"]}
    >
    </z-rating>
  `;
}
function s(e) {
  var t;
  return a`
    <vue-rating
      .model=${(t = e.model) == null ? void 0 : t.toFixed(1)}
      ?readonly=${e.readonly}
      ?disabled=${e.disabled}
      ?show-score=${e["show-score"]}
    >
    </vue-rating>
  `;
}
function g(e) {
  var t;
  return a`
    <react-rating
      .model=${(t = e.model) == null ? void 0 : t.toFixed(1)}
      ?readonly=${e.readonly}
      ?disabled=${e.disabled}
      ?show-score=${e["show-score"]}
    >
    </react-rating>
  `;
}
const $ = {
  name: "Rating",
  category: "inputs",
  slots: r,
  css: c,
  vue: s,
  react: g,
  web: o,
  react_native: o
};
export {
  $ as Rating,
  r as zRatingSlots
};