import { html as e } from "./_shared/Code.js";
const c = ["content"];
function o(t) {
  return e`
    <aside .z-sidebar=${t.config || ""} ?open=${t.model || t.open}>
      ${t.content}
    </aside>
  `;
}
function n(t) {
  return e`
    <z-sidebar 
      .config=${t.config} 
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
      ?open=${t.model || t.open}
    >
      ${t.content}
    </z-sidebar>
  `;
}
function i(t) {
  return e`
    <vue-sidebar 
      .config=${t.config} 
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
      ?open=${t.model || t.open}
    >
      ${t.content}
    </vue-sidebar>
  `;
}
function u(t) {
  return e`
    <react-sidebar 
      .config=${t.config} 
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
      ?open=${t.model || t.open}
    >
      ${t.content}
    </react-sidebar>
  `;
}
const m = {
  name: "Sidebar",
  category: "layouts",
  slots: c,
  css: o,
  vue: i,
  react: u,
  web: n,
  react_native: n
};
export {
  m as Sidebar,
  c as zSidebarSlots
};