import { customPropsToStyle as r } from "./_shared/Render.js";
import { html as s } from "./_shared/Code.js";
import { Icon as m } from "./Icon.js";
const i = [];
function u(t) {
  var n, o;
  const l = (n = t.tabs) == null ? void 0 : n.map((e, a) => s`
      <label role="tab" key="${a}" id="tab-${a}" aria-controls="tabpanel-${a}">
        ${e.icon ? m.css({ icon: e.icon }) : ""}
        <span>${e.name}</span>    
        <input 
          name="tabset" 
          type="radio" 
          .value=${(a + 1).toFixed()} 
          ?disabled=${e.disabled}
        />
      </label>
    `), c = (o = t.tabs) == null ? void 0 : o.map((e, a) => s`
      <article role="tabpanel" key="${a}" id="tabpanel-${a}" aria-labelledby="tab-${a}">
        ${e.content}
      </article>
    `);
  return s`
    <section 
      z-tabs
      .style=${r(t, "tabs")}
    >
      <nav aria-labeledby="tablist-1" role="tablist" tab-index="1">
        ${l}
      </nav>
      <main>
        ${c}
      </main> 
    </section>
  `;
}
function b(t) {
  return s`
    <z-tabs
      .tabs=${t.tabs}
      .model=${t.model}
      .custom-str=${t["custom-str"]}
    >
    </z-tabs>
  `;
}
function $(t) {
  return s`
    <vue-tabs
      .tabs=${t.tabs}
      .model=${t.model}
      .custom-str=${t["custom-str"]}
    >
    </vue-tabs>
  `;
}
function d(t) {
  return s`
    <react-tabs
      .tabs=${t.tabs}
      .model=${t.model}
      .custom-str=${t["custom-str"]}
    >
    </react-tabs>
  `;
}
const z = {
  name: "Tabs",
  category: "layouts",
  slots: i,
  css: u,
  vue: $,
  react: d,
  web: b,
  react_native: b
};
export {
  z as Tabs,
  i as zTabsSlots
};