import { customPropsToStyle as o, $attr as n, $slot as m, $vueSlot as s, $reactChildren as a } from "./_shared/Render.js";
import { html as c } from "./_shared/Code.js";
const i = ["content", "timestamp"];
function u(t) {
  return c`
    <div
      .z-toast=${t.config || ""}
      .timestamp=${t.timestamp}
      .style=${o(t, "toast")}
    >
      ${t.content}
    </div>
  `;
}
function e(t) {
  return c`
    <z-toast
      .config=${t.config}
      .content=${n("content", t)}
      .timestamp=${t.timestamp}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${m("content", t)}
    </z-toast>
  `;
}
function $(t) {
  return c`
    <vue-toast
      .config=${t.config}
      .content=${n("content", t)}
      .timestamp=${t.timestamp}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${s("content", t)}
    </vue-toast>
  `;
}
function f(t) {
  return c`
    <react-toast
      .config=${t.config}
      .content=${n("content", t)}
      .timestamp=${t.timestamp}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${a(t)}
    </react-toast>
  `;
}
const l = {
  name: "Toast",
  category: "atoms",
  slots: i,
  css: u,
  vue: $,
  react: f,
  web: e,
  react_native: e
};
export {
  l as Toast,
  i as zToastSlots
};