import { customPropsToStyle as n, $attr as c, $slot as i, $vueSlot as u, $reactChildren as $ } from "./_shared/Render.js";
import { html as o } from "./_shared/Code.js";
const m = ["content"];
function l(t) {
  return o`
    <em 
      .z-tooltip=${t.config || ""} 
      .tooltip-text=${t.text}
      .style=${n(t, "tooltip")}
    >
      ${t.content}
    </em>
  `;
}
function e(t) {
  return o`
    <z-tooltip
      .config=${t.config}
      .text=${t.text}
      .content=${c("content", t)}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${i("content", t)}
    </z-tooltip>
  `;
}
function f(t) {
  return o`
    <vue-tooltip
      .config=${t.config}
      .text=${t.text}
      .content=${c("content", t)}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${u("content", t)}
    </vue-tooltip>
  `;
}
function s(t) {
  return o`
    <react-tooltip
      .config=${t.config}
      .text=${t.text}
      .content=${c("content", t)}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${$(t)}
    </react-tooltip>
  `;
}
const x = {
  name: "Tooltip",
  category: "atoms",
  slots: m,
  css: l,
  vue: f,
  react: s,
  web: e,
  react_native: e
};
export {
  x as Tooltip,
  m as zTooltipSlots
};