import { isISODate as a, isMonthFormat as o, isWeekFormat as c, isISODateTime as s } from "./Date.casters.js";
function l(t, e) {
  return Math.ceil(Math.abs(t.getTime() - e.getTime()) / 864e5);
}
function D() {
  return i(/* @__PURE__ */ new Date());
}
function d(t, e) {
  return S(/* @__PURE__ */ new Date(), t, e);
}
function i(t) {
  return t.toISOString().split("T")[0];
}
function T(t) {
  const [e, n, r] = t.split("/");
  return `${r}-${e.padStart(2, "0")}-${n.padStart(2, "0")}`;
}
function h(t) {
  return t.toISOString();
}
function u(t) {
  const e = new Date(Date.UTC(t.getFullYear(), t.getMonth(), t.getDate()));
  e.setUTCDate(e.getUTCDate() + 4 - (e.getUTCDay() || 7));
  const n = new Date(Date.UTC(e.getUTCFullYear(), 0, 1));
  return Math.ceil(((e.getTime() - n.getTime()) / 864e5 + 1) / 7);
}
function g(t) {
  return `${t.getFullYear()}-W${u(t)}`;
}
function m(t) {
  return t.toISOString().split("-").slice(0, 2).join("-");
}
function O(t) {
  return t.toISOString().split("T")[1].slice(0, -1);
}
function k(t, e = "date") {
  switch (e) {
    case "datetime-local":
      if (s(t)) return t;
      break;
    case "week":
      if (c(t)) return t;
      break;
    case "month":
      if (o(t)) return t;
      break;
    case "date":
      if (a(t)) return t;
      break;
  }
  let n = new Date(t);
  switch (isNaN(n.valueOf()) && (console.error(`"${t}" is not a valid date. Using today's date instead.`), n = /* @__PURE__ */ new Date()), e) {
    case "datetime-local":
      return n.toISOString();
    case "week":
      return g(n);
    case "month":
      return m(n);
    case "date":
      return i(n);
  }
}
function S(t, e, n) {
  const r = { hour: "2-digit", minute: "2-digit" };
  return n && (r.second = "2-digit"), t.toLocaleTimeString(e || [], r);
}
function p(t, e, n = "long") {
  return t.toLocaleDateString(e || [], { weekday: n });
}
function w(t, e, n = "long") {
  return t.toLocaleDateString(e, { month: n });
}
export {
  l as daysDiff,
  p as getDayName,
  m as getMonthFormat,
  w as getMonthName,
  g as getWeekFormat,
  u as getWeekNumber,
  k as parseDateToHTMLFormat,
  T as parseUSDateToISODate,
  d as timeStamp,
  S as toClockTime,
  i as toISODate,
  h as toISOStringDate,
  O as toISOTime,
  D as today
};