import { help } from './helpText';
import * as printers from './helpers';
export declare const ZDS_WEB_TOOLS: {
    listCSSComponents(tag?: string): Element[];
    listWebComponents(prefix?: `${string}-`): Element[];
    listAngularComponents(): Element[];
    listCSSComponent(component: `z-${string}`): Element[];
    reportCSSComponents(tag?: string | undefined): void;
    reportCSSComponent(component: `z-${string}`): void;
    reportWebComponents(): void;
    /** */
    print: typeof printers.print;
    printCodeBlock: typeof printers.printCodeBlock;
    printImage: typeof printers.printImage;
    /** */
    help: typeof help;
};
