"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const e=require("./_shared/Render.js"),c=require("./_shared/Code.js"),d=require("./Button.js"),h=require("./Pictogram.js"),_=require("./Tag.js"),$=["content","header","pre-line","image-src","actions","action-button"];function v(t){var o;const{actionIcon:l,actionButton:g,pictogram:r}=t,s=t["image-src"]?c.html`<img .src=${t["image-src"]} alt="Action card image"/>`:"",a=((o=t.tags)==null?void 0:o.map(i=>_.Tag.css(typeof i=="string"?{content:i}:i)))||"",n=(a.length===0||a===void 0)&&t["pre-line"],u=g?d.Button.css({config:"link",icon:l||"edit:line"}):"";return c.html`
    <article 
      z-action-card
      .style=${e.customPropsToStyle(t,"action-card")}
    >
      ${u}
      ${r?h.Pictogram.css({pictogram:r}):s}
      <main>
        ${n||a.length>0?c.html`<div>`:""}
        ${n?c.html`<small>${t["pre-line"]}</small>`:a}
        ${n||a.length>0?c.html`</div>`:""}
        <h3>${t.header}</h3>
        ${t.content?c.html`<p>${t.content}</p>`:""}
      </main>
    </article>
  `}function m(t){return c.html`
    <z-action-card
      .header=${e.$attr("header",t)}
      .content=${e.$attr("content",t)}
      .image-src=${t["image-src"]}
      .image-alt=${t["image-alt"]}
      .pictogram=${t.pictogram}
      .tags=${t.tags}
      .pre-line=${t["pre-line"]}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${e.$slot("header",t)}
      ${e.$slot("content",t)}
    </z-action-card>
  `}function S(t){return c.html`
    <vue-action-card
      .header=${e.$attr("header",t)}
      .content=${e.$attr("content",t)}
      .image-src=${t["image-src"]}
      .image-alt=${t["image-alt"]}
      .pictogram=${t.pictogram}
      .tags=${t.tags}
      .pre-line=${t["pre-line"]}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${e.$vueSlot("header",t)}
      ${e.$vueSlot("content",t)}
    </vue-action-card>
  `}function C(t){return c.html`
    <react-action-card
      .header=${e.$reactSub("header",t)}
      .content=${e.$attr("content",t)}
      .image-src=${t["image-src"]}
      .image-alt=${t["image-alt"]}
      .pictogram=${t.pictogram}
      .tags=${t.tags}
      .pre-line=${t["pre-line"]}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${e.$reactChildren(t)}
    </react-action-card>
  `}const b={name:"ActionCard",category:"molecules",slots:$,css:v,vue:S,react:C,web:m,react_native:m};exports.ActionCard=b;exports.zActionCardSlots=$;
