"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const t=require("./_shared/Render.js"),a=require("./_shared/Code.js"),i=require("./SafeSpace.js"),m=require("./Shape.js"),g=["content","header","image-src","actions"];function $(e){var n;const c=(n=e.shape)==null?void 0:n.split(":")[0];return a.html` 
    <section 
      .z-image-stage=${e.config||""}
      .style=${t.customPropsToStyle(e,"stage")}
    >
      <main>
        <h1>${e.header}</slot></h1>
        ${e.content}
      </main>

      <aside>
        ${i.SafeSpace.css({config:"4","image-src":e["image-src"]})}
        ${c&&m.Shape.css({shape:c})}
      </aside>
    </section>
  `}function s(e){return a.html`
    <z-image-stage
      .config=${e.config}
      .header=${t.$attr("header",e)}
      .image-src=${e["image-src"]}
      .shape=${e.shape}
      .content=${t.$attr("content",e)}
      .custom=${e.custom}
      .custom-str=${e["custom-str"]}  
    >
      ${t.$slot("content",e)}
      ${t.$slot("header",e)}
    </z-image-stage>
  `}function o(e){return a.html`
    <vue-image-stage
      .config=${e.config}
      .header=${t.$attr("header",e)}
      .image-src=${e["image-src"]}
      .shape=${e.shape}
      .content=${t.$attr("content",e)}
      .custom=${e.custom}
      .custom-str=${e["custom-str"]}
    >
      ${t.$vueSlot("content",e)}
      ${t.$vueSlot("header",e)}
    </vue-image-stage>
  `}function u(e){return a.html`
    <react-image-stage
      .config=${e.config}
      .header=${t.$reactSub("header",e)}
      .image-src=${e["image-src"]}
      .shape=${e.shape}
      .content=${t.$attr("content",e)}
      .custom=${e.custom}
      .custom-str=${e["custom-str"]}
    >
      ${t.$reactChildren(e)}
    </react-image-stage>
  `}const r={name:"ImageStage",category:"molecules",slots:g,css:$,vue:o,react:u,web:s,react_native:s};exports.ImageStage=r;exports.zImageStageSlots=g;
