"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const t=require("./_shared/Render.js"),c=require("./_shared/Code.js"),m=require("./Shape.js"),r=["content","header","category","image-src","actions"];function i(e){var a;if(typeof e["image-src"]=="function")throw new Error("Cannot render a function as an image source");const o=(a=e.shape)==null?void 0:a.split(":")[0];return c.html`
    <section 
      .z-promo=${e.config||""}
      .style=${t.customPropsToStyle(e,"promo")}
    >
      <aside>
        <picture z-image>
          <img .src=${e["image-src"]} alt="Promo image" /> 
        </picture>
        ${o?m.Shape.css({shape:o}):""}
      </aside>

      <main>
        ${e.header?c.html`<h6>${e.category}</h6>`:""}
        ${e.header?c.html`<h2>${e.header}</h2>`:""}

        ${e.content}
      </main>
    </section>
  `}function n(e){return c.html`
    <z-promo
      .header=${t.$attr("header",e)}
      .image-src=${e["image-src"]}
      .config=${e.config}
      .category=${e.category}
      .shape=${e.shape}
      .content=${t.$attr("content",e)}
      .custom=${e.custom}
      .custom-str=${e["custom-str"]}
    >
      ${t.$slot("content",e)}
    </z-promo>
  `}function $(e){return c.html`
    <vue-promo
      .header=${t.$attr("header",e)}
      .image-src=${e["image-src"]}
      .config=${e.config}
      .category=${e.category}
      .shape=${e.shape}
      .content=${t.$attr("content",e)}
      .custom=${e.custom}
      .custom-str=${e["custom-str"]}
    >
      ${t.$vueSlot("content",e)}
    </vue-promo>
  `}function u(e){return c.html`
    <react-promo
      .header=${t.$reactSub("header",e)}
      .image-src=${e["image-src"]}
      .config=${e.config}
      .category=${e.category}
      .shape=${e.shape}
      .content=${t.$attr("content",e)}
      .custom=${e.custom}
      .custom-str=${e["custom-str"]}
    >
      ${t.$reactChildren(e)}
    </react-promo>
  `}const s={name:"Promo",category:"molecules",slots:r,css:i,vue:$,react:u,web:n,react_native:n};exports.Promo=s;exports.zPromoSlots=r;
