"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const t=require("./_shared/Render.js"),c=require("./_shared/Code.js"),o=require("./SafeSpace.js"),i=require("./Shape.js"),$=["content","header","image-src"];function u(e){var n;const a=(n=e.shape)==null?void 0:n.split(":")[0];return c.html` 
    <section 
      .z-stage=${e.config||""}
      .style=${t.customPropsToStyle(e,"stage")}
    >
      <main>
        <h1>${e.header}</slot></h1>
        ${e.content}
      </main>

      <aside>
        ${o.SafeSpace.css({config:"4","image-src":e["image-src"]})}
        ${a&&i.Shape.css({shape:a})}
      </aside>
    </section>
  `}function s(e){return c.html`
    <z-stage
      .config=${e.config}
      .header=${t.$attr("header",e)}
      .image-src=${e["image-src"]}
      .shape=${e.shape}
      .content=${t.$attr("content",e)}
      ?no-safe-space=${e["no-safe-space"]}
      .custom=${e.custom}
      .custom-str=${e["custom-str"]}  
    >
      ${t.$slot("content",e)}
      ${t.$slot("header",e)}
    </z-stage>
  `}function g(e){return c.html`
    <vue-stage
      .config=${e.config}
      .header=${t.$attr("header",e)}
      .image-src=${e["image-src"]}
      .shape=${e.shape}
      .content=${t.$attr("content",e)}
      .custom=${e.custom}
      .custom-str=${e["custom-str"]}
    >
      ${t.$vueSlot("content",e)}
      ${t.$vueSlot("header",e)}
    </vue-stage>
  `}function r(e){return c.html`
    <react-stage
      .config=${e.config}
      .header=${t.$reactSub("header",e)}
      .image-src=${e["image-src"]}
      .shape=${e.shape}
      .content=${t.$attr("content",e)}
      .custom=${e.custom}
      .custom-str=${e["custom-str"]}
    >
      ${t.$reactChildren(e)}
    </react-stage>
  `}const m={name:"Stage",category:"molecules",slots:$,css:u,vue:g,react:r,web:s,react_native:s};exports.Stage=m;exports.zStageSlots=$;
