"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const t=require("./_shared/Render.js"),a=require("./_shared/Code.js"),c=require("./_Input.js"),$=c.zInputSlots;function d(e){var l;if(typeof e.label=="function")throw new Error("Cannot render a function as a label");return a.html`
    <label 
      .z-textarea=${e.config||""}
      .style=${t.customPropsToStyle(e,"textarea")}
    >
      <span>${e.label}</span>
      ${e["help-text"]?a.html`<small>${e["help-text"]}</small>`:""}
      <textarea
        .placeholder=${e.placeholder||e.label}
        .name=${e.name||"z-textarea"}
        .pattern=${e.pattern}
        .autocomplete=${e.autocomplete}
        ?disabled=${e.disabled}
        ?required=${e.required}
        ?readonly=${e.readonly}
        ?elastic=${e.elastic}
      >${e.model||""}</textarea>
      ${e["max-length"]?a.html`<output>${((l=e.model)==null?void 0:l.length)||0} / ${e["max-length"]}</output>`:""}
    </label>
  `}function n(e){return a.html`
    <z-textarea
      .config=${e.config}
      .label=${t.$attr("label",e)}     
      .name=${e.name}
      .placeholder=${e.placeholder}
      .max-length=${e["max-length"]}
      .help-text=${t.$attr("help-text",e)}
      .pattern=${e.pattern}
      .autocomplete=${e.autocomplete}
      ?invalid=${e.invalid}
      ?disabled=${e.disabled}
      ?required=${e.required}
      ?readonly=${e.readonly}
      ?elastic=${e.elastic}
      .autocomplete=${e.autocomplete}
    >
      ${t.$slot("label",e)}
      ${t.$slot("help-text",e)}
    </z-textarea>
  `}function i(e){return a.html`
    <vue-textarea
      .config=${e.config}
      .label=${t.$attr("label",e)}     
      .name=${e.name}
      .placeholder=${e.placeholder}
      .max-length=${e["max-length"]}
      .help-text=${t.$attr("help-text",e)}
      .pattern=${e.pattern}
      .autocomplete=${e.autocomplete}
      ?invalid=${e.invalid}
      ?disabled=${e.disabled}
      ?required=${e.required}
      ?readonly=${e.readonly}
      ?elastic=${e.elastic}
      .autocomplete=${e.autocomplete}
    >
      ${t.$vueSlot("label",e)}
      ${t.$vueSlot("help-text",e)}
    </vue-textarea>
  `}function u(e){return a.html`
    <react-textarea
      .config=${e.config}
      .label=${t.$reactSub("label",e)}     
      .name=${e.name}
      .placeholder=${e.placeholder}
      .max-length=${e["max-length"]}
      .help-text=${t.$reactSub("help-text",e)}
      .pattern=${e.pattern}
      .autocomplete=${e.autocomplete}
      ?invalid=${e.invalid}
      ?disabled=${e.disabled}
      ?required=${e.required}
      ?readonly=${e.readonly}
      ?elastic=${e.elastic}
      .autocomplete=${e.autocomplete}
    >
    </react-textarea>
  `}const m={name:"Textarea",category:"inputs",slots:$,css:d,vue:i,react:u,web:n,react_native:n};exports.Textarea=m;exports.zTextareaSlots=$;
