"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const t=require("./_shared/Render.js"),c=require("./_shared/Code.js"),o=require("./Image.js"),a=["content","header","image-src","actions"];function r(e){if(typeof e["image-src"]=="function")throw new Error("Cannot render a function as an image source");const i=o.Image.css({"image-src":e["image-src"],"image-alt":e["image-alt"]});return c.html`
    <article 
      .z-tile=${e.config||""}
      .style=${t.customPropsToStyle(e,"tile")}
    >
      ${i}
      
      <main>
        ${e.header&&c.html`<header>${e.header}</header>`}
        <p>${e.content}</p>
      </main>

      ${e.actions?c.html`<div>${e.actions}</div>`:""}
    </article>
  `}function n(e){return c.html`
    <z-tile
      .config=${e.config}
      .header=${t.$attr("header",e)}
      .content=${t.$attr("content",e)}
      .custom=${e.custom}
      .custom-str=${e["custom-str"]}
    >
      ${t.$slot("content",e)}
      ${t.$slot("header",e)}
    </z-tile>
  `}function $(e){return c.html`
    <vue-tile
      .config=${e.config}
      .header=${t.$attr("header",e)}
      .content=${t.$attr("content",e)}
      .custom=${e.custom}
      .custom-str=${e["custom-str"]}
    >
      ${t.$vueSlot("header",e)}
      ${t.$vueSlot("content",e)}
    </vue-tile>
  `}function l(e){return c.html`
    <react-tile
      .config=${e.config}
      .header=${t.$reactSub("header",e)}
      .content=${t.$attr("content",e)}
      .custom=${e.custom}
      .custom-str=${e["custom-str"]}
    >
      ${t.$reactChildren(e)}
    </react-tile>
  `}const u={name:"Tile",category:"molecules",slots:a,css:r,web:n,vue:$,react:l,react_native:n};exports.Tile=u;exports.zTileSlots=a;
