"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const t=require("./_shared/Render.js"),l=require("./_shared/Code.js"),u=require("./_Input.js"),$=u.zInputSlots;function m(e){var a;if(typeof e.label=="function")throw new Error("Cannot render a function as a label");const[d,c]=((a=e.range)==null?void 0:a.map(n=>n===null?void 0:n.toString()))||[];return l.html`
    <label 
      .z-time-input=${e.config||""}
      .style=${t.customPropsToStyle(e,"time-input")}
    >
      <span>${e.label}</span>
      ${e["help-text"]?l.html`<small>${e["help-text"]}</small>`:""}
      <input
        type="time"
        .name=${e.name||"z-time-input"}
        .min=${d}
        .max=${c}
        .pattern=${e.pattern}
        ?disabled=${e.disabled}
        ?readonly=${e.readonly}
        ?required=${e.required}
        .autocomplete=${e.autocomplete}
      />
    </label>
  `}function i(e){return l.html`
    <z-time-input
      .config=${e.config}
      .model=${e.model||void 0}
      .label=${t.$attr("label",e)}     
      .name=${e.name}
      .placeholder=${e.placeholder}
      .range=${e.range}
      .help-text=${t.$attr("help-text",e)}
      .autocomplete=${e.autocomplete}
      .with-seconds=${e["with-seconds"]}
      .pattern=${e.pattern}
      .locale=${e.locale}
      ?readonly=${e.readonly}
      ?invalid=${e.invalid}
      ?disabled=${e.disabled}
      ?required=${e.required}
    >
      ${t.$slot("label",e)}
      ${t.$slot("help-text",e)}
    </z-time-input>
  `}function o(e){return l.html`
    <vue-time-input
      .config=${e.config}
      .model=${e.model||void 0}
      .label=${t.$attr("label",e)}     
      .name=${e.name}
      .placeholder=${e.placeholder}
      .range=${e.range}
      .help-text=${t.$attr("help-text",e)}
      .autocomplete=${e.autocomplete}
      .with-seconds=${e["with-seconds"]}
      .pattern=${e.pattern}
      .locale=${e.locale}
      ?readonly=${e.readonly}
      ?invalid=${e.invalid}
      ?disabled=${e.disabled}
      ?required=${e.required}
    >
      ${t.$vueSlot("label",e)}
      ${t.$vueSlot("help-text",e)}
    </vue-time-input>
  `}function h(e){return l.html`
    <react-time-input
      .config=${e.config}
      .model=${e.model||void 0}
      .label=${t.$reactSub("label",e)}     
      .name=${e.name}
      .placeholder=${e.placeholder}
      .range=${e.range}
      .help-text=${t.$reactSub("help-text",e)}
      .autocomplete=${e.autocomplete}
      .with-seconds=${e["with-seconds"]}
      .pattern=${e.pattern}
      .locale=${e.locale}
      ?readonly=${e.readonly}
      ?invalid=${e.invalid}
      ?disabled=${e.disabled}
      ?required=${e.required}
    >
    </react-time-input>
  `}const b={name:"TimeInput",category:"inputs",slots:$,css:m,vue:o,react:h,web:i,react_native:i};exports.TimeInput=b;exports.zTimeInputSlots=$;
