import { CSSStyle, CodeSample } from './_shared';
import { ZAccordionGroup_Props } from './AccordionGroup.props';
export * from './AccordionGroup.props';
export type ZAccordionGroup_CodeProps = Omit<ZAccordionGroup_Props, 'content'> & {
    slotted?: {
        content?: boolean;
    };
    style?: CSSStyle;
};
declare function CSS(props: ZAccordionGroup_CodeProps): CodeSample;
declare function Web(props: ZAccordionGroup_CodeProps): CodeSample;
declare function Vue(props: ZAccordionGroup_CodeProps): CodeSample;
declare function React(props: ZAccordionGroup_CodeProps): CodeSample;
export declare const AccordionGroup: {
    name: string;
    category: "layouts";
    slots: never[];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
