import { BaseComponent, CustomTokens } from './_shared';
export type ZAccordionGroup_Custom = 'width';
export type ZAccordionGroup_Props = BaseComponent & Partial<{
    /** ... */
    readonly config: 'l';
    /** ... */
    readonly accordions: readonly {
        summary: string;
        content: string;
    }[];
    /** ... */
    readonly model: number | null;
    /** */
    readonly custom: CustomTokens<ZAccordionGroup_Custom>;
}>;
export declare const zAccordionGroupSlots: never[];
export type ZAccordionGroup_Slots = (typeof zAccordionGroupSlots)[number];
export type ZAccordionGroup_Events = Partial<{
    readonly change: Required<ZAccordionGroup_Props>['model'];
    readonly restarted: void;
}>;
