import { customPropsToStyle as $, $attr as c, $slot as l, $vueSlot as r, $reactChildren as f } from "./_shared/Render.js";
import { html as n } from "./_shared/Code.js";
const v = ["content"];
function h(t) {
  var o;
  const a = (o = t.elements) == null ? void 0 : o.map((e) => {
    var u;
    if ("section" in e) return n`<span>${e.section}</span>`;
    const s = "items" in e && ((u = e.items) != null && u.length) ? n`
      <ul>
        ${e.items.map((m) => n`<li .icon=${m.icon}><a href="#">${m.text}</a></li>`)}
      </ul>` : "";
    return n`
      <li .icon=${e.icon}>
        ${"items" in e ? n`
          <nav z-action-menu>
            <a href='#'>${e.text}</a>
            ${s}
          </nav>` : n`<a href="#">${e.text}</a>`}
      </li>`;
  });
  return n`
    <nav 
      z-action-menu
      .style=${$(t, "action-menu")}
    >
      <a href='#'>${t.content}</a>

      <ul>        
        ${a}
      </ul>
    </nav>
  `;
}
function i(t) {
  return n`
    <z-action-menu
      .content=${c("content", t)}
      .elements=${t.elements}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${l("content", t)}
    </z-action-menu>
  `;
}
function z(t) {
  return n`
    <vue-action-menu
      .content=${c("content", t)}
      .elements=${t.elements}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${r("content", t)}
    </vue-action-menu>
  `;
}
function S(t) {
  return n`
    <react-action-menu
      .content=${c("content", t)}
      .elements=${t.elements}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${f(t)}
    </react-action-menu>
  `;
}
const A = {
  name: "ActionMenu",
  category: "layouts",
  slots: v,
  css: h,
  vue: z,
  react: S,
  web: i,
  react_native: i
};
export {
  A as ActionMenu,
  v as zActionMenuSlots
};
