import { CodeProps_Slots, CodeSample } from './_shared';
import { ZAlert_Props, ZAlert_Slots } from './Alert.props';
export * from './Alert.props';
export type ZAlert_CodeProps = CodeProps_Slots<ZAlert_Props, ZAlert_Slots>;
declare function CSS(props: ZAlert_CodeProps): CodeSample;
declare function Web(props: ZAlert_CodeProps): CodeSample;
declare function Vue(props: ZAlert_CodeProps): CodeSample;
declare function React(props: ZAlert_CodeProps): CodeSample;
export declare const Alert: {
    name: string;
    category: "molecules";
    slots: ["content", "confirm-text"];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
