import { SizelessIconAttr } from '../data';
import { BaseComponent, CustomTokens } from './_shared';
export type ZAlert_Custom = 'bg' | 'color';
export type ZAlert_Props = BaseComponent & Partial<{
    /** ... */
    readonly config: 'info' | 'positive' | 'negative' | 'alert';
    /** */
    readonly content: string;
    /** */
    readonly 'confirm-text': string;
    /** */
    readonly icon: SizelessIconAttr;
    /** */
    readonly 'hide-close': boolean;
    /** */
    readonly custom: CustomTokens<ZAlert_Custom>;
}>;
export declare const zAlertSlots: ["content", "confirm-text"];
export type ZAlert_Slots = (typeof zAlertSlots)[number];
export type ZAlert_Events = Partial<{
    readonly click: void;
    readonly confirm: void;
    readonly close: void;
}>;
