import { $attr as n, $slot as $, $vueSlot as l, $reactSub as u, $reactChildren as o } from "./_shared/Render.js";
import { html as e } from "./_shared/Code.js";
import { Tag as g } from "./Tag.js";
import { Card as h } from "./Card.js";
const f = ["content", "header", "pre-line", "image-src", "actions"];
function v(t) {
  var i, m;
  if (typeof t["image-src"] == "function")
    throw new Error("Cannot render a function as an image source");
  const c = ((i = t.tags) == null ? void 0 : i.map((a) => g.css(typeof a == "string" ? { content: a } : a))) || "", r = (c.length === 0 || c === void 0) && t["pre-line"], d = e`
    ${t["image-src"] ? e`<img .src=${t["image-src"]} alt="Action card image"/>` : ""}
    <main>
      <div>
       ${r || c.length > 0 ? e`<div>` : ""}
        ${r ? e`<small>${t["pre-line"]}</small>` : c}
        ${r || c.length > 0 ? e`</div>` : ""}
        ${((m = t.tags) == null ? void 0 : m.map((a) => g.css(typeof a == "string" ? { content: a } : a))) || ""}
      </div>
      <header>${t.header}</header>
      ${t.content}
    </main>
  `;
  return h.css({ content: d });
}
function s(t) {
  return e`
    <z-article-card
      .header=${n("header", t)}
      .image-src=${t["image-src"]}
      .image-alt=${t["image-alt"]}
      .content=${n("content", t)}
      .tags=${t.tags}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${$("content", t)}
      ${$("header", t)}
    </z-article-card>
  `;
}
function C(t) {
  return e`
    <vue-article-card
      .header=${n("header", t)}
      .image-src=${t["image-src"]}
      .image-alt=${t["image-alt"]}
      .content=${n("content", t)}
      .tags=${t.tags}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${l("content", t)}
      ${l("header", t)}
    </vue-article-card>
  `;
}
function S(t) {
  return e`
    <react-article-card
      .header=${u("header", t)}
      .image-src=${t["image-src"]}
      .image-alt=${t["image-alt"]}
      .content=${n("content", t)}
      .tags=${t.tags}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${o(t)}
    </react-article-card>
  `;
}
const z = {
  name: "ArticleCard",
  category: "molecules",
  slots: f,
  css: v,
  vue: C,
  react: S,
  web: s,
  react_native: s
};
export {
  z as ArticleCard,
  f as zArticleCardSlots
};
