import { CustomTokens } from './_shared';
import { ZBadge_Props } from './Badge.props';
import { ZProfile_Props } from './Profile.props';
import { DropdownElement } from './ActionMenu.props';
export type ZAvatar_Custom = 'color' | 'bg' | 'size' | 'desc-color';
export type ZAvatar_Props = Omit<ZProfile_Props, 'config'> & Partial<{
    /** ... */
    readonly name: string;
    /** ... */
    readonly content: string;
    /** ... */
    readonly initials: string;
    /** ... */
    readonly config: 'horizontal' | 'vertical' | 'dropdown';
    /** ... */
    readonly badge: ZBadge_Props;
    /** ... */
    readonly 'profile-config': ZProfile_Props['config'];
    /** */
    readonly 'dropdown-elements': DropdownElement[];
    /** */
    readonly custom: CustomTokens<ZAvatar_Custom>;
}>;
export declare const zAvatarSlots: ["content", "name", "image-src"];
export type ZAvatar_Slots = (typeof zAvatarSlots)[number];
export type ZAvatar_Events = {};
