import { BaseComponent, CustomTokens } from './_shared';
import { ZProfile_Color, ZProfile_Props } from './Profile.props';
export type ZAvatarList_Custom = `bg-${1 | 2 | 3 | 4 | 5 | 6}`;
export type ZAvatarList_Props = BaseComponent & Partial<{
    readonly config: 's' | 'm' | 'l';
    /** ... */
    readonly profiles: readonly (Pick<ZProfile_Props, 'image-src' | 'content'> & {
        readonly color?: ZProfile_Color;
    })[];
    /** */
    readonly custom: CustomTokens<ZAvatarList_Custom>;
}>;
export declare const zAvatarListSlots: never[];
export type ZAvatarList_Slots = (typeof zAvatarListSlots)[number];
export type ZAvatarList_Events = {};
