import { customPropsToStyle as $, $attr as c, $slot as i, $vueSlot as l, $reactChildren as o } from "./_shared/Render.js";
import { html as e } from "./_shared/Code.js";
const u = ["content"];
function a(t) {
  return e`
    <div
      .z-badge=${t.config || ""}
      .icon=${t.icon}
      .text=${t.text}
      .fill=${t.fill}
      .style=${$(t, "badge")}
    >
      ${t.content}
    </div>
  `;
}
function n(t) {
  return e`
    <z-badge
      .config=${t.config}
      .icon=${t.icon}
      .text=${t.text}
      .fill=${t.fill}
      .content=${c("content", t)}
      .style=${t.style}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${i("content", t)}
    </z-badge>
  `;
}
function f(t) {
  return e`
    <vue-badge
      .config=${t.config}
      .icon=${t.icon}
      .text=${t.text}
      .fill=${t.fill}
      .content=${c("content", t)}
      .style=${t.style}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${l("content", t)}
    </vue-badge>
  `;
}
function m(t) {
  return e`
    <react-badge
      .config=${t.config}
      .icon=${t.icon}
      .text=${t.text}
      .fill=${t.fill}
      .content=${c("content", t)}
      .style=${t.style}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${o(t)}
    </react-badge>
  `;
}
const b = {
  name: "Badge",
  category: "atoms",
  slots: u,
  css: a,
  vue: f,
  react: m,
  web: n,
  react_native: n
};
export {
  b as Badge,
  u as zBadgeSlots
};
