import { SizelessIconAttr } from '../data';
import { ToAttrChain } from '../typescript';
import { BaseComponent, CustomTokens } from './_shared';
export type ZBadge_Type = 'dot' | 'text' | 'icon';
export type ZBadge_Style = 'outline';
export type ZBadge_Size = 'xs' | 's' | 'm' | 'l';
export type ZBadge_Custom = 'color' | 'bg' | 'border-color';
export type ZBadge_Fill = 'bold' | 'blue-sky' | 'moss' | 'peach' | 'lemon' | 'dove';
export type ZBadge_Props = BaseComponent & Partial<{
    /** ... */
    readonly config: ToAttrChain<ZBadge_Type, ZBadge_Style, ZBadge_Size>;
    /** ... */
    readonly text: string;
    /** ... */
    readonly icon: SizelessIconAttr;
    /** ... */
    readonly fill: ZBadge_Fill;
    /** Badge content */
    readonly content: string;
    /** */
    readonly custom: CustomTokens<ZBadge_Custom>;
}>;
export declare const zBadgeSlots: ["content"];
export type ZBadge_Slots = (typeof zBadgeSlots)[number];
export type ZBadge_Events = {};
