import { CSSStyle, CodeSample } from './_shared';
import { ZBoxPlotChart_Props } from './BoxPlotChart.props';
export * from './BoxPlotChart.props';
export type ZBoxPlotChart_CodeProps = ZBoxPlotChart_Props & {
    style?: CSSStyle;
};
declare function CSS(_props: ZBoxPlotChart_CodeProps): CodeSample;
declare function Web(_props: ZBoxPlotChart_CodeProps): CodeSample;
export declare const BoxPlotChart: {
    name: string;
    category: "data";
    slots: never[];
    css: typeof CSS;
    web: typeof Web;
    react_native: typeof Web;
};
