import { CSSStyle, CodeSample } from './_shared';
import { ZBreadcrumbs_Props } from './Breadcrumbs.props';
export * from './Breadcrumbs.props';
export type ZBreadcrumbs_CodeProps = ZBreadcrumbs_Props & {
    style?: CSSStyle;
    slotted?: {
        crumbs?: boolean;
    };
};
declare function CSS(props: ZBreadcrumbs_CodeProps): CodeSample;
declare function Web(props: ZBreadcrumbs_CodeProps): CodeSample;
declare function Vue(props: ZBreadcrumbs_CodeProps): CodeSample;
declare function React(props: ZBreadcrumbs_CodeProps): CodeSample;
export declare const Breadcrumbs: {
    name: string;
    category: "molecules";
    slots: never[];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
