import { customPropsToStyle as e, $attr as n, $slot as c, $vueSlot as $, $reactChildren as o } from "./_shared/Render.js";
import { html as i } from "./_shared/Code.js";
const u = ["content", "popover"];
function a(t) {
  return t.href ? i`
      <a
        .href=${t.href}
        .icon=${t.icon}
        .style=${e(t, "button")}
        .wide=${t.wide === "spread" ? "spread" : void 0}
        .z-button=${t.config || ""}
        ?disabled=${t.disabled}
        ?icon-right=${t["icon-right"]}
        ?loading=${t.loading}
        ?wide=${t.wide || void 0}
      >
        ${t.content}
    </a>` : t["as-submit"] ? i`
    <input
      type='submit'
      .icon=${t.icon}
      .style=${e(t, "button")}
      .wide=${t.wide === "spread" ? "spread" : void 0}
      .z-button=${t.config || ""}
      ?disabled=${t.disabled}
      ?icon-right=${t["icon-right"]}
      ?loading=${t.loading}
      ?wide=${t.wide === !0 ? !0 : void 0}
    >
      ${t.content}
    </button>` : i`
    <button
      .z-button=${t.config || ""}
      .icon=${t.icon}
      .style=${e(t, "button")}
      .wide=${t.wide === "spread" ? "spread" : void 0}
      ?disabled=${t.disabled}
      ?icon-right=${t["icon-right"]}
      ?loading=${t.loading}
      ?wide=${t.wide === !0 ? !0 : void 0}
    >
      ${t.content}
    </button>
  `;
}
function d(t) {
  return i`
    <z-button 
      .config=${t.config}
      .content=${n("content", t)}
      .icon=${t.icon}
      .style=${t.style}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
      ?icon-right=${t["icon-right"]}
      ?loading=${t.loading}
      ?disabled=${t.disabled}
      .wide=${t.wide === "spread" ? "spread" : void 0}
      ?wide=${t.wide === !0 ? !0 : void 0}
    >
      ${c("content", t)}
    </z-button>
  `;
}
function l(t) {
  return i`
    <vue-button
      .config=${t.config}
      .content=${n("content", t)}
      .icon=${t.icon}
      .style=${t.style}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
      ?icon-right=${t["icon-right"]}
      ?loading=${t.loading}
      ?disabled=${t.disabled}
      .wide=${t.wide === "spread" ? "spread" : void 0}
      ?wide=${t.wide === !0 ? !0 : void 0}
    >
      ${$("content", t)}
    </vue-button>
  `;
}
function g(t) {
  return i`
    <react-button
      .config=${t.config}
      .content=${n("content", t)}
      .icon=${t.icon}
      .style=${t.style}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
      ?icon-right=${t["icon-right"]}
      ?loading=${t.loading}
      ?disabled=${t.disabled}
      .wide=${t.wide === "spread" ? "spread" : void 0}
      ?wide=${t.wide === !0 ? !0 : void 0}
    >
      ${o(t)}
    </react-button>
  `;
}
const m = {
  name: "Button",
  category: "atoms",
  slots: u,
  css: a,
  vue: l,
  react: g,
  web: d,
  react_native: d
};
export {
  m as Button,
  u as zButtonSlots
};
