import { CSSStyle, CodeSample } from './_shared';
import { ZButtonGroup_Props } from './ButtonGroup.props';
import { ZButton_CodeProps } from './Button';
export * from './ButtonGroup.props';
export type ZButtonGroup_CodeProps = ZButtonGroup_Props & {
    buttons: readonly ZButton_CodeProps[];
    style?: CSSStyle;
};
declare function CSS(props: ZButtonGroup_CodeProps): CodeSample;
declare function Web(props: ZButtonGroup_CodeProps): CodeSample;
declare function Vue(props: ZButtonGroup_CodeProps): CodeSample;
declare function React(props: ZButtonGroup_CodeProps): CodeSample;
export declare const ButtonGroup: {
    name: string;
    category: "layouts";
    slots: never[];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
