import { CodeProps_Slots, CodeSample } from './_shared';
import { ZCard_Props, ZCard_Slots } from './Card.props';
export * from './Card.props';
export type ZCard_CodeProps = CodeProps_Slots<ZCard_Props, ZCard_Slots>;
declare function CSS(props: ZCard_CodeProps): CodeSample;
declare function Web(props: ZCard_CodeProps): CodeSample;
declare function Vue(props: ZCard_CodeProps): CodeSample;
declare function React(props: ZCard_CodeProps): CodeSample;
export declare const Card: {
    name: string;
    category: "layouts";
    slots: ["content"];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
