import { CSSStyle, CodeSample } from './_shared';
import { ZCarousel_Props } from './Carousel.props';
export * from './Carousel.props';
export type ZCarousel_CodeProps = ZCarousel_Props & {
    items: 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10;
    content?: string | CodeSample;
    style?: CSSStyle;
};
declare function CSS(props: ZCarousel_CodeProps): CodeSample;
declare function Web(props: ZCarousel_CodeProps): CodeSample;
declare function Vue(props: ZCarousel_CodeProps): CodeSample;
declare function React(props: ZCarousel_CodeProps): CodeSample;
export declare const Carousel: {
    name: string;
    category: "layouts";
    slots: never[];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
