import { customPropsToStyle as u } from "./_shared/Render.js";
import { html as s } from "./_shared/Code.js";
const l = [];
function o(t) {
  return s`
    <div 
      z-carousel=""
      .style=${u(t, "carousel")}
    >
      ${t.content}
    </div>
  `;
}
function a(t) {
  return s`
    <z-carousel
      .config=${t.config}
      .delay=${t.delay}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${t.items > 0 ? new Array(t.items).fill(0).map((c, e) => s`
        <div slot="slide-${e + 1}">
          <span>${e + 1}</span>
        </div>                  
      `) : ""} 
    </z-carousel>
  `;
}
function n(t) {
  return s`
    <vue-carousel
      .config=${t.config}
      .delay=${t.delay}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${t.items > 0 ? new Array(t.items).fill(0).map((c, e) => s`
        <div slot="slide-${e + 1}">
          <span>${e + 1}</span>
        </div>                  
      `) : ""} 
    </vue-carousel>
  `;
}
function i(t) {
  return s`
    <react-carousel
      .config=${t.config}
      .delay=${t.delay}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${t.items > 0 ? new Array(t.items).fill(0).map((c, e) => s`
        <div slot="slide-${e + 1}">
          <span>${e + 1}</span>
        </div>                  
      `) : ""} 
    </react-carousel>
  `;
}
const $ = {
  name: "Carousel",
  category: "layouts",
  slots: l,
  css: o,
  vue: n,
  react: i,
  web: a,
  react_native: a
};
export {
  $ as Carousel,
  l as zCarouselSlots
};
