import { CustomTokens } from './_shared';
import { ZBooleanInput_Props } from './_BooleanInput.props';
export type ZCheckbox_Custom = 'bg' | 'border-color' | 'label-color';
export type ZCheckbox_Props = ZBooleanInput_Props & Partial<{
    /** ... */
    readonly indeterminate: boolean;
    /** */
    readonly custom: CustomTokens<ZCheckbox_Custom>;
}>;
export declare const zCheckboxSlots: ("label" | "help-text")[];
export type ZCheckbox_Slots = (typeof zCheckboxSlots)[number];
export type ZCheckbox_Events = Partial<{
    /** ... */
    readonly change: Required<ZCheckbox_Props>['model'];
    /** */
    readonly blur: void;
    /** */
    readonly validated: boolean;
    readonly restarted: void;
}>;
