import { $attr as b, $complexAttr as c, $slot as a } from "./_shared/Render.js";
import { html as l } from "./_shared/Code.js";
const r = ["label", "options"];
function n(o) {
  var t, e;
  return l`
    <z-checkbox-group
      .config=${o.config}
      .label=${b("label", o)}      
      .options=${c("options", o)}
      ?disabled=${o.disabled}
      ?required=${o.required}
    >
      ${((t = o.slotted) == null ? void 0 : t.options) && ((e = o.options) == null ? void 0 : e.map((i) => l`
        <option ?disabled=${i.disabled}>${i.text}</option>
      `))}
      ${a("label", o)}
    </z-checkbox-group>
  `;
}
const s = {
  name: "CheckboxGroup",
  category: "inputs",
  slots: r,
  web: n,
  react_native: n
};
export {
  s as CheckboxGroup,
  r as zCheckboxGroupSlots
};
