import { ZInput_Props } from './_Input.props';
import { ZSelectInput_Option } from './_OptionsInput.props';
export type ZCheckboxGroup_Props = ZInput_Props & Partial<{
    /** ... */
    readonly model: boolean[];
    /** */
    readonly options: readonly Omit<ZSelectInput_Option, 'value'>[];
}>;
export declare const zCheckboxGroupSlots: ("label" | "options")[];
export type ZCheckboxGroup_Slots = (typeof zCheckboxGroupSlots)[number];
export type ZCheckboxGroup_Events = Partial<{
    /** ... */
    readonly change: Required<ZCheckboxGroup_Props>['model'];
    readonly restarted: void;
}>;
