import { ZInput_Props } from './_Input.props';
import { ZSelectInput_Option } from './_OptionsInput.props';
export type ZCheckboxSelect_Props<T extends string = string> = ZInput_Props & Partial<{
    /** ... */
    readonly model: T[];
    /** */
    readonly options: readonly ZSelectInput_Option<T>[];
}>;
export declare const zCheckboxSelectSlots: ("label" | "options")[];
export type ZCheckboxSelect_Slots = (typeof zCheckboxSelectSlots)[number];
export type ZCheckboxSelect_Events<T extends string = string> = Partial<{
    /** ... */
    readonly change: Required<ZCheckboxSelect_Props<T>['model']>;
    readonly restarted: void;
}>;
