import { CodeProps_Slots, CodeSample } from './_shared';
import { ZChip_Props, ZChip_Slots } from './Chip.props';
export * from './Chip.props';
export type ZChip_CodeProps = CodeProps_Slots<ZChip_Props, ZChip_Slots>;
declare function CSS(props: ZChip_CodeProps): CodeSample;
declare function Web(props: ZChip_CodeProps): CodeSample;
declare function Vue(props: ZChip_CodeProps): CodeSample;
declare function React(props: ZChip_CodeProps): CodeSample;
export declare const Chip: {
    name: string;
    category: "atoms";
    slots: ["content"];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
