import { BaseComponent, CustomTokens } from './_shared';
type Modifiers = '--hover' | '--active' | '--disabled';
export type ZChip_Custom = `bg${'' | Modifiers}` | `color${'' | Modifiers}`;
export type ZChip_Props = BaseComponent & Partial<{
    /** ... */
    readonly content: string;
    /** ... */
    readonly disabled: boolean;
    /** */
    readonly readonly: boolean;
    /** */
    readonly custom: CustomTokens<ZChip_Custom>;
}>;
export declare const zChipSlots: ["content"];
export type ZChip_Slots = (typeof zChipSlots)[number];
export type ZChip_Events = Partial<{
    /** */
    readonly click: void;
}>;
export {};
