import { CodeProps_Slots, CodeSample } from './_shared';
import { ZDateInput_Props, ZDateInput_Slots } from './DateInput.props';
export * from './DateInput.props';
export type ZDateInput_CodeProps = CodeProps_Slots<ZDateInput_Props, ZDateInput_Slots>;
declare function CSS(props: ZDateInput_CodeProps): CodeSample;
declare function Web(props: ZDateInput_CodeProps): CodeSample;
declare function Vue(props: ZDateInput_CodeProps): CodeSample;
declare function React(props: ZDateInput_CodeProps): CodeSample;
export declare const DateInput: {
    name: string;
    category: "inputs";
    slots: ("label" | "help-text")[];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
