import { CSSStyle, CodeSample } from './_shared';
import { ZDonutChart_Props } from './DonutChart.props';
export * from './DonutChart.props';
export type ZDonutChart_CodeProps = ZDonutChart_Props & {
    style?: CSSStyle;
};
declare function CSS(_props: ZDonutChart_CodeProps): CodeSample;
declare function Web(_props: ZDonutChart_CodeProps): CodeSample;
export declare const DonutChart: {
    name: string;
    category: "data";
    slots: never[];
    css: typeof CSS;
    web: typeof Web;
    react_native: typeof Web;
};
