import { Localized } from '../locales/languages.types';
import { BaseComponent, CustomTokens, HasImage, HasPictogram } from './_shared';
export type ZEventListItem_Custom = 'border-color';
export type ZEventListItem_Props = BaseComponent & HasImage & HasPictogram & Localized & Partial<{
    /** */
    readonly date: string;
    /** */
    readonly content: string;
    /** */
    readonly header: string;
    /** */
    readonly custom: CustomTokens<ZEventListItem_Custom>;
}>;
export declare const zEventListItemSlots: ["content", "header", "image-src", "actions"];
export type ZEventListItem_Slots = (typeof zEventListItemSlots)[number];
export type ZEventListItem_Events = {};
