import { CodeProps_Slots, CodeSample } from './_shared';
import { ZFigure_Props, ZFigure_Slots } from './Figure.props';
export * from './Figure.props';
export type ZFigure_CodeProps = CodeProps_Slots<ZFigure_Props, ZFigure_Slots>;
declare function CSS(props: ZFigure_CodeProps): CodeSample;
declare function Web(props: ZFigure_CodeProps): CodeSample;
declare function Vue(props: ZFigure_CodeProps): CodeSample;
declare function React(props: ZFigure_CodeProps): CodeSample;
export declare const Figure: {
    name: string;
    category: "layouts";
    slots: "caption"[];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
