import { ZInput_Props } from './_Input.props';
export type ZFileInput_Props = ZInput_Props & Partial<{
    /** ... */
    readonly model: File | string | null;
    /** ... */
    readonly placeholder: string;
    /** */
    readonly accept: string[];
    /** */
    readonly droppable: boolean;
    /** */
    readonly 'delete-file-text': string;
    /** */
    readonly 'browse-file-text': string;
    /** */
    readonly 'no-file-text': string;
}>;
export declare const zFileInputSlots: ("label" | "help-text")[];
export type ZFileInput_Slots = (typeof zFileInputSlots)[number];
export type ZFileInput_Events = Partial<{
    /** ... */
    readonly change: Required<ZFileInput_Props>['model'];
    /** ... */
    readonly restarted: void;
    /** ... */
    readonly blur: void;
}>;
