import { CodeProps_Slots, CodeSample } from './_shared';
import { ZFloatingBanner_Props, ZFloatingBanner_Slots } from './FloatingBanner.props';
export * from './FloatingBanner.props';
export type ZFloatingBanner_CodeProps = CodeProps_Slots<ZFloatingBanner_Props, ZFloatingBanner_Slots>;
declare function CSS(props: ZFloatingBanner_CodeProps): CodeSample;
declare function Web(props: ZFloatingBanner_CodeProps): CodeSample;
declare function Vue(props: ZFloatingBanner_CodeProps): CodeSample;
declare function React(props: ZFloatingBanner_CodeProps): CodeSample;
export declare const FloatingBanner: {
    name: string;
    category: "layouts";
    slots: ["content", "header", "actions"];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
