import { customPropsToStyle as i, $attr as n, $slot as a, $vueSlot as c, $reactChildren as r } from "./_shared/Render.js";
import { html as e } from "./_shared/Code.js";
const $ = [
  "content",
  "header",
  "actions"
];
function u(t) {
  return e`
    <section
     .z-floating-banner=${t.config || ""}
     .style=${i(t, "floating-banner")}
    >
      ${t.header ? e`<h6>${t.header}</h6>` : ""}

      <main>
        ${t.content}
      </main>

      <footer></footer>
    </section>
  `;
}
function o(t) {
  return e`
    <z-floating-banner
      .config=${t.config}
      .header=${n("header", t)}
      .content=${n("content", t)}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${a("header", t)}
      ${a("content", t)}
    </z-floating-banner>
  `;
}
function f(t) {
  return e`
    <vue-floating-banner
      .config=${t.config}
      .header=${n("header", t)}
      .content=${n("content", t)}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${c("content", t)}
      ${c("header", t)}
    </vue-floating-banner>
  `;
}
function m(t) {
  return e`
    <react-floating-banner
      .config=${t.config}
      .header=${n("header", t)}
      .content=${n("content", t)}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${r(t)}
    </react-floating-banner>
  `;
}
const h = {
  name: "FloatingBanner",
  category: "layouts",
  slots: $,
  css: u,
  vue: f,
  react: m,
  web: o,
  react_native: o
};
export {
  h as FloatingBanner,
  $ as zFloatingBannerSlots
};
