import { customPropsToStyle as n } from "./_shared/Render.js";
import { html as t } from "./_shared/Code.js";
const s = [];
function r(o) {
  var l, a;
  return t`
    <footer 
      z-footer
      .style=${n(o, "footer")}
    >
      <section>
        ${(l = o.columns) == null ? void 0 : l.map(({ header: c, items: e }) => t`
          <div>
            <h4>${c}</h4>
            <ul>
              ${e == null ? void 0 : e.map((u) => t`
                <li>
                  <a z-link .href=${u.to}>${u.text}</a>
                </li>
              `)}
            </ul>
          </div>
        `)}
        <div data-social>
          <h4>${o["social-text"] || "Follow us"}</h4>
          <ul>
            ${Object.entries(o.social || {}).map(([c, e]) => t`
              <li>
                <a z-link .href=${e}>
                  <i z-social-media-icon="mono" .brand=${c}></i>
                </a>
              </li>
            `)}
          </ul>
        </div>
      </section>
      <nav>
        <ul>
          ${(a = o.footer) == null ? void 0 : a.map((c) => t`
            <li>
              <a z-link .href=${c.to}>${c.text}</a>
            </li>
          `)}
        </ul>
      </nav>
    </footer>
  `;
}
function i(o) {
  return t`
    <z-footer
      .columns=${o.columns}
      .social=${o.social}
      .footer=${o.footer}
      .social-text=${o["social-text"]}
      .custom=${o.custom}
      .custom-str=${o["custom-str"]}
    >
    </z-footer>
  `;
}
function $(o) {
  return t`
    <vue-footer
      .columns=${o.columns}
      .social=${o.social}
      .footer=${o.footer}
      .social-text=${o["social-text"]}
      .custom=${o.custom}
      .custom-str=${o["custom-str"]}
    >
    </vue-footer>
  `;
}
function m(o) {
  return t`
    <react-footer
      .columns=${o.columns}
      .social=${o.social}
      .footer=${o.footer}
      .social-text=${o["social-text"]}
      .custom=${o.custom}
      .custom-str=${o["custom-str"]}
    >
    </react-footer>
  `;
}
const x = {
  name: "Footer",
  category: "organisms",
  slots: s,
  css: r,
  vue: $,
  react: m,
  web: i,
  react_native: i
};
export {
  x as Footer,
  s as zFooterSlots
};
