import { SocialMediaIconName } from '../data';
import { BaseComponent, CustomTokens } from './_shared';
type Link = {
    to: string;
    text: string;
};
export type ZFooter_Custom = 'bg' | 'color';
export type ZFooter_Props = BaseComponent & Partial<{
    /** */
    readonly columns: {
        header: string;
        items: Link[];
    }[] & {
        length: 2 | 3 | 4;
    };
    /** */
    readonly social: {
        [K in SocialMediaIconName]?: string;
    };
    /** */
    readonly footer: Link[];
    /** */
    readonly 'social-text': string;
    /** */
    readonly custom: CustomTokens<ZFooter_Custom>;
}>;
export declare const zFooterSlots: never[];
export type ZFooter_Slots = (typeof zFooterSlots)[number];
export type ZFooter_Events = {};
export {};
