import { customPropsToStyle as m } from "./_shared/Render.js";
import { html as o } from "./_shared/Code.js";
const n = [];
function r(t) {
  return o`
    <form 
      .z-form=${t.config || ""}
      .style=${m(t, "form")}
    >
      ${t.content}
    </form>
  `;
}
function c(t) {
  return o`
    <z-form 
      .config=${t.config}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${t.content}
    </z-form>
  `;
}
function u(t) {
  return o`
    <vue-form 
      .config=${t.config}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${t.content}
    </vue-form>
  `;
}
function e(t) {
  return o`
    <react-form 
      .config=${t.config}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${t.content}
    </react-form>
  `;
}
const $ = {
  name: "Form",
  category: "layouts",
  slots: n,
  css: r,
  vue: u,
  react: e,
  web: c,
  react_native: c
};
export {
  $ as Form,
  n as zFormSlots
};
