import { CSSStyle, CodeSample } from './_shared';
import { ZIcon_Props } from './Icon.props';
export * from './Icon.props';
export type ZIcon_CodeProps = ZIcon_Props & {
    style?: CSSStyle;
};
declare function CSS(props: ZIcon_CodeProps): CodeSample;
declare function Web(props: ZIcon_CodeProps): CodeSample;
declare function Vue(props: ZIcon_CodeProps): CodeSample;
declare function React(props: ZIcon_CodeProps): CodeSample;
export declare const Icon: {
    name: string;
    category: "atoms";
    slots: never[];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
