import { SizelessIconAttr } from '../data';
import { ToAttrChain } from '../typescript';
import { BaseComponent, CustomTokens, ZColor_Name } from './_shared';
export type ZIcon_Color = ZColor_Name | 'white' | 'black';
export type ZIcon_Size = 'xs' | 's' | 'm' | 'l';
export type ZIcon_Custom = 'color' | 'size';
export type ZIcon_Props = BaseComponent & Partial<{
    /** Name of the icon */
    readonly icon: SizelessIconAttr;
    /** ... */
    readonly config: ToAttrChain<ZIcon_Color, ZIcon_Size>;
    /** */
    readonly custom: CustomTokens<ZIcon_Custom>;
}>;
export declare const zIconSlots: never[];
export type ZIcon_Slots = (typeof zIconSlots)[number];
export type ZIcon_Events = {};
