import { CSSStyle, CodeSample } from './_shared';
import { ZImage_Props } from './Image.props';
export * from './Image.props';
export type ZImage_CodeProps = ZImage_Props & {
    style?: CSSStyle;
};
declare function CSS(props: ZImage_CodeProps): CodeSample;
declare function Web(props: ZImage_CodeProps): CodeSample;
declare function Vue(props: ZImage_CodeProps): CodeSample;
declare function React(props: ZImage_CodeProps): CodeSample;
export declare const Image: {
    name: string;
    category: "atoms";
    slots: "image-src"[];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
