import { BaseComponent, CustomTokens, HasImage } from './_shared';
export type ZImage_Custom = 'copyright-color' | 'bg' | 'width' | 'height' | 'fit' | 'radius';
export type ZImage_Props = BaseComponent & HasImage & Partial<{
    /** ... */
    readonly 'image-src': string;
    /** ... */
    readonly config: 'round' | '3:2' | '1:1' | '4:3' | '16:9' | 'full-width';
    /** */
    readonly size: 1 | 2 | 3 | 4 | 5 | 6;
    /** ... */
    readonly eager: boolean;
    /** ... */
    readonly copyright: string;
    /** */
    readonly 'blank-fallback': boolean;
    /** */
    readonly sources: {
        width: number;
        src: string;
    }[];
    /** */
    readonly custom: CustomTokens<ZImage_Custom>;
}>;
export declare const zImageSlots: "image-src"[];
export type ZImage_Slots = (typeof zImageSlots)[number];
export type ZImage_Events = {};
