import { CodeProps_Slots, CodeSample } from './_shared';
import { ZImageStage_Props, ZImageStage_Slots } from './ImageStage.props';
export * from './ImageStage.props';
export type ZImageStage_CodeProps = CodeProps_Slots<ZImageStage_Props, ZImageStage_Slots> & {
    buttonText?: string;
};
declare function CSS(props: ZImageStage_CodeProps): CodeSample;
declare function Web(props: ZImageStage_CodeProps): CodeSample;
declare function Vue(props: ZImageStage_CodeProps): CodeSample;
declare function React(props: ZImageStage_CodeProps): CodeSample;
export declare const ImageStage: {
    name: string;
    category: "molecules";
    slots: ["content", "header", "image-src", "actions"];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
