import { customPropsToStyle as s, $attr as t, $slot as m, $vueSlot as i, $reactSub as $, $reactChildren as o } from "./_shared/Render.js";
import { html as a } from "./_shared/Code.js";
import { SafeSpace as u } from "./SafeSpace.js";
import { Shape as r } from "./Shape.js";
const h = [
  "content",
  "header",
  "image-src",
  "actions"
];
function f(e) {
  var n;
  const c = (n = e.shape) == null ? void 0 : n.split(":")[0];
  return a` 
    <section 
      .z-image-stage=${e.config || ""}
      .style=${s(e, "stage")}
    >
      <main>
        <h1>${e.header}</slot></h1>
        ${e.content}
      </main>

      <aside>
        ${u.css({ config: "4", "image-src": e["image-src"] })}
        ${c && r.css({ shape: c })}
      </aside>
    </section>
  `;
}
function g(e) {
  return a`
    <z-image-stage
      .config=${e.config}
      .header=${t("header", e)}
      .image-src=${e["image-src"]}
      .shape=${e.shape}
      .content=${t("content", e)}
      .custom=${e.custom}
      .custom-str=${e["custom-str"]}  
    >
      ${m("content", e)}
      ${m("header", e)}
    </z-image-stage>
  `;
}
function d(e) {
  return a`
    <vue-image-stage
      .config=${e.config}
      .header=${t("header", e)}
      .image-src=${e["image-src"]}
      .shape=${e.shape}
      .content=${t("content", e)}
      .custom=${e.custom}
      .custom-str=${e["custom-str"]}
    >
      ${i("content", e)}
      ${i("header", e)}
    </vue-image-stage>
  `;
}
function l(e) {
  return a`
    <react-image-stage
      .config=${e.config}
      .header=${$("header", e)}
      .image-src=${e["image-src"]}
      .shape=${e.shape}
      .content=${t("content", e)}
      .custom=${e.custom}
      .custom-str=${e["custom-str"]}
    >
      ${o(e)}
    </react-image-stage>
  `;
}
const y = {
  name: "ImageStage",
  category: "molecules",
  slots: h,
  css: f,
  vue: d,
  react: l,
  web: g,
  react_native: g
};
export {
  y as ImageStage,
  h as zImageStageSlots
};
