import { CSSStyle, CodeSample } from './_shared';
import { ZKpiValue_Props } from './KpiValue.props';
export * from './KpiValue.props';
export type ZKpiValue_CodeProps = ZKpiValue_Props & {
    style?: CSSStyle;
};
declare function CSS(props: ZKpiValue_CodeProps): CodeSample;
declare function Web(props: ZKpiValue_CodeProps): CodeSample;
declare function React(props: ZKpiValue_CodeProps): CodeSample;
declare function Vue(props: ZKpiValue_CodeProps): CodeSample;
export declare const KpiValue: {
    name: string;
    category: "data";
    slots: ("description" | "header" | "difference")[];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
