import { Localized } from '../locales/languages.types';
import { BaseComponent } from './_shared';
export type ZKpiValue_Props = BaseComponent & Localized & Partial<{
    /** */
    readonly config: 'positive' | 'negative';
    /** */
    readonly amount: number;
    /** */
    readonly header: string;
    /** */
    readonly description: string;
    /** */
    readonly difference: number;
    /** */
    readonly 'no-icon': boolean;
    /** */
    readonly custom: {};
}>;
export declare const zKpiValueSlots: ("description" | "header" | "difference")[];
export type ZKpiValue_Slots = (typeof zKpiValueSlots)[number];
export type ZKpiValue_Events = {};
