import { customPropsToStyle as r, $attr as n, $slot as i, $vueSlot as a, $reactChildren as u } from "./_shared/Render.js";
import { html as e } from "./_shared/Code.js";
const $ = ["content"];
function l(t) {
  return e`
    <a
      z-link
      .href=${t.href}
      .aria-current=${t["is-current-page"] ? "page" : void 0}
      .style=${r(t, "link")}
    >
      ${t.content}
    </a>
  `;
}
function c(t) {
  return e`
    <z-link
      .href=${t.href}
      .content=${n("content", t)}
      .aria-current=${t["is-current-page"] ? "page" : void 0}
      .style=${t.style}
      .custom-str=${t["custom-str"]}
    >
      ${i("content", t)}
    </z-link>
  `;
}
function o(t) {
  return e`
    <vue-link
      .href=${t.href}
      .content=${n("content", t)}
      .aria-current=${t["is-current-page"] ? "page" : void 0}
      .style=${t.style}
      .custom-str=${t["custom-str"]}
    >
      ${a("content", t)}
    </vue-link>`;
}
function s(t) {
  return e`
    <react-link
      .href=${t.href}
      .content=${n("content", t)}
      .aria-current=${t["is-current-page"] ? "page" : void 0}
      .style=${t.style}
      .custom-str=${t["custom-str"]}
    >
      ${u(t)}
    </react-link>
  `;
}
const k = {
  name: "Link",
  category: "atoms",
  slots: $,
  css: l,
  vue: o,
  react: s,
  web: c,
  react_native: c
};
export {
  k as Link,
  $ as zLinkSlots
};
