import { BaseComponent, CustomTokens } from './_shared';
export type ZLink_Custom = 'color' | 'color--hover';
export type ZLink_Props = BaseComponent & Partial<{
    /** ... */
    readonly href: string;
    /** ... */
    readonly content: string;
    /**... */
    readonly 'is-current-page': boolean;
    /**... */
    readonly target: '_blank' | '_self' | '_parent' | '_top';
    /** */
    readonly custom: CustomTokens<ZLink_Custom>;
}>;
export declare const zLinkSlots: ["content"];
export type ZLink_Slots = (typeof zLinkSlots)[number];
export type ZLink_Events = {
    /** */
    readonly click: void;
};
