import { SizelessIconAttr } from '../data';
import { BaseComponent, CustomTokens, HasImage } from './_shared';
export type ZListItem_Custom = 'color' | 'border' | 'desc-color';
export type ZListItem_Props = BaseComponent & HasImage & Partial<{
    /** */
    readonly header: string;
    /** */
    readonly content: string;
    /** */
    readonly initials: string;
    /** */
    readonly 'icon-right': SizelessIconAttr;
    /** */
    readonly 'icon-left': SizelessIconAttr;
    /** */
    readonly timestamp: string;
    /** */
    readonly custom: CustomTokens<ZListItem_Custom>;
}>;
export declare const zListItemSlots: ["content", "header", "image-src", "right-actions", "left-actions"];
export type ZListItem_Slots = (typeof zListItemSlots)[number];
export type ZListItem_Events = {};
