import { customPropsToStyle as n, $attr as l, $slot as a, $vueSlot as o, $reactChildren as m } from "./_shared/Render.js";
import { html as e } from "./_shared/Code.js";
const s = ["content"];
function u(t) {
  return t.content ? e`
    <div 
      z-loader
      ?small=${t.small}
      .style=${n(t, "loader")}
    >
      <span>${t.content}</span>
    </div>
  ` : e`
    <div 
      z-loader
      ?small=${t.small}
      .style=${n(t, "loader")}
    >
    </div>
  `;
}
function c(t) {
  return e`
    <z-loader
      .content=${l("content", t)}
      ?small=${t.small}
      .style=${t.style}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${a("content", t)}
    </z-loader>
  `;
}
function $(t) {
  return e`
    <vue-loader
      .content=${l("content", t)}
      ?small=${t.small}
      .style=${t.style}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${o("content", t)}
    </vue-loader>
  `;
}
function r(t) {
  return e`
    <react-loader
      .content=${l("content", t)}
      ?small=${t.small}
      .style=${t.style}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
      ${m(t)}
    </react-loader>
  `;
}
const y = {
  name: "Loader",
  category: "atoms",
  slots: s,
  css: u,
  vue: $,
  react: r,
  web: c,
  react_native: c
};
export {
  y as Loader,
  s as zLoaderSlots
};
