import { CSSStyle, CodeSample } from './_shared';
import { ZLogo_Props } from './Logo.props';
export * from './Logo.props';
export type ZLogo_CodeProps = ZLogo_Props & {
    style?: CSSStyle;
};
declare function CSS(props: ZLogo_CodeProps): CodeSample;
declare function Web(props: ZLogo_CodeProps): CodeSample;
declare function Vue(props: ZLogo_CodeProps): CodeSample;
declare function React(props: ZLogo_CodeProps): CodeSample;
export declare const Logo: {
    name: string;
    category: "atoms";
    slots: never[];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
