import { CSSStyle, CodeSample } from './_shared';
import { ZModal_Props } from './Modal.props';
export * from './Modal.props';
export type ZModal_CodeProps = ZModal_Props & {
    content?: string | CodeSample;
    slotted?: {
        content?: boolean;
    };
    style?: CSSStyle;
};
declare function CSS(props: ZModal_CodeProps): CodeSample;
declare function Web(props: ZModal_CodeProps): CodeSample;
declare function Vue(props: ZModal_CodeProps): CodeSample;
declare function React(props: ZModal_CodeProps): CodeSample;
export declare const Modal: {
    name: string;
    category: "layouts";
    slots: ["content"];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
