import { customPropsToStyle as c, $attr as o, $slot as m, $vueSlot as u, $reactChildren as l } from "./_shared/Render.js";
import { html as n } from "./_shared/Code.js";
const a = ["content"];
function $(t) {
  return n`
    <main 
      z-modal 
      .style=${c(t, "modal")}
      ?open=${t.model || t.open}
    >
      <section>
        <button z-button="link" icon="close:line"></button>
        <main>
          ${t.content}
        </main>
      </section>
    </main>
  `;
}
function e(t) {
  return n`
    <z-modal 
      .content=${o("content", t)}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
      ?open=${t.model || t.open}
    >
      ${m("content", t)}
    </z-modal>
  `;
}
function i(t) {
  return n`
    <vue-modal
      .content=${o("content", t)}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
      ?open=${t.model || t.open}
    >
      ${u("content", t)}
    </vue-modal>
  `;
}
function d(t) {
  return n`
    <react-modal
      .content=${o("content", t)}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
      ?open=${t.model || t.open}
    >
      ${l(t)}
    </react-modal>
  `;
}
const f = {
  name: "Modal",
  category: "layouts",
  slots: a,
  css: $,
  vue: i,
  react: d,
  web: e,
  react_native: e
};
export {
  f as Modal,
  a as zModalSlots
};
