import { BaseComponent, CustomTokens } from './_shared';
export type ZModal_Custom = 'backdrop' | 'color' | 'bg' | 'padding' | 'z-index';
export type ZModal_Props = BaseComponent & Partial<{
    /** */
    readonly model: boolean;
    /** */
    readonly open: boolean;
    /** */
    readonly 'no-close': boolean;
    /** */
    readonly content: string;
    /** */
    readonly custom: CustomTokens<ZModal_Custom>;
}>;
export declare const zModalSlots: ["content"];
export type ZModal_Slots = (typeof zModalSlots)[number];
export type ZModal_Events = Partial<{
    /** ... */
    readonly change: Required<ZModal_Props>['model'];
}>;
