import { $attr as l, $slot as e } from "./_shared/Render.js";
import { html as n } from "./_shared/Code.js";
import { zInputSlots as u } from "./_Input.js";
const o = u;
function i(t) {
  return n`
    <z-multi-input
      .config=${t.config}
      .label=${l("label", t)}     
      ?disabled=${t.disabled}
      ?required=${t.required}
    >
      ${e("label", t)}
    </z-multi-input>
  `;
}
const b = {
  name: "MultiInput",
  category: "inputs",
  slots: o,
  web: i,
  react_native: i
};
export {
  b as MultiInput,
  o as zMultiInputSlots
};
