import { ZInput_Props } from './_Input.props';
export type ZMultiInput_Props = ZInput_Props & Partial<{
    /** ... */
    readonly model: string[];
    /** ... */
    readonly 'max-length': number;
    /** ... */
    readonly 'max-items': number;
}>;
export declare const zMultiInputSlots: ("label" | "help-text")[];
export type ZMultiInput_Slots = (typeof zMultiInputSlots)[number];
export type ZMultiInput_Events = Partial<{
    /** ... */
    readonly change: Required<ZMultiInput_Props>['model'];
    /** */
    readonly validated: boolean;
    /** */
    readonly blur: void;
    /** */
    readonly search: string;
    readonly restarted: void;
}>;
