import { CSSStyle, CodeSample } from './_shared';
import { ZMultiSelectableCards_Props } from './MultiSelectableCards.props';
export * from './MultiSelectableCards.props';
export type ZMultiSelectableCards_CodeProps = ZMultiSelectableCards_Props & {
    style?: CSSStyle;
    slotted?: {
        options?: boolean;
    };
};
declare function CSS(props: ZMultiSelectableCards_CodeProps): CodeSample;
declare function Web(props: ZMultiSelectableCards_CodeProps): CodeSample;
declare function Vue(props: ZMultiSelectableCards_CodeProps): CodeSample;
declare function React(props: ZMultiSelectableCards_CodeProps): CodeSample;
export declare const MultiSelectableCards: {
    name: string;
    category: "inputs";
    slots: "options"[];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
