import { ToAttrChain } from '../typescript';
import { BaseInput_Props } from './_BooleanInput.props';
export type ZMultiSelectableCards_Option<T extends string = string> = {
    /** ... */
    value: T;
    /** ... */
    text?: string;
    /** ... */
    disabled?: boolean;
    /** ... */
    checked?: boolean;
};
export type ZMultiSelectableCards_Props<T extends string = string> = BaseInput_Props & Partial<{
    /** ... */
    readonly config: ToAttrChain<'left', 'top' | 'bottom'>;
    /** ... */
    readonly options: readonly ZMultiSelectableCards_Option<T>[];
    /** ... */
    readonly model: T[];
    /** ... */
    readonly horizontal: boolean;
    /** ... */
    readonly checkboxes: boolean;
    /** ... */
    readonly compact: boolean;
}>;
export declare const zMultiSelectableCardsSlots: "options"[];
export type ZMultiSelectableCards_Slots = (typeof zMultiSelectableCardsSlots)[number];
export type ZMultiSelectableCards_Events<T extends string = string> = Partial<{
    /** ... */
    readonly change: Required<ZMultiSelectableCards_Props<T>['model']>;
    /** */
    readonly blur: void;
    /** */
    readonly restarted: void;
}>;
