import { CodeSample } from './_shared';
import { ZNavigation_Props } from './Navigation.props';
export * from './Navigation.props';
export type ZNavigation_CodeProps = ZNavigation_Props;
declare function CSS(props: ZNavigation_CodeProps): CodeSample;
declare function Web(props: ZNavigation_CodeProps): CodeSample;
declare function Vue(props: ZNavigation_CodeProps): CodeSample;
declare function React(props: ZNavigation_CodeProps): CodeSample;
export declare const Navigation: {
    name: string;
    category: "organisms";
    slots: ("nav" | "logo")[];
    css: typeof CSS;
    web: typeof Web;
    react_native: typeof Web;
    vue: typeof Vue;
    react: typeof React;
};
