import { CSSStyle, CodeSample } from './_shared';
import { ZPictogram_Props } from './Pictogram.props';
export * from './Pictogram.props';
export type ZPictogram_CodeProps = ZPictogram_Props & {
    style?: CSSStyle;
};
declare function CSS(props: ZPictogram_CodeProps): CodeSample;
declare function Web(props: ZPictogram_CodeProps): CodeSample;
declare function Vue(props: ZPictogram_CodeProps): CodeSample;
declare function React(props: ZPictogram_CodeProps): CodeSample;
export declare const Pictogram: {
    name: string;
    category: "atoms";
    slots: never[];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
