import { customPropsToStyle as o } from "./_shared/Render.js";
import { html as c } from "./_shared/Code.js";
const r = [];
function a(t) {
  return c`
    <div 
      z-pictogram
      .pictogram=${t.pictogram || ""} 
      .style=${o(t, "pictogram")}
    ></div>
  `;
}
function m(t) {
  return c`
    <z-pictogram 
      .pictogram=${t.pictogram}
      .style=${t.style}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
    </z-pictogram>
  `;
}
function i(t) {
  return c`
    <vue-pictogram 
      .pictogram=${t.pictogram}
      .style=${t.style}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
    </vue-pictogram>
  `;
}
function e(t) {
  return c`
    <react-pictogram 
      .pictogram=${t.pictogram}
      .style=${t.style}
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
    </react-pictogram>
  `;
}
const g = {
  name: "Pictogram",
  category: "atoms",
  slots: r,
  css: a,
  vue: i,
  react: e,
  web: m,
  react_native: m
};
export {
  g as Pictogram,
  r as zPictogramSlots
};
