import { CSSStyle, CodeSample } from './_shared';
import { ZProgressBar_Props } from './ProgressBar.props';
export * from './ProgressBar.props';
export type ZProgressBar_CodeProps = ZProgressBar_Props & {
    style?: CSSStyle;
};
declare function CSS(props: ZProgressBar_CodeProps): CodeSample;
declare function Web(props: ZProgressBar_CodeProps): CodeSample;
declare function Vue(props: ZProgressBar_CodeProps): CodeSample;
declare function React(props: ZProgressBar_CodeProps): CodeSample;
export declare const ProgressBar: {
    name: string;
    category: "atoms";
    slots: never[];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
