import { ToAttrChain } from '../typescript';
import { BaseComponent, CustomTokens } from './_shared';
export type ZProgressBar_Custom = 'color' | 'bg' | 'track' | 'size' | 'stroke' | 'title-color' | 'percentage-color';
export type ZProgressBar_Linear_Size = 's' | 'm';
export type ZProgressBar_Round_Size = 'xs' | 's' | 'm' | 'l' | 'xl';
export type ZProgressBar_Props = BaseComponent & Partial<{
    /** ... */
    readonly config: ToAttrChain<'linear', ZProgressBar_Linear_Size> | ToAttrChain<'round', 'solid', ZProgressBar_Round_Size>;
    /** ... */
    readonly progress: number;
    /** ... */
    readonly max: number;
    /** ... */
    readonly 'progress-bar-title': string;
    /** ... */
    readonly 'no-percentage': boolean;
    /** */
    readonly invalid: boolean;
    /** */
    readonly highlight: boolean;
    /** */
    readonly custom: CustomTokens<ZProgressBar_Custom>;
}>;
export declare const zProgressBarSlots: never[];
export type ZProgressBar_Slots = (typeof zProgressBarSlots)[number];
export type ZProgressBar_Events = {};
