import { SizelessIconAttr } from '../data';
import { ToAttrChain } from '../typescript';
import { BaseComponent } from './_shared';
export type ZProgressTracker_Step = 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10;
export type ZProgressTracker_Props = BaseComponent & Partial<{
    /** */
    readonly model: ZProgressTracker_Step;
    /** */
    readonly name: string;
    /** */
    readonly steps: readonly {
        text?: string;
        icon?: SizelessIconAttr;
        disabled?: boolean;
    }[];
    /** */
    readonly config: ToAttrChain<'horizontal' | 'vertical', 'small'>;
}>;
export declare const zProgressTrackerSlots: "steps"[];
export type ZProgressTracker_Slots = (typeof zProgressTrackerSlots)[number];
export type ZProgressTracker_Events = Partial<{
    /** ... */
    readonly change: Required<ZProgressTracker_Props>['model'];
    readonly restarted: void;
}>;
