import { CSSStyle, CodeSample } from './_shared';
import { ZQuote_Props } from './Quote.props';
export * from './Quote.props';
export type ZQuote_CodeProps = ZQuote_Props & {
    slotted?: {
        content?: boolean;
    };
    style?: CSSStyle;
};
declare function CSS(props: ZQuote_CodeProps): CodeSample;
declare function Web(props: ZQuote_CodeProps): CodeSample;
declare function Vue(props: ZQuote_CodeProps): CodeSample;
declare function React(props: ZQuote_CodeProps): CodeSample;
export declare const Quote: {
    name: string;
    category: "molecules";
    slots: ["content", "description", "author-name", "image-src"];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
