import { BaseComponent, CustomTokens, HasImage } from './_shared';
export type ZQuote_Custom = 'color' | 'bg';
export type ZQuote_Props = BaseComponent & HasImage & Partial<{
    /** */
    readonly 'quote-src': string;
    /** */
    readonly 'author-name': string;
    /** */
    readonly content: string;
    /** */
    readonly description: string;
    /** */
    readonly custom: CustomTokens<ZQuote_Custom>;
}>;
export declare const zQuoteSlots: ["content", "description", "author-name", "image-src"];
export type ZQuote_Slots = (typeof zQuoteSlots)[number];
export type ZQuote_Events = {};
