import { CodeProps_Slots, CodeSample } from './_shared';
import { ZRadioSelect_Props, ZRadioSelect_Slots } from './RadioSelect.props';
export * from './RadioSelect.props';
export type ZRadioSelect_CodeProps = CodeProps_Slots<ZRadioSelect_Props, ZRadioSelect_Slots>;
declare function CSS(props: ZRadioSelect_CodeProps): CodeSample;
declare function Web(props: ZRadioSelect_CodeProps): CodeSample;
declare function Vue(props: ZRadioSelect_CodeProps): CodeSample;
declare function React(props: ZRadioSelect_CodeProps): CodeSample;
export declare const RadioSelect: {
    name: string;
    category: "inputs";
    slots: ("label" | "help-text" | "options")[];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
