import { CustomTokens } from './_shared';
import { ZCalendar_Custom } from './Calendar.props';
import { ZBaseCalendar_Props } from './_BaseCalendar.props';
export type ZRangeCalendar_Props = ZBaseCalendar_Props & Partial<{
    /** */
    readonly model: readonly [string, string];
    /** */
    readonly custom: CustomTokens<ZCalendar_Custom>;
}>;
export declare const zRangeCalendarSlots: ("today-text" | "selected-text")[];
export type ZRangeCalendar_Slots = (typeof zRangeCalendarSlots)[number];
export type ZRangeCalendar_Events = Partial<{
    /** ... */
    readonly change: Required<ZRangeCalendar_Props>['model'];
    readonly restarted: void;
}>;
