import { ZInput_Props } from './_Input.props';
export type ZRangeInput_Model = readonly [null | number, null | number];
export type ZRangeInput_Props = ZInput_Props & Partial<{
    /** ... */
    readonly model: ZRangeInput_Model;
    /** ... */
    readonly range: ZRangeInput_Model;
    /** */
    readonly min: number;
    /** */
    readonly max: number;
    /** ... */
    readonly step: number | 'any';
    /** ... */
    readonly placeholder: string;
}>;
export declare const zRangeInputSlots: ("label" | "help-text")[];
export type ZRangeInput_Slots = (typeof zRangeInputSlots)[number];
export type ZRangeInput_Events = Partial<{
    /** ... */
    readonly change: Required<ZRangeInput_Props>['model'];
    readonly restarted: void;
}>;
