import { CSSStyle, CodeSample } from './_shared';
import { ZRating_Props } from './Rating.props';
export * from './Rating.props';
export type ZRating_CodeProps = ZRating_Props & {
    style?: CSSStyle;
};
declare function CSS(props: ZRating_CodeProps): CodeSample;
declare function Web(props: ZRating_CodeProps): CodeSample;
declare function Vue(props: ZRating_CodeProps): CodeSample;
declare function React(props: ZRating_CodeProps): CodeSample;
export declare const Rating: {
    name: string;
    category: "inputs";
    slots: never[];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
