import { customPropsToStyle as s, $complexAttr as d } from "./_shared/Render.js";
import { html as i } from "./_shared/Code.js";
import { Button as $ } from "./Button.js";
const c = ["options"];
function u(e) {
  var n;
  return i`
    <div 
      z-segmented-control
      .style=${s(e, "segmented-control")}
    >
      ${(n = e.options) == null ? void 0 : n.map(({ text: o, icon: t, value: a }, m) => i`
        <label>
          ${$.css({ icon: t, content: o })}
          <input 
            tabindex="-1"
            type="radio" 
            .name=${e.name} 
            .value=${a || (m + 1).toString()} 
          />
        </label>
      `)}
    </div>
  `;
}
function l(e) {
  var n, o;
  return i`
    <z-segmented-control
      .name=${e.name}
      .model=${e.model || void 0}
      .options=${d("options", e)}
      ?disabled=${e.disabled}
    >
    ${((n = e.slotted) == null ? void 0 : n.options) && ((o = e.options) == null ? void 0 : o.map((t) => i`
        <option 
          .value=${t.value} 
          .icon=${t.icon} 
          ?disabled=${t.disabled}
        >
          ${t.text}
        </option>`))}
    </z-segmented-control>
  `;
}
function r(e) {
  var n, o;
  return i`
    <vue-segmented-control
      .name=${e.name}
      .model=${e.model || void 0}
      .options=${d("options", e)}
      ?disabled=${e.disabled}
    >
    ${((n = e.slotted) == null ? void 0 : n.options) && ((o = e.options) == null ? void 0 : o.map((t) => i`
        <option 
          .value=${t.value} 
          .icon=${t.icon} 
          ?disabled=${t.disabled}
        >
          ${t.text}
        </option>`))}
    </vue-segmented-control>
  `;
}
function b(e) {
  var n, o;
  return i`
    <react-segmented-control
      .name=${e.name}
      .model=${e.model || void 0}
      .options=${d("options", e)}
      ?disabled=${e.disabled}
    >
    ${((n = e.slotted) == null ? void 0 : n.options) && ((o = e.options) == null ? void 0 : o.map((t) => i`
        <option 
          .value=${t.value} 
          .icon=${t.icon} 
          ?disabled=${t.disabled}
        >
          ${t.text}
        </option>`))}
    </react-segmented-control>
  `;
}
const f = {
  name: "SegmentedControl",
  category: "inputs",
  slots: c,
  css: u,
  vue: r,
  react: b,
  web: l,
  react_native: l
};
export {
  f as SegmentedControl,
  c as zSegmentedControlSlots
};
