import { CodeProps_Slots, CodeSample } from './_shared';
import { ZSelect_Props, ZSelect_Slots } from './Select.props';
export * from './Select.props';
export type ZSelect_CodeProps<T extends string = string> = CodeProps_Slots<ZSelect_Props<T>, ZSelect_Slots>;
declare function Web<T extends string = string>(props: ZSelect_CodeProps<T>): CodeSample;
export declare const Select: {
    name: string;
    category: "inputs";
    slots: ("label" | "help-text" | "options")[];
    web: typeof Web;
    react_native: typeof Web;
};
