import { ZSelectInput_Props } from './_OptionsInput.props';
export type ZSelect_Props<T extends string = string> = ZSelectInput_Props<T> & Partial<{
    /** ... */
    readonly name: string;
    /** ... */
    readonly model: T | null;
    /** ... */
    readonly placeholder: string;
}>;
export declare const zSelectSlots: ("label" | "help-text" | "options")[];
export type ZSelect_Slots = (typeof zSelectSlots)[number];
export type ZSelect_Events<T extends string = string> = Partial<{
    /** ... */
    readonly change: Required<ZSelect_Props<T>['model']>;
    /** */
    readonly blur: void;
    /** */
    readonly validated: boolean;
    /** */
    readonly search: string;
    readonly restarted: void;
}>;
