import { customPropsToStyle as d, $complexAttr as a } from "./_shared/Render.js";
import { html as t } from "./_shared/Code.js";
const n = ["options"];
function r(e) {
  return t`
    <label 
      .z-selectable-cards=${""} 
      .style=${d(e, "selectable-cards")}
    >
    </label>
  `;
}
function c(e) {
  var o, i;
  return t`
    <z-selectable-cards
      .config=${e.config}
      .options=${a("options", e)}
      .model=${e.model}
      ?required=${e.required}
      ?disabled=${e.disabled}
      ?horizontal=${e.horizontal}
    >
      ${((o = e.slotted) == null ? void 0 : o.options) && ((i = e.options) == null ? void 0 : i.map((l) => t`
        <option 
          .value=${l.value} 
          ?disabled=${l.disabled}
        >
          ${l.text}
        </option>
      `))}
    </z-selectable-cards>
  `;
}
function s(e) {
  return t`
    <vue-selectable-cards
      .config=${e.config}
      .options=${a("options", e)}
      .model=${e.model}
      ?required=${e.required}
      ?disabled=${e.disabled}
      ?horizontal=${e.horizontal}
    >
    </vue-selectable-cards>
  `;
}
function $(e) {
  return t`
    <react-selectable-cards
      .config=${e.config}
      .options=${a("options", e)}
      .model=${e.model}
      ?required=${e.required}
      ?disabled=${e.disabled}
      ?horizontal=${e.horizontal}
    >
    </react-selectable-cards>
  `;
}
const m = {
  name: "SelectableCards",
  category: "inputs",
  slots: n,
  css: r,
  vue: s,
  react: $,
  web: c,
  react_native: c
};
export {
  m as SelectableCards,
  n as zSelectableCardsSlots
};
