import { BaseComponent, CustomTokens } from './_shared';
export type ZSelectionTag_Custom = `color${'' | '--checked'}` | `bg${'' | '--checked'}`;
export type ZSelectionTag_Props = BaseComponent & Partial<{
    /** ... */
    readonly model: boolean;
    /** ... */
    readonly checked: boolean;
    /** ... */
    readonly content: string;
    /** ... */
    readonly name: string;
    /** ... */
    readonly disabled: boolean;
    /** ... */
    readonly invalid: boolean;
    /** */
    readonly custom: CustomTokens<ZSelectionTag_Custom>;
}>;
export declare const zSelectionTagSlots: ["content"];
export type ZSelectionTag_Slots = (typeof zSelectionTagSlots)[number];
export type ZSelectionTag_Events = Partial<{
    /** ... */
    readonly change: Required<ZSelectionTag_Props>['model'];
    /** */
    readonly blur: void;
    readonly restarted: void;
    readonly validated: boolean;
}>;
