import { CSSStyle, CodeSample } from './_shared';
import { ZShape_Props } from './Shape.props';
export * from './Shape.props';
export type ZShape_CodeProps = ZShape_Props & {
    style?: CSSStyle;
};
declare function CSS(props: ZShape_CodeProps): CodeSample;
declare function Web(props: ZShape_CodeProps): CodeSample;
declare function Vue(props: ZShape_CodeProps): CodeSample;
declare function React(props: ZShape_CodeProps): CodeSample;
export declare const Shape: {
    name: string;
    category: "atoms";
    slots: never[];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
