import { ToAttr } from '../typescript';
import { BaseComponent, CustomTokens } from './_shared';
export type ZShape_Value = `${1 | 2 | 3 | 4 | 5 | 6 | 7}`;
export type ZShape_Custom = 'size';
export type ZShape_Props = BaseComponent & Partial<{
    /** */
    readonly shape: ToAttr<ZShape_Value, 'flip'>;
    /** */
    readonly custom: CustomTokens<ZShape_Custom>;
}>;
export declare const zShapeSlots: never[];
export type ZShape_Slots = (typeof zShapeSlots)[number];
export type ZShape_Events = {};
