import { BaseComponent, CustomTokens } from './_shared';
import { SocialMediaIcon_Shareable } from './SocialMediaIcon.props';
export type ZShareBar_Custom = 'color' | 'bg';
export type ZShareBar_Props = BaseComponent & Partial<{
    /** */
    readonly social: {
        [K in SocialMediaIcon_Shareable]?: string;
    };
    /** */
    readonly content: string;
    /** */
    readonly mailto: string;
    /** */
    readonly custom: CustomTokens<ZShareBar_Custom>;
}>;
export declare const zShareBarSlots: ["content", "social"];
export type ZShareBar_Slots = (typeof zShareBarSlots)[number];
export type ZShareBar_Events = {};
