import { CSSStyle, CodeSample } from './_shared';
import { ZShareButton_Props } from './ShareButton.props';
export * from './ShareButton.props';
export type ZShareButton_CodeProps = Omit<ZShareButton_Props, 'social'> & {
    social?: string | CodeSample;
    style?: CSSStyle;
    slotted?: {
        social?: boolean;
    };
};
declare function CSS(props: ZShareButton_CodeProps): CodeSample;
declare function Web(props: ZShareButton_CodeProps): CodeSample;
declare function Vue(props: ZShareButton_CodeProps): CodeSample;
declare function React(props: ZShareButton_CodeProps): CodeSample;
export declare const ShareButton: {
    name: string;
    category: "molecules";
    slots: "social"[];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
