import { CSSStyle, CodeSample } from './_shared';
import { ZSidebar_Props } from './Sidebar.props';
export * from './Sidebar.props';
export type ZSidebar_CodeProps = ZSidebar_Props & {
    content?: string | CodeSample;
    style?: CSSStyle;
};
declare function CSS(props: ZSidebar_CodeProps): CodeSample;
declare function Web(props: ZSidebar_CodeProps): CodeSample;
declare function Vue(props: ZSidebar_CodeProps): CodeSample;
declare function React(props: ZSidebar_CodeProps): CodeSample;
export declare const Sidebar: {
    name: string;
    category: "layouts";
    slots: ["content"];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
