import { BaseComponent, CustomTokens } from './_shared';
export type ZSidebar_Custom = 'color' | 'bg' | 'padding' | 'top' | 'radius' | 'width';
export type ZSidebar_Props = BaseComponent & Partial<{
    /** */
    readonly config: 'left' | 'right';
    /** */
    readonly content: string;
    /** */
    readonly model: boolean;
    /** */
    readonly open: boolean;
    /** */
    readonly custom: CustomTokens<ZSidebar_Custom>;
}>;
export declare const zSidebarSlots: ["content"];
export type ZSidebar_Slots = (typeof zSidebarSlots)[number];
export type ZSidebar_Events = Partial<{
    /** ... */
    readonly change: Required<ZSidebar_Props>['model'];
}>;
