import { CSSStyle, CodeSample } from './_shared';
import { ZSkeleton_Props } from './Skeleton.props';
export * from './Skeleton.props';
export type ZSkeleton_CodeProps = ZSkeleton_Props & {
    style?: CSSStyle;
};
declare function CSS(props: ZSkeleton_CodeProps): CodeSample;
declare function Web(props: ZSkeleton_CodeProps): CodeSample;
declare function Vue(props: ZSkeleton_CodeProps): CodeSample;
declare function React(props: ZSkeleton_CodeProps): CodeSample;
export declare const Skeleton: {
    name: string;
    category: "atoms";
    slots: never[];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
