import { customPropsToStyle as s } from "./_shared/Render.js";
import { html as e } from "./_shared/Code.js";
const c = [];
function n(t) {
  return e`
    <div 
      z-skeleton
      .style=${s(t, "safe-space")}
    ></div>
  `;
}
function o(t) {
  return e`
    <z-skeleton
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
    </z-skeleton>
  `;
}
function u(t) {
  return e`
    <vue-skeleton
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
    </vue-skeleton>
  `;
}
function r(t) {
  return e`
    <react-skeleton
      .custom=${t.custom}
      .custom-str=${t["custom-str"]}
    >
    </react-skeleton>
  `;
}
const a = {
  name: "Skeleton",
  category: "atoms",
  slots: c,
  css: n,
  vue: u,
  react: r,
  web: o,
  react_native: o
};
export {
  a as Skeleton,
  c as zSkeletonSlots
};
