import { $attr as l, $slot as t } from "./_shared/Render.js";
import { html as n } from "./_shared/Code.js";
const a = [];
function i(e) {
  return n`
    <z-slider
      .label=${l("label", e)}     
      .name=${e.name}
      .range=${e.range}
      .model=${e.model}
      .icon-left=${e["icon-left"]}
      .icon-right=${e["icon-right"]}
      ?show-min=${e["show-min"]}
      ?show-max=${e["show-max"]}
      ?disabled=${e.disabled}
      ?invalid=${e.invalid}
      ?required=${e.required}
    >
      ${t("label", e)}
    </z-slider>
  `;
}
const $ = {
  name: "Slider",
  category: "inputs",
  slots: a,
  web: i,
  react_native: i
};
export {
  $ as Slider,
  a as zSliderSlots
};
