import { CSSStyle, CodeSample } from './_shared';
import { ZSnapScroll_Props } from './SnapScroll.props';
export * from './SnapScroll.props';
export type ZSnapScroll_CodeProps = ZSnapScroll_Props & {
    content?: string | CodeSample;
    style?: CSSStyle;
};
declare function CSS(props: ZSnapScroll_CodeProps): CodeSample;
declare function Web(props: ZSnapScroll_CodeProps): CodeSample;
declare function Vue(props: ZSnapScroll_CodeProps): CodeSample;
declare function React(props: ZSnapScroll_CodeProps): CodeSample;
export declare const SnapScroll: {
    name: string;
    category: "layouts";
    slots: never[];
    css: typeof CSS;
    web: typeof Web;
    vue: typeof Vue;
    react: typeof React;
    react_native: typeof Web;
};
