import { CSSStyle, CodeSample } from './_shared';
import { ZSocialMediaIcon_Props } from './SocialMediaIcon.props';
export * from './SocialMediaIcon.props';
export type ZSocialMediaIcon_CodeProps = ZSocialMediaIcon_Props & {
    style?: CSSStyle;
};
declare function CSS(props: ZSocialMediaIcon_CodeProps): CodeSample;
declare function Web(props: ZSocialMediaIcon_CodeProps): CodeSample;
declare function Vue(props: ZSocialMediaIcon_CodeProps): CodeSample;
declare function React(props: ZSocialMediaIcon_CodeProps): CodeSample;
export declare const SocialMediaIcon: {
    name: string;
    category: "atoms";
    slots: never[];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
