import { customPropsToStyle as o } from "./_shared/Render.js";
import { html as t } from "./_shared/Code.js";
const n = [];
function a(c) {
  return t`
    <i 
      .z-social-media-icon=${c.config || ""}
      .brand=${c.brand} 
      .style=${o(c, "social-media-icon")}
    ></i>
  `;
}
function i(c) {
  return t`
    <z-social-media-icon 
      .brand=${c.brand} 
      .config=${c.config}
      .style=${c.style}
      .custom=${c.custom}
      .custom-str=${c["custom-str"]}
    ></z-social-media-icon>
  `;
}
function e(c) {
  return t`
    <vue-social-media-icon 
      .brand=${c.brand} 
      .config=${c.config}
      .style=${c.style}
      .custom=${c.custom}
      .custom-str=${c["custom-str"]}
    ></vue-social-media-icon>
  `;
}
function s(c) {
  return t`
    <react-social-media-icon 
      .brand=${c.brand} 
      .config=${c.config}
      .style=${c.style}
      .custom=${c.custom}
      .custom-str=${c["custom-str"]}
    ></react-social-media-icon>
  `;
}
const l = {
  name: "SocialMediaIcon",
  category: "atoms",
  slots: n,
  css: a,
  vue: e,
  react: s,
  web: i,
  react_native: i
};
export {
  l as SocialMediaIcon,
  n as zSocialMediaIconSlots
};
