import { CSSStyle, CodeSample } from './_shared';
import { ZStageBanner_Props } from './StageBanner.props';
export * from './StageBanner.props';
export type ZStageBanner_CodeProps = ZStageBanner_Props & {
    style?: CSSStyle;
    slotted?: {
        content?: boolean;
    };
};
declare function CSS(props: ZStageBanner_CodeProps): CodeSample;
declare function Web(props: ZStageBanner_CodeProps): CodeSample;
declare function Vue(props: ZStageBanner_CodeProps): CodeSample;
declare function React(props: ZStageBanner_CodeProps): CodeSample;
export declare const StageBanner: {
    name: string;
    category: "molecules";
    slots: ["content", "category", "image-src", "actions"];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
