import { CSSStyle, CodeSample } from './_shared';
import { ZTabs_Props } from './Tabs.props';
export * from './Tabs.props';
export type ZTabs_CodeProps = ZTabs_Props & {
    content?: string | CodeSample;
    style?: CSSStyle;
};
declare function CSS(props: ZTabs_CodeProps): CodeSample;
declare function Web(props: ZTabs_CodeProps): CodeSample;
declare function Vue(props: ZTabs_CodeProps): CodeSample;
declare function React(props: ZTabs_CodeProps): CodeSample;
export declare const Tabs: {
    name: string;
    category: "layouts";
    slots: never[];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
