import { SizelessIconAttr } from '../data';
import { BaseComponent, CustomTokens } from './_shared';
export type ZTabs_Custom = 'color';
export type ZTabs_Tab = {
    name: string;
    icon?: SizelessIconAttr;
    content?: string;
    disabled?: boolean;
};
export type ZTabs_Props = BaseComponent & Partial<{
    /** */
    readonly model: number;
    /** */
    readonly disabled: boolean;
    /** */
    /** */
    readonly tabs: ZTabs_Tab[];
    /** */
    readonly custom: CustomTokens<ZTabs_Custom>;
}>;
export declare const zTabsSlots: never[];
export type ZTabs_Slots = (typeof zTabsSlots)[number];
export type ZTabs_Events = Partial<{
    /** ... */
    readonly change: Required<ZTabs_Props>['model'];
}>;
