import { CSSStyle, CodeSample } from './_shared';
import { ZTag_Props } from './Tag.props';
export * from './Tag.props';
export type ZTag_CodeProps = ZTag_Props & {
    slotted?: {
        content?: boolean;
    };
    style?: CSSStyle;
};
declare function CSS(props: ZTag_CodeProps): CodeSample;
declare function Web(props: ZTag_CodeProps): CodeSample;
declare function Vue(props: ZTag_CodeProps): CodeSample;
declare function React(props: ZTag_CodeProps): CodeSample;
export declare const Tag: {
    name: string;
    category: "atoms";
    slots: ["content"];
    css: typeof CSS;
    vue: typeof Vue;
    react: typeof React;
    web: typeof Web;
    react_native: typeof Web;
};
