import { $attr as n, $complexAttr as i, $slot as m } from "./_shared/Render.js";
import { html as a } from "./_shared/Code.js";
import { zInputSlots as c } from "./_Input.js";
const $ = [...c, "options"];
function s(t) {
  var o, l;
  return a`
    <z-tags-select
      .model=${t.model}
      .label=${n("label", t)}
      .options=${i("options", t)}
    >
      ${((o = t.slotted) == null ? void 0 : o.options) && ((l = t.options) == null ? void 0 : l.map((e) => a`
        <option 
          .value=${e.value} 
          ?disabled=${e.disabled}
        >${e.text}</option>
      `))}
      ${m("label", t)}
    </z-tags-select>
  `;
}
const g = {
  name: "TagsSelect",
  category: "inputs",
  slots: $,
  web: s,
  react_native: s
};
export {
  g as TagsSelect,
  $ as zTagsSelectSlots
};
