import { ZInput_Props } from './_Input.props';
export type ZTagsSelect_Props<T extends string = string> = ZInput_Props & Partial<{
    readonly model: T[];
    /** */
    readonly options: {
        value: T;
        text?: string;
        disabled?: boolean;
    }[];
    /** */
    readonly custom: {};
}>;
export declare const zTagsSelectSlots: ("label" | "help-text" | "options")[];
export type ZTagsSelect_Slots = (typeof zTagsSelectSlots)[number];
export type ZTagsSelect_Events<T extends string = string> = Partial<{
    /** ... */
    readonly change: Required<ZTagsSelect_Props<T>['model']>;
    readonly restarted: void;
}>;
