import { CustomTokens } from './_shared';
import { ZInput_Props } from './_Input.props';
export type ZTextarea_Custom = 'min-height';
export type ZTextarea_Props = ZInput_Props & Partial<{
    /** ... */
    readonly model: string | null;
    /** */
    readonly 'max-length': number;
    /** ... */
    readonly placeholder: string;
    /** ... */
    readonly elastic: boolean;
    /** */
    readonly pattern: string;
    /** */
    readonly custom: CustomTokens<ZTextarea_Custom>;
}>;
export declare const zTextareaSlots: ("label" | "help-text")[];
export type ZTextarea_Slots = (typeof zTextareaSlots)[number];
export type ZTextarea_Events = Partial<{
    /** ... */
    readonly change: Required<ZTextarea_Props>['model'];
    /** ... */
    readonly enter: void;
    /** */
    readonly blur: void;
    /** */
    readonly validated: boolean;
    readonly restarted: void;
}>;
