import { BaseComponent, CustomTokens, HasImage } from './_shared';
export type ZTile_Custom = 'bg' | 'color';
export type ZTile_Props = BaseComponent & HasImage & Partial<{
    readonly config: 'left';
    readonly header: string;
    readonly content: string;
    readonly custom: CustomTokens<ZTile_Custom>;
}>;
export declare const zTileSlots: ["content", "header", "image-src", "actions"];
export type ZTile_Slots = (typeof zTileSlots)[number];
export type ZTile_Events = {};
