import { Locale } from '../locales';
import { ZTime_Props } from './Time.props';
interface ParseTimeOptions {
    locale?: Locale;
    format?: ZTime_Props['format'];
    withSeconds?: boolean;
    format24?: boolean;
    asRelative?: Intl.RelativeTimeFormatUnitSingular;
}
export declare function parseTime(date: Date, options?: ParseTimeOptions): string;
export declare function getDateFromTime(time?: string, relative?: Intl.RelativeTimeFormatUnitSingular): Date;
export {};
