import { Localized } from '../locales/languages.types';
import { CustomTokens } from './_shared';
export type ZTime_Custom = 'color';
export type ZTime_Props = Localized & Partial<{
    /** ... */
    readonly time: string;
    /** ... */
    readonly 'format-24': boolean;
    /** ... */
    readonly 'with-seconds': boolean;
    /** ... */
    readonly format: 'long' | 'short' | 'narrow';
    /** ... */
    readonly 'as-relative': Intl.RelativeTimeFormatUnitSingular;
    /** */
    readonly custom: CustomTokens<ZTime_Custom>;
}>;
export declare const zTimeSlots: never[];
export type ZTime_Slots = (typeof zTimeSlots)[number];
export type ZTime_Events = {};
