import { BaseComponent, CustomTokens } from './_shared';
export type ZToast_Status = 'positive' | 'alert' | 'negative' | 'info';
export type ZToast_Custom = 'color' | 'bg' | 'radius';
export type ZToast_Props = BaseComponent & Partial<{
    /** ... */
    readonly config: ZToast_Status;
    /** ... */
    readonly content: string;
    /** ... */
    readonly timestamp: string;
    /** */
    readonly custom: CustomTokens<ZToast_Custom>;
}>;
export declare const zToastSlots: ["content", "timestamp"];
export type ZToast_Slots = (typeof zToastSlots)[number];
export type ZToast_Events = {
    /** */
    readonly click: void;
};
