import { ToAttrChain } from '../typescript';
import { BaseComponent, CustomTokens } from './_shared';
type Position = `top${'' | '-left' | '-right'}` | `bottom${'' | '-left' | '-right'}`;
export type ZTooltip_Custom = 'color' | 'bg';
export type ZTooltip_Size = 's' | 'm' | 'l';
export type ZTooltip_Props = BaseComponent & Partial<{
    /** */
    readonly config: ToAttrChain<Position, ZTooltip_Size>;
    /** ... */
    readonly text: string;
    /** ... */
    readonly content: string;
    /** */
    readonly custom: CustomTokens<ZTooltip_Custom>;
}>;
export declare const zTooltipSlots: ["content"];
export type ZTooltip_Slots = (typeof zTooltipSlots)[number];
export type ZTooltip_Events = {};
export {};
