import { Localized } from '../locales/languages.types';
import { BaseComponent } from './_shared';
/** */
export type BaseInput_Props = BaseComponent & Localized & Partial<{
    /** ... */
    readonly disabled: boolean;
    /** ... */
    readonly required: boolean;
    /** ... */
    readonly name: string;
    /** */
    readonly invalid: boolean;
    /** */
    readonly 'help-text': string;
}>;
/** */
export type ZBooleanInput_Props = BaseInput_Props & Partial<{
    /** ... */
    readonly label: string;
    /** */
    readonly model: boolean;
    /** */
    readonly checked: boolean;
}>;
export declare const zBooleanInputSlots: ("label" | "help-text")[];
