import { ZInput_Props } from './_Input.props';
export type ZSelectInput_Option<T extends string = string> = {
    /** ... */
    value: T;
    /** ... */
    text?: string;
    /** ... */
    disabled?: boolean;
};
export type ZSearchSelectInput_Option<T extends string = string> = ZSelectInput_Option<T> & {
    /** ... */
    hide?: boolean;
    /** ... */
    meta?: string[];
};
export type ZSelectInput_Props<T extends string = string> = ZInput_Props & Partial<{
    /** ... */
    readonly options: readonly ZSearchSelectInput_Option<T>[];
    /** ... */
    readonly 'search-in-options-text': string;
    /** ... */
    readonly 'options-not-found-text': string;
    /*** */
    readonly 'with-search': boolean;
    /** ... */
    readonly 'search-autofocus': boolean;
}>;
