import { pascalCase as z } from "../../helpers/Str.js";
import { spaces as v } from "./Attributes.js";
const _ = /* @__PURE__ */ new Set(["css", "web", "react", "react_css", "angular", "vue", "vue_css", "react_native"]);
function E(n, e, t) {
  var s, g;
  if (!C(t))
    throw new Error(`"${t}" is not a valid framework`);
  const l = (((g = (s = n[0].match(/(\n)?[\s]+</)) == null ? void 0 : s[0]) == null ? void 0 : g.slice(1, -1)) || "").length;
  let r = "";
  for (let c = 0; c < n.length; c++) {
    const a = n[c], o = e[c];
    if (typeof o == "undefined") {
      r += a.replace(/(\s|\n)*(\?|\.|\@)(\w|\-)+\=$/, "");
      continue;
    }
    if (/\.([\w|\-]+)\=$/.exec(a)) {
      const i = typeof o == "object" || typeof o == "number";
      if (!(i || typeof o == "string"))
        throw new Error(`Type for ".arg" should be string, number, or object. But it's: ${typeof o}`);
      const u = i ? L(a, t) : w(a).replace(/^(\.)/, "").replace(/(\=)$/, ""), f = a.endsWith(".model=") ? b(t) : u;
      r += a.replace(/\.([\w|\-]+)\=$/, f) + "=" + m(o, t);
      continue;
    }
    if (/\?([\w|\-]+)\=$/.exec(a)) {
      if (typeof o != "boolean")
        throw new Error(`Type for "?arg" should be boolean. But it's: ${typeof o}`);
      if (w(a) === "?model=") {
        const i = o ? "true" : "false", u = d(t) ? `{${i}}` : `"${i}"`;
        r += a.replace(/\?([\w|-]+)\=$/, `${b(t)}=${u}`);
      } else o ? d(t) ? r += a.replace(/\?([\w|\-]+)\=$/, (i, u) => `${u}={true}`) : t === "angular" ? r += a.replace(/\?([\w|\-]+)\=$/, (i, u) => `[${u}]="true"`) : r += a.replace(/\?([\w|\-]+)\=$/, (i, u) => u) : r += a.replace(/(\n\s)?\?([\w|-]+)\=$/, "");
      continue;
    }
    if (/\@([\w|\-]+)\=$/.exec(a)) {
      if (typeof o != "function")
        throw new Error(`Type for "@arg" should be function. But it's: ${typeof o}`);
      const i = () => {
      }, u = x(a, t);
      r += a.replace(/\@([\w|\-]+)\=$/, u) + "=" + m(i, t);
      continue;
    }
    if (typeof o == "function" || Array.isArray(o) && o.every((i) => typeof i == "function")) {
      r += `${a}${K(o, t, l / 2 + 1)}`;
      continue;
    }
    r += `${a}${o}`;
  }
  return r = r.trim().replaceAll(/\n(\s)+\>/g, ">").replaceAll(/(\s)*\n(\s)*/g, " ").replaceAll(/\<(\w|\-)+(\n|\s)+\>/g, (c) => c.replaceAll(/\n|\s/g, "")), r = r.replaceAll(/(\s){2,}/g, " "), r = r.replaceAll(/(\/?\>)(\s)*(\<)\/?(\w)+/g, (c) => c.replace(/\>(\s)*(\<)+/, `>
<`)).replaceAll(/\<\/(\w|\-)+\>(\s)*/g, (c) => c.replace(/(\s)*$/, `
`)).trimEnd(), r = r.replaceAll(/\>\s*(\w|\d)+(.+?)+\s*(\<\/)/g, (c) => c.trim().replace(">", `>
`).replace("<", `
<`)).replaceAll(new RegExp("\\<(?<tag>((z(r|v|a)?|react|vue)-)?(\\w|\\-)+)(.*)\\>\\s*\\<\\/\\k<tag>\\>", "g"), (c) => c.replace(/\>\s+\<\//, "></")), r.split(`
`).map((c) => c.trim()).filter((c) => c);
}
function m(n, e) {
  if (typeof n == "string") return `"${n}"`;
  if (typeof n == "number" || typeof n == "boolean" || n === null)
    return d(e) ? `{${n}}` : `"${n}"`;
  if (typeof n == "function")
    return d(e) ? "{() => {}}" : '"() => {}"';
  const t = JSON.stringify(n);
  if (e === "web") return `'${t}'`;
  const l = t.replace(/\"\w+\-\w+\"\:/g, (r) => r.replace(/\"/g, "'")).replace(/\"\w+\"\:/g, (r) => r.replace(/\"/g, "")).replace(new RegExp('\\[((true|false|\\d+)\\,)?(?<str>\\"(.+?)\\")(\\,)?((true|false|\\d+)\\,)?(true|false|\\d+)?', "g"), (r) => r.replace(/\"/g, "'")).replace(/\:\"(.+?)\"/g, (r) => r.replace(/\"/g, "'"));
  return e.startsWith("react") ? `{${l}}` : `"${l}"`;
}
function K(n, e, t) {
  const l = Array.isArray(n) ? n : [n], r = v(t * 2);
  return l.map((s) => s(e, t)).join(`
${r}`);
}
function C(n) {
  return _.has(n);
}
function d(n) {
  return n.startsWith("react");
}
function w(n) {
  var t;
  const e = (t = /(\?|\.|\@)?([\w|-]+)(\=)?$/.exec(n)) == null ? void 0 : t[0];
  if (!e) throw new Error("No key to isolate");
  return e;
}
function b(n) {
  return n === "angular" ? "[ngModel]" : n.includes("vue") ? ":modelValue" : "model";
}
function x(n, e) {
  if (d(e)) {
    const t = n.replace(/^(\@)/, "").replace(/(\=)$/, "");
    return "on" + z(t);
  }
  return w(n).replace(/^(\@)/, e === "vue" ? "@" : e === "angular" ? "(" : "on").replace(/(\=)$/, e === "angular" ? ")" : "");
}
function L(n, e) {
  return w(n).replace(/^(\.)/, e === "vue" ? ":" : e === "angular" ? "[" : "").replace(/(\=)$/, e === "angular" ? "]" : "");
}
const S = 1;
function H(n, ...e) {
  return (t, l = 0) => {
    const r = E(n, e, t), s = j(r, l);
    return B(s, t);
  };
}
function j(n, e = 0) {
  const t = v(e * 2);
  let l = 0;
  const r = [];
  for (let s = 0; s < n.length; s++) {
    const g = n[s], c = M(g), a = R(g), o = c && a && c === a, i = c && g.endsWith("/>");
    a && !o && !i && l--;
    const u = v(l * 2), f = u + g.trim().replaceAll(
      new RegExp("\\<(?<tag>(\\w|\\-)+)(?<props>\\s(.+?))(?<close>\\s?\\/?\\>(\\<\\/\\k<tag>\\>)?$)", "g"),
      (...y) => {
        const { tag: A, props: p, close: T } = y.at(-1), h = N(p);
        return h.length <= S && p.length < 50 ? g : "<" + [A, ...h].join(`
  `) + `
${T.trim()}`;
      }
    ).replaceAll(`
`, `
${u}`);
    c && !o && !i && l++, r.push(f);
  }
  return t + r.join(`
`).replaceAll(new RegExp("\\<(?<tag>(\\w|\\-)+)\\>\\n(\\s)+(\\w|\\d|\\s)+\\n(\\s)*\\<\\/\\k<tag>\\>", "g"), (s) => s.replace(/\>\s*\n\s+/, ">").replace(/\s*\n\s*\<(\/)/, "</")).replaceAll(`
`, `
${t}`);
}
function B(n, e) {
  let t = n;
  const l = {
    angular: "za",
    react_native: "zr",
    react: "zr",
    vue: "zv"
  };
  if ((["web", "css"].includes(e) || e.includes("vue")) && (t = t.replaceAll(/\s+(\w|\-)+\=\"\"/g, (s) => s.replace('=""', ""))), !["angular", "vue", "vue_css", "react", "react_css", "react_native"].includes(e))
    return t;
  t = t.replace(
    new RegExp('\\<(?<tag>(z|react|vue)-(\\w|\\-)+)((\\s|\\n)+(\\:?(\\w|\\-)+|\\[(\\w|\\-)+\\])(\\=(\\"|\\{)(.+?)(\\"|\\}))?)*(\\s|\\n)*\\>(\\s|\\n)*\\<\\/\\k<tag>\\>', "g"),
    (s) => s.replace(/\s*\>(\s|\n)*\<\/(z|react|vue)-(\w|\-)+\>/g, " />")
  );
  const r = l[e];
  return r ? t.replace(/\<(\/)?z-/g, (s) => s.replace("z", r)) : t;
}
function O(n) {
  const e = /\<(\/)?(zr|react)-(\w|-)+/g;
  return n.replaceAll(e, (t) => t.replace(/(zr|react)-(\w|\-)+/g, z));
}
function N(n) {
  const { attrs: e, angularAttr: t, reactAttrs: l, flags: r, events: s, reactEvents: g } = I(n);
  return [
    ...$(e),
    ...$(t),
    ...$(l),
    ...$(r),
    ...$(s),
    ...$(g)
  ];
}
function I(n) {
  var o, i, u, f, y, A;
  let e = n + " ";
  const t = ((o = e.match(/\s(on\w+|@(\w|\-)+|\((\w|\-)+\))="[^"]*"\s/g)) == null ? void 0 : o.map((p) => (e = e.replace(p, " "), p.trim()))) || [], l = ((i = e.match(/\son\w+=\{\(\) => \{\}\}\s/g)) == null ? void 0 : i.map((p) => (e = e.replace(p, " "), p.trim()))) || [], r = ((u = e.match(/\s\:?(\w|\-|\d)+=(("[^"]*")|('[^']*'))/g)) == null ? void 0 : u.map((p) => (e = e.replace(p, " "), p.trim()))) || [], s = ((f = e.match(/\[(\w|\-|\d)+\]="[^"]*"\s/g)) == null ? void 0 : f.map((p) => p.trim())) || [], g = ((y = e.match(/(\w|\-|\d)+=\{[^\}]*\}\s/g)) == null ? void 0 : y.map((p) => p.trim())) || [], a = ((A = ` ${V(e, [
    ...s,
    ...g,
    ...l
  ]).replaceAll(/\s+/g, "  ")} `.match(/\s(\w|\-|\d)+\s/g)) == null ? void 0 : A.map((p) => p.trim())) || [];
  return {
    attrs: r,
    angularAttr: s,
    reactAttrs: g,
    flags: a,
    events: t,
    reactEvents: l
  };
}
function $(n) {
  return n.sort((e, t) => {
    const l = e.replace("-", ""), r = t.replace("-", "");
    return l.localeCompare(r);
  });
}
function M(n) {
  var e, t;
  return (t = (e = n.match(new RegExp("^\\<(?<tag>((z(r|v|a)?|react|vue)-)?(\\w|\\-)+)"))) == null ? void 0 : e.groups) == null ? void 0 : t.tag;
}
function R(n) {
  var e, t;
  return (t = (e = n.match(new RegExp("\\<\\/(?<tag>((z(r|v|a)?|react|vue)-)?(\\w|\\-)+)\\>$"))) == null ? void 0 : e.groups) == null ? void 0 : t.tag;
}
function V(n, e) {
  let t = ` ${n} `;
  return e.forEach((l) => {
    t = t.replace(" " + l + " ", "");
  }), t;
}
export {
  I as categorizeAttributes,
  j as cleanCode,
  O as formatReactComponentTags,
  H as html,
  $ as sortAttributes,
  B as toFramework
};
