import { ArrayElement, KeysOfArrays, Obj, ObjectKey } from '../typescript';
export type CastedArray<K extends ObjectKey, T extends Record<K, unknown> & Obj> = T[K] extends readonly unknown[] ? ArrayElement<T[K]> extends infer S extends Obj ? S : never : never;
export type DoubleCastedArray<K extends ObjectKey, T extends Record<K, unknown>, KK extends KeysOfArrays<CastedArray<K, T>>> = CastedArray<KK, CastedArray<K, T>>;
