/**
 * Checks if a value is a boolean.
 *
 * @param value - The value to check.
 * @returns `true` if the value is a boolean, `false` otherwise.
 */
export declare function isBoolean(value: unknown): value is boolean;
/** */
/**
 * Parses the given value and returns a boolean representation.
 *
 * @param value - The value to be parsed.
 * @returns The boolean representation of the value.
 */
export declare function parseBoolean(value: unknown): boolean;
