function H({ r: a, g: o, b: n }) {
  const [t, c, r] = [a, o, n].map((h) => h / 255), e = 0.4124564 * t + 0.3575761 * c + 0.1804375 * r, s = 0.2126729 * t + 0.7151522 * c + 0.072175 * r;
  return {
    l: 116 * s - 16,
    c: Math.sqrt(e * e + s * s),
    h: Math.atan2(s, e) * 180 / Math.PI
  };
}
function g({ r: a, g: o, b: n }) {
  return [a, o, n].map((t) => t.toString(16).padStart(2, "0")).join("");
}
function b({ r: a, g: o, b: n }) {
  const [t, c, r] = [a, o, n].map((l) => l / 255), e = Math.max(t, c, r), s = Math.min(t, c, r), h = e - s;
  let u = 0, M = 0;
  const i = (e + s) / 2;
  if (h !== 0) {
    switch (M = i > 0.5 ? h / (2 - e - s) : h / (e + s), e) {
      case t:
        u = (c - r) / h + (c < r ? 6 : 0);
        break;
      case c:
        u = (r - t) / h + 2;
        break;
      case r:
        u = (t - c) / h + 4;
        break;
    }
    u /= 6;
  }
  return {
    h: Math.round(u * 360),
    s: Math.round(M * 100),
    l: Math.round(i * 100)
  };
}
function L({ r: a, g: o, b: n }) {
  const [t, c, r] = [a, o, n].map((e) => e / 255).map((e) => e <= 0.03928 ? e / 12.92 : Math.pow((e + 0.055) / 1.055, 2.4));
  return 0.2126 * t + 0.7152 * c + 0.0722 * r;
}
function p(a) {
  return {
    r: parseInt(a.slice(1, 3), 16),
    g: parseInt(a.slice(3, 5), 16),
    b: parseInt(a.slice(5, 7), 16)
  };
}
function f(a) {
  let o = a.r / 255, n = a.g / 255, t = a.b / 255;
  return o = o > 0.04045 ? Math.pow((o + 0.055) / 1.055, 2.4) : o / 12.92, n = n > 0.04045 ? Math.pow((n + 0.055) / 1.055, 2.4) : n / 12.92, t = t > 0.04045 ? Math.pow((t + 0.055) / 1.055, 2.4) : t / 12.92, o *= 100, n *= 100, t *= 100, {
    x: o * 0.4124 + n * 0.3576 + t * 0.1805,
    y: o * 0.2126 + n * 0.7152 + t * 0.0722,
    z: o * 0.0193 + n * 0.1192 + t * 0.9505
  };
}
function m(a) {
  let o = a.x / 95.047, n = a.y / 100, t = a.z / 108.883;
  return o = o > 8856e-6 ? Math.pow(o, 0.333333333) : 7.787 * o + 0.137931034, n = n > 8856e-6 ? Math.pow(n, 0.333333333) : 7.787 * n + 0.137931034, t = t > 8856e-6 ? Math.pow(t, 0.333333333) : 7.787 * t + 0.137931034, {
    l: 116 * n - 16,
    a: 500 * (o - n),
    b: 200 * (n - t)
  };
}
function w(a) {
  const { l: o, a: n, b: t } = a, c = Math.sqrt(Math.pow(n, 2) + Math.pow(t, 2));
  let r = Math.atan2(t, n);
  return r = r > 0 ? r / Math.PI * 180 : 360 - Math.abs(r) / Math.PI * 180, { l: o, c, h: r };
}
function B(a) {
  return w(m(f(p(a))));
}
function G(a) {
  return b(p(a));
}
export {
  G as HEXtoHSL,
  B as HEXtoLCH,
  p as HEXtoRGB,
  w as LabToLCH,
  L as RGBtoContrastLuminosity,
  g as RGBtoHEX,
  b as RGBtoHSL,
  H as RGBtoLCH,
  f as RGBtoXYZ,
  m as XYZtoLab
};
