const n = {
  unknown: "Ukendt",
  loading: "Indlæser",
  step: "Trin",
  today: "I dag",
  noOptionsFound: "Ingen muligheder fundet",
  searchInOptions: "Søg i muligheder",
  selected: "Valgt",
  fileInput: {
    empty: "Ingen fil valgt",
    browse: "Gennemse filen",
    delete: "Slet fil",
    acceptsFormats: (e) => `Kun ${e} filer er tilladt`
    // Kun SVG-, PNG- eller JPEG-filer er tilladt
  },
  locale: {
    ar: "Arabisk",
    ca: "Katalansk",
    da: "Dansk",
    de: "Tysk",
    en: "Engelsk",
    es: "Spansk",
    eu: "Baskisk",
    fr: "Fransk",
    gl: "Galicisk",
    hi: "Hindi",
    id: "Indonesisk",
    it: "Italiensk",
    jp: "Japansk",
    ko: "Koreansk",
    nl: "Hollandsk",
    pl: "Polsk",
    pt: "Portugisisk",
    ta: "Tamil",
    th: "Thai",
    ur: "Urdu",
    vi: "Vietnamesisk",
    zh: "Kinesisk"
  },
  inputs: {
    requiredHelpText: "Obligatorisk felt",
    invalidHelpText: "Ugyldigt felt"
  }
};
export {
  n as LOCALES
};
