const n = {
  unknown: "Unknown",
  loading: "Loading",
  step: "Step",
  today: "Today",
  noOptionsFound: "No options found",
  searchInOptions: "Search in options",
  selected: "Selected",
  fileInput: {
    empty: "No file chosen",
    browse: "Browse file",
    delete: "Delete file",
    acceptsFormats: (e) => `Only ${e} files are allowed`
  },
  locale: {
    ar: "Arabic",
    ca: "Catalan",
    da: "Danish",
    de: "German",
    en: "English",
    es: "Spanish",
    eu: "Basque",
    fr: "French",
    gl: "Galician",
    hi: "Hindi",
    id: "Indonesian",
    it: "Italian",
    jp: "Japanese",
    ko: "Korean",
    nl: "Dutch",
    pl: "Polish",
    pt: "Portuguese",
    ta: "Tamil",
    th: "Thai",
    ur: "Urdu",
    vi: "Vietnamese",
    zh: "Chinese"
  },
  inputs: {
    requiredHelpText: "Required field",
    invalidHelpText: "Invalid field"
  }
};
export {
  n as LOCALES
};
