import { LocalesMap } from './index.types';
import { Locale } from './languages.types';
export { LOCALES as ar } from './ar';
export { LOCALES as ca } from './ca';
export { LOCALES as da } from './da';
export { LOCALES as de } from './de';
export { LOCALES as en } from './en';
export { LOCALES as en_UK } from './en-UK';
export { LOCALES as en_US } from './en-US';
export { LOCALES as es } from './es';
export { LOCALES as eu } from './eu';
export { LOCALES as fr } from './fr';
export { LOCALES as gl } from './gl';
export { LOCALES as hi } from './hi';
export { LOCALES as id } from './id';
export { LOCALES as it } from './it';
export { LOCALES as jp } from './jp';
export { LOCALES as ko } from './ko';
export { LOCALES as nl } from './nl';
export { LOCALES as pl } from './pl';
export { LOCALES as pt } from './pt';
export { LOCALES as ta } from './ta';
export { LOCALES as th } from './th';
export { LOCALES as ur } from './ur';
export { LOCALES as vi } from './vi';
export { LOCALES as zh } from './zh';
export type * from './index.types';
export type * from './languages.types';
declare global {
    interface Window {
        ZDS_LOCALES: Partial<Record<Locale, LocalesMap>>;
    }
}
