export type LocaleKey = 'ar' | 'ca' | 'da' | 'de' | 'en' | 'es' | 'eu' | 'fr' | 'gl' | 'hi' | 'id' | 'it' | 'jp' | 'ko' | 'nl' | 'pl' | 'pt' | 'ta' | 'th' | 'ur' | 'vi' | 'zh';
export type LocalesMap = {
    unknown: string;
    loading: string;
    step: string;
    noOptionsFound: string;
    searchInOptions: string;
    today: string;
    selected: string;
    fileInput: {
        empty: string;
        browse: string;
        delete: string;
        acceptsFormats: (formats: string) => string;
    };
    locale: {
        readonly [Locale in LocaleKey]: string;
    };
    inputs: {
        requiredHelpText: string;
        invalidHelpText: string;
    };
};
